import { ajv as ajvInternal } from './utils/validation';
import { ErrorObject, JSONSchemaType, KeywordDefinition, SchemaObject } from 'ajv';
import { AJVMessageFunction, UseFormReturn } from './utils/types';
declare const useAJVForm: <T extends Record<string, any>>(initial: T, schema: SchemaObject | JSONSchemaType<T>, options?: {
    ajv?: typeof ajvInternal;
    customKeywords?: KeywordDefinition[];
    errors?: ErrorObject[];
    userDefinedMessages?: Record<string, AJVMessageFunction>;
    shouldDebounceAndValidate?: boolean;
    debounceTime?: number;
}) => UseFormReturn<T>;
export default useAJVForm;
