import { useState as ar, useEffect as Pr, useRef as ls, useMemo as Un } from "react";
const fs = {
  required: (e) => `${e.missingProperty} is required.`,
  minLength: (e) => e.limit === 1 ? "This field is required." : `Should be at least ${e.limit} characters long.`,
  maxLength: (e) => `Should not exceed ${e.limit} characters.`,
  pattern: () => "Invalid format.",
  minimum: (e) => `Should be greater than or equal to ${e.limit}.`,
  maximum: (e) => `Should be less than or equal to ${e.limit}.`,
  enum: (e) => {
    var t;
    return `${(t = e.allowedValues) == null ? void 0 : t.join(", ")} are the only allowed values.`;
  },
  type: (e) => `Should be of type ${e.type}.`,
  format: (e) => `Should be in ${e.format} format.`
}, hs = (e) => e ? e.slice(1) : null, ms = (e, t) => {
  const r = "Unknown validation error";
  try {
    const n = e, a = n.keyword, o = { ...fs, ...t }[a];
    return typeof o == "function" ? o(n.params) : e.message || r;
  } catch {
    return r;
  }
}, Zt = (e, t) => e.reduce((r, n) => {
  const a = hs(n == null ? void 0 : n.instancePath);
  return a ? {
    ...r,
    [a]: ms(n, t)
  } : r;
}, {}), qn = (e) => {
  const t = {};
  for (const r in e)
    Object.prototype.hasOwnProperty.call(e, r) && (t[r] = { value: e[r], error: "" });
  return t;
}, Mt = (e) => e == null ? "" : e ?? "", ps = (e, t) => {
  t.forEach((r) => {
    e.getKeyword(r.keyword) || e.addKeyword(r);
  });
};
var $s = typeof globalThis < "u" ? globalThis : typeof window < "u" ? window : typeof global < "u" ? global : typeof self < "u" ? self : {};
function Vr(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var Or = { exports: {} }, da = {}, Ce = {}, Et = {}, St = {}, X = {}, wt = {};
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.regexpCode = e.getEsmExportName = e.getProperty = e.safeStringify = e.stringify = e.strConcat = e.addCodeArg = e.str = e._ = e.nil = e._Code = e.Name = e.IDENTIFIER = e._CodeOrName = void 0;
  class t {
  }
  e._CodeOrName = t, e.IDENTIFIER = /^[a-z$_][a-z$_0-9]*$/i;
  class r extends t {
    constructor(m) {
      if (super(), !e.IDENTIFIER.test(m))
        throw new Error("CodeGen: name must be a valid identifier");
      this.str = m;
    }
    toString() {
      return this.str;
    }
    emptyStr() {
      return !1;
    }
    get names() {
      return { [this.str]: 1 };
    }
  }
  e.Name = r;
  class n extends t {
    constructor(m) {
      super(), this._items = typeof m == "string" ? [m] : m;
    }
    toString() {
      return this.str;
    }
    emptyStr() {
      if (this._items.length > 1)
        return !1;
      const m = this._items[0];
      return m === "" || m === '""';
    }
    get str() {
      var m;
      return (m = this._str) !== null && m !== void 0 ? m : this._str = this._items.reduce((R, k) => `${R}${k}`, "");
    }
    get names() {
      var m;
      return (m = this._names) !== null && m !== void 0 ? m : this._names = this._items.reduce((R, k) => (k instanceof r && (R[k.str] = (R[k.str] || 0) + 1), R), {});
    }
  }
  e._Code = n, e.nil = new n("");
  function a(h, ...m) {
    const R = [h[0]];
    let k = 0;
    for (; k < m.length; )
      d(R, m[k]), R.push(h[++k]);
    return new n(R);
  }
  e._ = a;
  const o = new n("+");
  function c(h, ...m) {
    const R = [T(h[0])];
    let k = 0;
    for (; k < m.length; )
      R.push(o), d(R, m[k]), R.push(o, T(h[++k]));
    return y(R), new n(R);
  }
  e.str = c;
  function d(h, m) {
    m instanceof n ? h.push(...m._items) : m instanceof r ? h.push(m) : h.push(_(m));
  }
  e.addCodeArg = d;
  function y(h) {
    let m = 1;
    for (; m < h.length - 1; ) {
      if (h[m] === o) {
        const R = l(h[m - 1], h[m + 1]);
        if (R !== void 0) {
          h.splice(m - 1, 3, R);
          continue;
        }
        h[m++] = "+";
      }
      m++;
    }
  }
  function l(h, m) {
    if (m === '""')
      return h;
    if (h === '""')
      return m;
    if (typeof h == "string")
      return m instanceof r || h[h.length - 1] !== '"' ? void 0 : typeof m != "string" ? `${h.slice(0, -1)}${m}"` : m[0] === '"' ? h.slice(0, -1) + m.slice(1) : void 0;
    if (typeof m == "string" && m[0] === '"' && !(h instanceof r))
      return `"${h}${m.slice(1)}`;
  }
  function $(h, m) {
    return m.emptyStr() ? h : h.emptyStr() ? m : c`${h}${m}`;
  }
  e.strConcat = $;
  function _(h) {
    return typeof h == "number" || typeof h == "boolean" || h === null ? h : T(Array.isArray(h) ? h.join(",") : h);
  }
  function C(h) {
    return new n(T(h));
  }
  e.stringify = C;
  function T(h) {
    return JSON.stringify(h).replace(/\u2028/g, "\\u2028").replace(/\u2029/g, "\\u2029");
  }
  e.safeStringify = T;
  function b(h) {
    return typeof h == "string" && e.IDENTIFIER.test(h) ? new n(`.${h}`) : a`[${h}]`;
  }
  e.getProperty = b;
  function O(h) {
    if (typeof h == "string" && e.IDENTIFIER.test(h))
      return new n(`${h}`);
    throw new Error(`CodeGen: invalid export name: ${h}, use explicit $id name mapping`);
  }
  e.getEsmExportName = O;
  function g(h) {
    return new n(h.toString());
  }
  e.regexpCode = g;
})(wt);
var Nr = {};
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.ValueScope = e.ValueScopeName = e.Scope = e.varKinds = e.UsedValueState = void 0;
  const t = wt;
  class r extends Error {
    constructor(l) {
      super(`CodeGen: "code" for ${l} not defined`), this.value = l.value;
    }
  }
  var n;
  (function(y) {
    y[y.Started = 0] = "Started", y[y.Completed = 1] = "Completed";
  })(n || (e.UsedValueState = n = {})), e.varKinds = {
    const: new t.Name("const"),
    let: new t.Name("let"),
    var: new t.Name("var")
  };
  class a {
    constructor({ prefixes: l, parent: $ } = {}) {
      this._names = {}, this._prefixes = l, this._parent = $;
    }
    toName(l) {
      return l instanceof t.Name ? l : this.name(l);
    }
    name(l) {
      return new t.Name(this._newName(l));
    }
    _newName(l) {
      const $ = this._names[l] || this._nameGroup(l);
      return `${l}${$.index++}`;
    }
    _nameGroup(l) {
      var $, _;
      if (!((_ = ($ = this._parent) === null || $ === void 0 ? void 0 : $._prefixes) === null || _ === void 0) && _.has(l) || this._prefixes && !this._prefixes.has(l))
        throw new Error(`CodeGen: prefix "${l}" is not allowed in this scope`);
      return this._names[l] = { prefix: l, index: 0 };
    }
  }
  e.Scope = a;
  class o extends t.Name {
    constructor(l, $) {
      super($), this.prefix = l;
    }
    setValue(l, { property: $, itemIndex: _ }) {
      this.value = l, this.scopePath = (0, t._)`.${new t.Name($)}[${_}]`;
    }
  }
  e.ValueScopeName = o;
  const c = (0, t._)`\n`;
  class d extends a {
    constructor(l) {
      super(l), this._values = {}, this._scope = l.scope, this.opts = { ...l, _n: l.lines ? c : t.nil };
    }
    get() {
      return this._scope;
    }
    name(l) {
      return new o(l, this._newName(l));
    }
    value(l, $) {
      var _;
      if ($.ref === void 0)
        throw new Error("CodeGen: ref must be passed in value");
      const C = this.toName(l), { prefix: T } = C, b = (_ = $.key) !== null && _ !== void 0 ? _ : $.ref;
      let O = this._values[T];
      if (O) {
        const m = O.get(b);
        if (m)
          return m;
      } else
        O = this._values[T] = /* @__PURE__ */ new Map();
      O.set(b, C);
      const g = this._scope[T] || (this._scope[T] = []), h = g.length;
      return g[h] = $.ref, C.setValue($, { property: T, itemIndex: h }), C;
    }
    getValue(l, $) {
      const _ = this._values[l];
      if (_)
        return _.get($);
    }
    scopeRefs(l, $ = this._values) {
      return this._reduceValues($, (_) => {
        if (_.scopePath === void 0)
          throw new Error(`CodeGen: name "${_}" has no value`);
        return (0, t._)`${l}${_.scopePath}`;
      });
    }
    scopeCode(l = this._values, $, _) {
      return this._reduceValues(l, (C) => {
        if (C.value === void 0)
          throw new Error(`CodeGen: name "${C}" has no value`);
        return C.value.code;
      }, $, _);
    }
    _reduceValues(l, $, _ = {}, C) {
      let T = t.nil;
      for (const b in l) {
        const O = l[b];
        if (!O)
          continue;
        const g = _[b] = _[b] || /* @__PURE__ */ new Map();
        O.forEach((h) => {
          if (g.has(h))
            return;
          g.set(h, n.Started);
          let m = $(h);
          if (m) {
            const R = this.opts.es5 ? e.varKinds.var : e.varKinds.const;
            T = (0, t._)`${T}${R} ${h} = ${m};${this.opts._n}`;
          } else if (m = C == null ? void 0 : C(h))
            T = (0, t._)`${T}${m}${this.opts._n}`;
          else
            throw new r(h);
          g.set(h, n.Completed);
        });
      }
      return T;
    }
  }
  e.ValueScope = d;
})(Nr);
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.or = e.and = e.not = e.CodeGen = e.operators = e.varKinds = e.ValueScopeName = e.ValueScope = e.Scope = e.Name = e.regexpCode = e.stringify = e.getProperty = e.nil = e.strConcat = e.str = e._ = void 0;
  const t = wt, r = Nr;
  var n = wt;
  Object.defineProperty(e, "_", { enumerable: !0, get: function() {
    return n._;
  } }), Object.defineProperty(e, "str", { enumerable: !0, get: function() {
    return n.str;
  } }), Object.defineProperty(e, "strConcat", { enumerable: !0, get: function() {
    return n.strConcat;
  } }), Object.defineProperty(e, "nil", { enumerable: !0, get: function() {
    return n.nil;
  } }), Object.defineProperty(e, "getProperty", { enumerable: !0, get: function() {
    return n.getProperty;
  } }), Object.defineProperty(e, "stringify", { enumerable: !0, get: function() {
    return n.stringify;
  } }), Object.defineProperty(e, "regexpCode", { enumerable: !0, get: function() {
    return n.regexpCode;
  } }), Object.defineProperty(e, "Name", { enumerable: !0, get: function() {
    return n.Name;
  } });
  var a = Nr;
  Object.defineProperty(e, "Scope", { enumerable: !0, get: function() {
    return a.Scope;
  } }), Object.defineProperty(e, "ValueScope", { enumerable: !0, get: function() {
    return a.ValueScope;
  } }), Object.defineProperty(e, "ValueScopeName", { enumerable: !0, get: function() {
    return a.ValueScopeName;
  } }), Object.defineProperty(e, "varKinds", { enumerable: !0, get: function() {
    return a.varKinds;
  } }), e.operators = {
    GT: new t._Code(">"),
    GTE: new t._Code(">="),
    LT: new t._Code("<"),
    LTE: new t._Code("<="),
    EQ: new t._Code("==="),
    NEQ: new t._Code("!=="),
    NOT: new t._Code("!"),
    OR: new t._Code("||"),
    AND: new t._Code("&&"),
    ADD: new t._Code("+")
  };
  class o {
    optimizeNodes() {
      return this;
    }
    optimizeNames(s, u) {
      return this;
    }
  }
  class c extends o {
    constructor(s, u, S) {
      super(), this.varKind = s, this.name = u, this.rhs = S;
    }
    render({ es5: s, _n: u }) {
      const S = s ? r.varKinds.var : this.varKind, I = this.rhs === void 0 ? "" : ` = ${this.rhs}`;
      return `${S} ${this.name}${I};` + u;
    }
    optimizeNames(s, u) {
      if (s[this.name.str])
        return this.rhs && (this.rhs = re(this.rhs, s, u)), this;
    }
    get names() {
      return this.rhs instanceof t._CodeOrName ? this.rhs.names : {};
    }
  }
  class d extends o {
    constructor(s, u, S) {
      super(), this.lhs = s, this.rhs = u, this.sideEffects = S;
    }
    render({ _n: s }) {
      return `${this.lhs} = ${this.rhs};` + s;
    }
    optimizeNames(s, u) {
      if (!(this.lhs instanceof t.Name && !s[this.lhs.str] && !this.sideEffects))
        return this.rhs = re(this.rhs, s, u), this;
    }
    get names() {
      const s = this.lhs instanceof t.Name ? {} : { ...this.lhs.names };
      return ne(s, this.rhs);
    }
  }
  class y extends d {
    constructor(s, u, S, I) {
      super(s, S, I), this.op = u;
    }
    render({ _n: s }) {
      return `${this.lhs} ${this.op}= ${this.rhs};` + s;
    }
  }
  class l extends o {
    constructor(s) {
      super(), this.label = s, this.names = {};
    }
    render({ _n: s }) {
      return `${this.label}:` + s;
    }
  }
  class $ extends o {
    constructor(s) {
      super(), this.label = s, this.names = {};
    }
    render({ _n: s }) {
      return `break${this.label ? ` ${this.label}` : ""};` + s;
    }
  }
  class _ extends o {
    constructor(s) {
      super(), this.error = s;
    }
    render({ _n: s }) {
      return `throw ${this.error};` + s;
    }
    get names() {
      return this.error.names;
    }
  }
  class C extends o {
    constructor(s) {
      super(), this.code = s;
    }
    render({ _n: s }) {
      return `${this.code};` + s;
    }
    optimizeNodes() {
      return `${this.code}` ? this : void 0;
    }
    optimizeNames(s, u) {
      return this.code = re(this.code, s, u), this;
    }
    get names() {
      return this.code instanceof t._CodeOrName ? this.code.names : {};
    }
  }
  class T extends o {
    constructor(s = []) {
      super(), this.nodes = s;
    }
    render(s) {
      return this.nodes.reduce((u, S) => u + S.render(s), "");
    }
    optimizeNodes() {
      const { nodes: s } = this;
      let u = s.length;
      for (; u--; ) {
        const S = s[u].optimizeNodes();
        Array.isArray(S) ? s.splice(u, 1, ...S) : S ? s[u] = S : s.splice(u, 1);
      }
      return s.length > 0 ? this : void 0;
    }
    optimizeNames(s, u) {
      const { nodes: S } = this;
      let I = S.length;
      for (; I--; ) {
        const j = S[I];
        j.optimizeNames(s, u) || (Ee(s, j.names), S.splice(I, 1));
      }
      return S.length > 0 ? this : void 0;
    }
    get names() {
      return this.nodes.reduce((s, u) => H(s, u.names), {});
    }
  }
  class b extends T {
    render(s) {
      return "{" + s._n + super.render(s) + "}" + s._n;
    }
  }
  class O extends T {
  }
  class g extends b {
  }
  g.kind = "else";
  class h extends b {
    constructor(s, u) {
      super(u), this.condition = s;
    }
    render(s) {
      let u = `if(${this.condition})` + super.render(s);
      return this.else && (u += "else " + this.else.render(s)), u;
    }
    optimizeNodes() {
      super.optimizeNodes();
      const s = this.condition;
      if (s === !0)
        return this.nodes;
      let u = this.else;
      if (u) {
        const S = u.optimizeNodes();
        u = this.else = Array.isArray(S) ? new g(S) : S;
      }
      if (u)
        return s === !1 ? u instanceof h ? u : u.nodes : this.nodes.length ? this : new h(De(s), u instanceof h ? [u] : u.nodes);
      if (!(s === !1 || !this.nodes.length))
        return this;
    }
    optimizeNames(s, u) {
      var S;
      if (this.else = (S = this.else) === null || S === void 0 ? void 0 : S.optimizeNames(s, u), !!(super.optimizeNames(s, u) || this.else))
        return this.condition = re(this.condition, s, u), this;
    }
    get names() {
      const s = super.names;
      return ne(s, this.condition), this.else && H(s, this.else.names), s;
    }
  }
  h.kind = "if";
  class m extends b {
  }
  m.kind = "for";
  class R extends m {
    constructor(s) {
      super(), this.iteration = s;
    }
    render(s) {
      return `for(${this.iteration})` + super.render(s);
    }
    optimizeNames(s, u) {
      if (super.optimizeNames(s, u))
        return this.iteration = re(this.iteration, s, u), this;
    }
    get names() {
      return H(super.names, this.iteration.names);
    }
  }
  class k extends m {
    constructor(s, u, S, I) {
      super(), this.varKind = s, this.name = u, this.from = S, this.to = I;
    }
    render(s) {
      const u = s.es5 ? r.varKinds.var : this.varKind, { name: S, from: I, to: j } = this;
      return `for(${u} ${S}=${I}; ${S}<${j}; ${S}++)` + super.render(s);
    }
    get names() {
      const s = ne(super.names, this.from);
      return ne(s, this.to);
    }
  }
  class M extends m {
    constructor(s, u, S, I) {
      super(), this.loop = s, this.varKind = u, this.name = S, this.iterable = I;
    }
    render(s) {
      return `for(${this.varKind} ${this.name} ${this.loop} ${this.iterable})` + super.render(s);
    }
    optimizeNames(s, u) {
      if (super.optimizeNames(s, u))
        return this.iterable = re(this.iterable, s, u), this;
    }
    get names() {
      return H(super.names, this.iterable.names);
    }
  }
  class B extends b {
    constructor(s, u, S) {
      super(), this.name = s, this.args = u, this.async = S;
    }
    render(s) {
      return `${this.async ? "async " : ""}function ${this.name}(${this.args})` + super.render(s);
    }
  }
  B.kind = "func";
  class te extends T {
    render(s) {
      return "return " + super.render(s);
    }
  }
  te.kind = "return";
  class ce extends b {
    render(s) {
      let u = "try" + super.render(s);
      return this.catch && (u += this.catch.render(s)), this.finally && (u += this.finally.render(s)), u;
    }
    optimizeNodes() {
      var s, u;
      return super.optimizeNodes(), (s = this.catch) === null || s === void 0 || s.optimizeNodes(), (u = this.finally) === null || u === void 0 || u.optimizeNodes(), this;
    }
    optimizeNames(s, u) {
      var S, I;
      return super.optimizeNames(s, u), (S = this.catch) === null || S === void 0 || S.optimizeNames(s, u), (I = this.finally) === null || I === void 0 || I.optimizeNames(s, u), this;
    }
    get names() {
      const s = super.names;
      return this.catch && H(s, this.catch.names), this.finally && H(s, this.finally.names), s;
    }
  }
  class D extends b {
    constructor(s) {
      super(), this.error = s;
    }
    render(s) {
      return `catch(${this.error})` + super.render(s);
    }
  }
  D.kind = "catch";
  class q extends b {
    render(s) {
      return "finally" + super.render(s);
    }
  }
  q.kind = "finally";
  class L {
    constructor(s, u = {}) {
      this._values = {}, this._blockStarts = [], this._constants = {}, this.opts = { ...u, _n: u.lines ? `
` : "" }, this._extScope = s, this._scope = new r.Scope({ parent: s }), this._nodes = [new O()];
    }
    toString() {
      return this._root.render(this.opts);
    }
    // returns unique name in the internal scope
    name(s) {
      return this._scope.name(s);
    }
    // reserves unique name in the external scope
    scopeName(s) {
      return this._extScope.name(s);
    }
    // reserves unique name in the external scope and assigns value to it
    scopeValue(s, u) {
      const S = this._extScope.value(s, u);
      return (this._values[S.prefix] || (this._values[S.prefix] = /* @__PURE__ */ new Set())).add(S), S;
    }
    getScopeValue(s, u) {
      return this._extScope.getValue(s, u);
    }
    // return code that assigns values in the external scope to the names that are used internally
    // (same names that were returned by gen.scopeName or gen.scopeValue)
    scopeRefs(s) {
      return this._extScope.scopeRefs(s, this._values);
    }
    scopeCode() {
      return this._extScope.scopeCode(this._values);
    }
    _def(s, u, S, I) {
      const j = this._scope.toName(u);
      return S !== void 0 && I && (this._constants[j.str] = S), this._leafNode(new c(s, j, S)), j;
    }
    // `const` declaration (`var` in es5 mode)
    const(s, u, S) {
      return this._def(r.varKinds.const, s, u, S);
    }
    // `let` declaration with optional assignment (`var` in es5 mode)
    let(s, u, S) {
      return this._def(r.varKinds.let, s, u, S);
    }
    // `var` declaration with optional assignment
    var(s, u, S) {
      return this._def(r.varKinds.var, s, u, S);
    }
    // assignment code
    assign(s, u, S) {
      return this._leafNode(new d(s, u, S));
    }
    // `+=` code
    add(s, u) {
      return this._leafNode(new y(s, e.operators.ADD, u));
    }
    // appends passed SafeExpr to code or executes Block
    code(s) {
      return typeof s == "function" ? s() : s !== t.nil && this._leafNode(new C(s)), this;
    }
    // returns code for object literal for the passed argument list of key-value pairs
    object(...s) {
      const u = ["{"];
      for (const [S, I] of s)
        u.length > 1 && u.push(","), u.push(S), (S !== I || this.opts.es5) && (u.push(":"), (0, t.addCodeArg)(u, I));
      return u.push("}"), new t._Code(u);
    }
    // `if` clause (or statement if `thenBody` and, optionally, `elseBody` are passed)
    if(s, u, S) {
      if (this._blockNode(new h(s)), u && S)
        this.code(u).else().code(S).endIf();
      else if (u)
        this.code(u).endIf();
      else if (S)
        throw new Error('CodeGen: "else" body without "then" body');
      return this;
    }
    // `else if` clause - invalid without `if` or after `else` clauses
    elseIf(s) {
      return this._elseNode(new h(s));
    }
    // `else` clause - only valid after `if` or `else if` clauses
    else() {
      return this._elseNode(new g());
    }
    // end `if` statement (needed if gen.if was used only with condition)
    endIf() {
      return this._endBlockNode(h, g);
    }
    _for(s, u) {
      return this._blockNode(s), u && this.code(u).endFor(), this;
    }
    // a generic `for` clause (or statement if `forBody` is passed)
    for(s, u) {
      return this._for(new R(s), u);
    }
    // `for` statement for a range of values
    forRange(s, u, S, I, j = this.opts.es5 ? r.varKinds.var : r.varKinds.let) {
      const F = this._scope.toName(s);
      return this._for(new k(j, F, u, S), () => I(F));
    }
    // `for-of` statement (in es5 mode replace with a normal for loop)
    forOf(s, u, S, I = r.varKinds.const) {
      const j = this._scope.toName(s);
      if (this.opts.es5) {
        const F = u instanceof t.Name ? u : this.var("_arr", u);
        return this.forRange("_i", 0, (0, t._)`${F}.length`, (G) => {
          this.var(j, (0, t._)`${F}[${G}]`), S(j);
        });
      }
      return this._for(new M("of", I, j, u), () => S(j));
    }
    // `for-in` statement.
    // With option `ownProperties` replaced with a `for-of` loop for object keys
    forIn(s, u, S, I = this.opts.es5 ? r.varKinds.var : r.varKinds.const) {
      if (this.opts.ownProperties)
        return this.forOf(s, (0, t._)`Object.keys(${u})`, S);
      const j = this._scope.toName(s);
      return this._for(new M("in", I, j, u), () => S(j));
    }
    // end `for` loop
    endFor() {
      return this._endBlockNode(m);
    }
    // `label` statement
    label(s) {
      return this._leafNode(new l(s));
    }
    // `break` statement
    break(s) {
      return this._leafNode(new $(s));
    }
    // `return` statement
    return(s) {
      const u = new te();
      if (this._blockNode(u), this.code(s), u.nodes.length !== 1)
        throw new Error('CodeGen: "return" should have one node');
      return this._endBlockNode(te);
    }
    // `try` statement
    try(s, u, S) {
      if (!u && !S)
        throw new Error('CodeGen: "try" without "catch" and "finally"');
      const I = new ce();
      if (this._blockNode(I), this.code(s), u) {
        const j = this.name("e");
        this._currNode = I.catch = new D(j), u(j);
      }
      return S && (this._currNode = I.finally = new q(), this.code(S)), this._endBlockNode(D, q);
    }
    // `throw` statement
    throw(s) {
      return this._leafNode(new _(s));
    }
    // start self-balancing block
    block(s, u) {
      return this._blockStarts.push(this._nodes.length), s && this.code(s).endBlock(u), this;
    }
    // end the current self-balancing block
    endBlock(s) {
      const u = this._blockStarts.pop();
      if (u === void 0)
        throw new Error("CodeGen: not in self-balancing block");
      const S = this._nodes.length - u;
      if (S < 0 || s !== void 0 && S !== s)
        throw new Error(`CodeGen: wrong number of nodes: ${S} vs ${s} expected`);
      return this._nodes.length = u, this;
    }
    // `function` heading (or definition if funcBody is passed)
    func(s, u = t.nil, S, I) {
      return this._blockNode(new B(s, u, S)), I && this.code(I).endFunc(), this;
    }
    // end function definition
    endFunc() {
      return this._endBlockNode(B);
    }
    optimize(s = 1) {
      for (; s-- > 0; )
        this._root.optimizeNodes(), this._root.optimizeNames(this._root.names, this._constants);
    }
    _leafNode(s) {
      return this._currNode.nodes.push(s), this;
    }
    _blockNode(s) {
      this._currNode.nodes.push(s), this._nodes.push(s);
    }
    _endBlockNode(s, u) {
      const S = this._currNode;
      if (S instanceof s || u && S instanceof u)
        return this._nodes.pop(), this;
      throw new Error(`CodeGen: not in block "${u ? `${s.kind}/${u.kind}` : s.kind}"`);
    }
    _elseNode(s) {
      const u = this._currNode;
      if (!(u instanceof h))
        throw new Error('CodeGen: "else" without "if"');
      return this._currNode = u.else = s, this;
    }
    get _root() {
      return this._nodes[0];
    }
    get _currNode() {
      const s = this._nodes;
      return s[s.length - 1];
    }
    set _currNode(s) {
      const u = this._nodes;
      u[u.length - 1] = s;
    }
  }
  e.CodeGen = L;
  function H(v, s) {
    for (const u in s)
      v[u] = (v[u] || 0) + (s[u] || 0);
    return v;
  }
  function ne(v, s) {
    return s instanceof t._CodeOrName ? H(v, s.names) : v;
  }
  function re(v, s, u) {
    if (v instanceof t.Name)
      return S(v);
    if (!I(v))
      return v;
    return new t._Code(v._items.reduce((j, F) => (F instanceof t.Name && (F = S(F)), F instanceof t._Code ? j.push(...F._items) : j.push(F), j), []));
    function S(j) {
      const F = u[j.str];
      return F === void 0 || s[j.str] !== 1 ? j : (delete s[j.str], F);
    }
    function I(j) {
      return j instanceof t._Code && j._items.some((F) => F instanceof t.Name && s[F.str] === 1 && u[F.str] !== void 0);
    }
  }
  function Ee(v, s) {
    for (const u in s)
      v[u] = (v[u] || 0) - (s[u] || 0);
  }
  function De(v) {
    return typeof v == "boolean" || typeof v == "number" || v === null ? !v : (0, t._)`!${w(v)}`;
  }
  e.not = De;
  const We = E(e.operators.AND);
  function xe(...v) {
    return v.reduce(We);
  }
  e.and = xe;
  const Ae = E(e.operators.OR);
  function A(...v) {
    return v.reduce(Ae);
  }
  e.or = A;
  function E(v) {
    return (s, u) => s === t.nil ? u : u === t.nil ? s : (0, t._)`${w(s)} ${v} ${w(u)}`;
  }
  function w(v) {
    return v instanceof t.Name ? v : (0, t._)`(${v})`;
  }
})(X);
var V = {};
Object.defineProperty(V, "__esModule", { value: !0 });
V.checkStrictMode = V.getErrorPath = V.Type = V.useFunc = V.setEvaluated = V.evaluatedPropsToName = V.mergeEvaluated = V.eachItem = V.unescapeJsonPointer = V.escapeJsonPointer = V.escapeFragment = V.unescapeFragment = V.schemaRefOrVal = V.schemaHasRulesButRef = V.schemaHasRules = V.checkUnknownRules = V.alwaysValidSchema = V.toHash = void 0;
const ae = X, ys = wt;
function vs(e) {
  const t = {};
  for (const r of e)
    t[r] = !0;
  return t;
}
V.toHash = vs;
function _s(e, t) {
  return typeof t == "boolean" ? t : Object.keys(t).length === 0 ? !0 : (la(e, t), !fa(t, e.self.RULES.all));
}
V.alwaysValidSchema = _s;
function la(e, t = e.schema) {
  const { opts: r, self: n } = e;
  if (!r.strictSchema || typeof t == "boolean")
    return;
  const a = n.RULES.keywords;
  for (const o in t)
    a[o] || pa(e, `unknown keyword: "${o}"`);
}
V.checkUnknownRules = la;
function fa(e, t) {
  if (typeof e == "boolean")
    return !e;
  for (const r in e)
    if (t[r])
      return !0;
  return !1;
}
V.schemaHasRules = fa;
function gs(e, t) {
  if (typeof e == "boolean")
    return !e;
  for (const r in e)
    if (r !== "$ref" && t.all[r])
      return !0;
  return !1;
}
V.schemaHasRulesButRef = gs;
function Es({ topSchemaRef: e, schemaPath: t }, r, n, a) {
  if (!a) {
    if (typeof r == "number" || typeof r == "boolean")
      return r;
    if (typeof r == "string")
      return (0, ae._)`${r}`;
  }
  return (0, ae._)`${e}${t}${(0, ae.getProperty)(n)}`;
}
V.schemaRefOrVal = Es;
function ws(e) {
  return ha(decodeURIComponent(e));
}
V.unescapeFragment = ws;
function bs(e) {
  return encodeURIComponent(Fr(e));
}
V.escapeFragment = bs;
function Fr(e) {
  return typeof e == "number" ? `${e}` : e.replace(/~/g, "~0").replace(/\//g, "~1");
}
V.escapeJsonPointer = Fr;
function ha(e) {
  return e.replace(/~1/g, "/").replace(/~0/g, "~");
}
V.unescapeJsonPointer = ha;
function Ss(e, t) {
  if (Array.isArray(e))
    for (const r of e)
      t(r);
  else
    t(e);
}
V.eachItem = Ss;
function Kn({ mergeNames: e, mergeToName: t, mergeValues: r, resultToName: n }) {
  return (a, o, c, d) => {
    const y = c === void 0 ? o : c instanceof ae.Name ? (o instanceof ae.Name ? e(a, o, c) : t(a, o, c), c) : o instanceof ae.Name ? (t(a, c, o), o) : r(o, c);
    return d === ae.Name && !(y instanceof ae.Name) ? n(a, y) : y;
  };
}
V.mergeEvaluated = {
  props: Kn({
    mergeNames: (e, t, r) => e.if((0, ae._)`${r} !== true && ${t} !== undefined`, () => {
      e.if((0, ae._)`${t} === true`, () => e.assign(r, !0), () => e.assign(r, (0, ae._)`${r} || {}`).code((0, ae._)`Object.assign(${r}, ${t})`));
    }),
    mergeToName: (e, t, r) => e.if((0, ae._)`${r} !== true`, () => {
      t === !0 ? e.assign(r, !0) : (e.assign(r, (0, ae._)`${r} || {}`), zr(e, r, t));
    }),
    mergeValues: (e, t) => e === !0 ? !0 : { ...e, ...t },
    resultToName: ma
  }),
  items: Kn({
    mergeNames: (e, t, r) => e.if((0, ae._)`${r} !== true && ${t} !== undefined`, () => e.assign(r, (0, ae._)`${t} === true ? true : ${r} > ${t} ? ${r} : ${t}`)),
    mergeToName: (e, t, r) => e.if((0, ae._)`${r} !== true`, () => e.assign(r, t === !0 ? !0 : (0, ae._)`${r} > ${t} ? ${r} : ${t}`)),
    mergeValues: (e, t) => e === !0 ? !0 : Math.max(e, t),
    resultToName: (e, t) => e.var("items", t)
  })
};
function ma(e, t) {
  if (t === !0)
    return e.var("props", !0);
  const r = e.var("props", (0, ae._)`{}`);
  return t !== void 0 && zr(e, r, t), r;
}
V.evaluatedPropsToName = ma;
function zr(e, t, r) {
  Object.keys(r).forEach((n) => e.assign((0, ae._)`${t}${(0, ae.getProperty)(n)}`, !0));
}
V.setEvaluated = zr;
const Ln = {};
function Ps(e, t) {
  return e.scopeValue("func", {
    ref: t,
    code: Ln[t.code] || (Ln[t.code] = new ys._Code(t.code))
  });
}
V.useFunc = Ps;
var Tr;
(function(e) {
  e[e.Num = 0] = "Num", e[e.Str = 1] = "Str";
})(Tr || (V.Type = Tr = {}));
function Os(e, t, r) {
  if (e instanceof ae.Name) {
    const n = t === Tr.Num;
    return r ? n ? (0, ae._)`"[" + ${e} + "]"` : (0, ae._)`"['" + ${e} + "']"` : n ? (0, ae._)`"/" + ${e}` : (0, ae._)`"/" + ${e}.replace(/~/g, "~0").replace(/\\//g, "~1")`;
  }
  return r ? (0, ae.getProperty)(e).toString() : "/" + Fr(e);
}
V.getErrorPath = Os;
function pa(e, t, r = e.opts.strictSchema) {
  if (r) {
    if (t = `strict mode: ${t}`, r === !0)
      throw new Error(t);
    e.self.logger.warn(t);
  }
}
V.checkStrictMode = pa;
var ke = {};
Object.defineProperty(ke, "__esModule", { value: !0 });
const _e = X, Ns = {
  // validation function arguments
  data: new _e.Name("data"),
  // data passed to validation function
  // args passed from referencing schema
  valCxt: new _e.Name("valCxt"),
  // validation/data context - should not be used directly, it is destructured to the names below
  instancePath: new _e.Name("instancePath"),
  parentData: new _e.Name("parentData"),
  parentDataProperty: new _e.Name("parentDataProperty"),
  rootData: new _e.Name("rootData"),
  // root data - same as the data passed to the first/top validation function
  dynamicAnchors: new _e.Name("dynamicAnchors"),
  // used to support recursiveRef and dynamicRef
  // function scoped variables
  vErrors: new _e.Name("vErrors"),
  // null or array of validation errors
  errors: new _e.Name("errors"),
  // counter of validation errors
  this: new _e.Name("this"),
  // "globals"
  self: new _e.Name("self"),
  scope: new _e.Name("scope"),
  // JTD serialize/parse name for JSON string and position
  json: new _e.Name("json"),
  jsonPos: new _e.Name("jsonPos"),
  jsonLen: new _e.Name("jsonLen"),
  jsonPart: new _e.Name("jsonPart")
};
ke.default = Ns;
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.extendErrors = e.resetErrorsCount = e.reportExtraError = e.reportError = e.keyword$DataError = e.keywordError = void 0;
  const t = X, r = V, n = ke;
  e.keywordError = {
    message: ({ keyword: g }) => (0, t.str)`must pass "${g}" keyword validation`
  }, e.keyword$DataError = {
    message: ({ keyword: g, schemaType: h }) => h ? (0, t.str)`"${g}" keyword must be ${h} ($data)` : (0, t.str)`"${g}" keyword is invalid ($data)`
  };
  function a(g, h = e.keywordError, m, R) {
    const { it: k } = g, { gen: M, compositeRule: B, allErrors: te } = k, ce = _(g, h, m);
    R ?? (B || te) ? y(M, ce) : l(k, (0, t._)`[${ce}]`);
  }
  e.reportError = a;
  function o(g, h = e.keywordError, m) {
    const { it: R } = g, { gen: k, compositeRule: M, allErrors: B } = R, te = _(g, h, m);
    y(k, te), M || B || l(R, n.default.vErrors);
  }
  e.reportExtraError = o;
  function c(g, h) {
    g.assign(n.default.errors, h), g.if((0, t._)`${n.default.vErrors} !== null`, () => g.if(h, () => g.assign((0, t._)`${n.default.vErrors}.length`, h), () => g.assign(n.default.vErrors, null)));
  }
  e.resetErrorsCount = c;
  function d({ gen: g, keyword: h, schemaValue: m, data: R, errsCount: k, it: M }) {
    if (k === void 0)
      throw new Error("ajv implementation error");
    const B = g.name("err");
    g.forRange("i", k, n.default.errors, (te) => {
      g.const(B, (0, t._)`${n.default.vErrors}[${te}]`), g.if((0, t._)`${B}.instancePath === undefined`, () => g.assign((0, t._)`${B}.instancePath`, (0, t.strConcat)(n.default.instancePath, M.errorPath))), g.assign((0, t._)`${B}.schemaPath`, (0, t.str)`${M.errSchemaPath}/${h}`), M.opts.verbose && (g.assign((0, t._)`${B}.schema`, m), g.assign((0, t._)`${B}.data`, R));
    });
  }
  e.extendErrors = d;
  function y(g, h) {
    const m = g.const("err", h);
    g.if((0, t._)`${n.default.vErrors} === null`, () => g.assign(n.default.vErrors, (0, t._)`[${m}]`), (0, t._)`${n.default.vErrors}.push(${m})`), g.code((0, t._)`${n.default.errors}++`);
  }
  function l(g, h) {
    const { gen: m, validateName: R, schemaEnv: k } = g;
    k.$async ? m.throw((0, t._)`new ${g.ValidationError}(${h})`) : (m.assign((0, t._)`${R}.errors`, h), m.return(!1));
  }
  const $ = {
    keyword: new t.Name("keyword"),
    schemaPath: new t.Name("schemaPath"),
    // also used in JTD errors
    params: new t.Name("params"),
    propertyName: new t.Name("propertyName"),
    message: new t.Name("message"),
    schema: new t.Name("schema"),
    parentSchema: new t.Name("parentSchema")
  };
  function _(g, h, m) {
    const { createErrors: R } = g.it;
    return R === !1 ? (0, t._)`{}` : C(g, h, m);
  }
  function C(g, h, m = {}) {
    const { gen: R, it: k } = g, M = [
      T(k, m),
      b(g, m)
    ];
    return O(g, h, M), R.object(...M);
  }
  function T({ errorPath: g }, { instancePath: h }) {
    const m = h ? (0, t.str)`${g}${(0, r.getErrorPath)(h, r.Type.Str)}` : g;
    return [n.default.instancePath, (0, t.strConcat)(n.default.instancePath, m)];
  }
  function b({ keyword: g, it: { errSchemaPath: h } }, { schemaPath: m, parentSchema: R }) {
    let k = R ? h : (0, t.str)`${h}/${g}`;
    return m && (k = (0, t.str)`${k}${(0, r.getErrorPath)(m, r.Type.Str)}`), [$.schemaPath, k];
  }
  function O(g, { params: h, message: m }, R) {
    const { keyword: k, data: M, schemaValue: B, it: te } = g, { opts: ce, propertyName: D, topSchemaRef: q, schemaPath: L } = te;
    R.push([$.keyword, k], [$.params, typeof h == "function" ? h(g) : h || (0, t._)`{}`]), ce.messages && R.push([$.message, typeof m == "function" ? m(g) : m]), ce.verbose && R.push([$.schema, B], [$.parentSchema, (0, t._)`${q}${L}`], [n.default.data, M]), D && R.push([$.propertyName, D]);
  }
})(St);
Object.defineProperty(Et, "__esModule", { value: !0 });
Et.boolOrEmptySchema = Et.topBoolOrEmptySchema = void 0;
const Ts = St, Cs = X, js = ke, Rs = {
  message: "boolean schema is false"
};
function Is(e) {
  const { gen: t, schema: r, validateName: n } = e;
  r === !1 ? $a(e, !1) : typeof r == "object" && r.$async === !0 ? t.return(js.default.data) : (t.assign((0, Cs._)`${n}.errors`, null), t.return(!0));
}
Et.topBoolOrEmptySchema = Is;
function ks(e, t) {
  const { gen: r, schema: n } = e;
  n === !1 ? (r.var(t, !1), $a(e)) : r.var(t, !0);
}
Et.boolOrEmptySchema = ks;
function $a(e, t) {
  const { gen: r, data: n } = e, a = {
    gen: r,
    keyword: "false schema",
    data: n,
    schema: !1,
    schemaCode: !1,
    schemaValue: !1,
    params: {},
    it: e
  };
  (0, Ts.reportError)(a, Rs, void 0, t);
}
var $e = {}, ct = {};
Object.defineProperty(ct, "__esModule", { value: !0 });
ct.getRules = ct.isJSONType = void 0;
const Ds = ["string", "number", "integer", "boolean", "null", "object", "array"], As = new Set(Ds);
function Ms(e) {
  return typeof e == "string" && As.has(e);
}
ct.isJSONType = Ms;
function Vs() {
  const e = {
    number: { type: "number", rules: [] },
    string: { type: "string", rules: [] },
    array: { type: "array", rules: [] },
    object: { type: "object", rules: [] }
  };
  return {
    types: { ...e, integer: !0, boolean: !0, null: !0 },
    rules: [{ rules: [] }, e.number, e.string, e.array, e.object],
    post: { rules: [] },
    all: {},
    keywords: {}
  };
}
ct.getRules = Vs;
var Ge = {};
Object.defineProperty(Ge, "__esModule", { value: !0 });
Ge.shouldUseRule = Ge.shouldUseGroup = Ge.schemaHasRulesForType = void 0;
function Fs({ schema: e, self: t }, r) {
  const n = t.RULES.types[r];
  return n && n !== !0 && ya(e, n);
}
Ge.schemaHasRulesForType = Fs;
function ya(e, t) {
  return t.rules.some((r) => va(e, r));
}
Ge.shouldUseGroup = ya;
function va(e, t) {
  var r;
  return e[t.keyword] !== void 0 || ((r = t.definition.implements) === null || r === void 0 ? void 0 : r.some((n) => e[n] !== void 0));
}
Ge.shouldUseRule = va;
Object.defineProperty($e, "__esModule", { value: !0 });
$e.reportTypeError = $e.checkDataTypes = $e.checkDataType = $e.coerceAndCheckDataType = $e.getJSONTypes = $e.getSchemaTypes = $e.DataType = void 0;
const zs = ct, Us = Ge, qs = St, Y = X, _a = V;
var _t;
(function(e) {
  e[e.Correct = 0] = "Correct", e[e.Wrong = 1] = "Wrong";
})(_t || ($e.DataType = _t = {}));
function Ks(e) {
  const t = ga(e.type);
  if (t.includes("null")) {
    if (e.nullable === !1)
      throw new Error("type: null contradicts nullable: false");
  } else {
    if (!t.length && e.nullable !== void 0)
      throw new Error('"nullable" cannot be used without "type"');
    e.nullable === !0 && t.push("null");
  }
  return t;
}
$e.getSchemaTypes = Ks;
function ga(e) {
  const t = Array.isArray(e) ? e : e ? [e] : [];
  if (t.every(zs.isJSONType))
    return t;
  throw new Error("type must be JSONType or JSONType[]: " + t.join(","));
}
$e.getJSONTypes = ga;
function Ls(e, t) {
  const { gen: r, data: n, opts: a } = e, o = Hs(t, a.coerceTypes), c = t.length > 0 && !(o.length === 0 && t.length === 1 && (0, Us.schemaHasRulesForType)(e, t[0]));
  if (c) {
    const d = Ur(t, n, a.strictNumbers, _t.Wrong);
    r.if(d, () => {
      o.length ? Gs(e, t, o) : qr(e);
    });
  }
  return c;
}
$e.coerceAndCheckDataType = Ls;
const Ea = /* @__PURE__ */ new Set(["string", "number", "integer", "boolean", "null"]);
function Hs(e, t) {
  return t ? e.filter((r) => Ea.has(r) || t === "array" && r === "array") : [];
}
function Gs(e, t, r) {
  const { gen: n, data: a, opts: o } = e, c = n.let("dataType", (0, Y._)`typeof ${a}`), d = n.let("coerced", (0, Y._)`undefined`);
  o.coerceTypes === "array" && n.if((0, Y._)`${c} == 'object' && Array.isArray(${a}) && ${a}.length == 1`, () => n.assign(a, (0, Y._)`${a}[0]`).assign(c, (0, Y._)`typeof ${a}`).if(Ur(t, a, o.strictNumbers), () => n.assign(d, a))), n.if((0, Y._)`${d} !== undefined`);
  for (const l of r)
    (Ea.has(l) || l === "array" && o.coerceTypes === "array") && y(l);
  n.else(), qr(e), n.endIf(), n.if((0, Y._)`${d} !== undefined`, () => {
    n.assign(a, d), Js(e, d);
  });
  function y(l) {
    switch (l) {
      case "string":
        n.elseIf((0, Y._)`${c} == "number" || ${c} == "boolean"`).assign(d, (0, Y._)`"" + ${a}`).elseIf((0, Y._)`${a} === null`).assign(d, (0, Y._)`""`);
        return;
      case "number":
        n.elseIf((0, Y._)`${c} == "boolean" || ${a} === null
              || (${c} == "string" && ${a} && ${a} == +${a})`).assign(d, (0, Y._)`+${a}`);
        return;
      case "integer":
        n.elseIf((0, Y._)`${c} === "boolean" || ${a} === null
              || (${c} === "string" && ${a} && ${a} == +${a} && !(${a} % 1))`).assign(d, (0, Y._)`+${a}`);
        return;
      case "boolean":
        n.elseIf((0, Y._)`${a} === "false" || ${a} === 0 || ${a} === null`).assign(d, !1).elseIf((0, Y._)`${a} === "true" || ${a} === 1`).assign(d, !0);
        return;
      case "null":
        n.elseIf((0, Y._)`${a} === "" || ${a} === 0 || ${a} === false`), n.assign(d, null);
        return;
      case "array":
        n.elseIf((0, Y._)`${c} === "string" || ${c} === "number"
              || ${c} === "boolean" || ${a} === null`).assign(d, (0, Y._)`[${a}]`);
    }
  }
}
function Js({ gen: e, parentData: t, parentDataProperty: r }, n) {
  e.if((0, Y._)`${t} !== undefined`, () => e.assign((0, Y._)`${t}[${r}]`, n));
}
function Cr(e, t, r, n = _t.Correct) {
  const a = n === _t.Correct ? Y.operators.EQ : Y.operators.NEQ;
  let o;
  switch (e) {
    case "null":
      return (0, Y._)`${t} ${a} null`;
    case "array":
      o = (0, Y._)`Array.isArray(${t})`;
      break;
    case "object":
      o = (0, Y._)`${t} && typeof ${t} == "object" && !Array.isArray(${t})`;
      break;
    case "integer":
      o = c((0, Y._)`!(${t} % 1) && !isNaN(${t})`);
      break;
    case "number":
      o = c();
      break;
    default:
      return (0, Y._)`typeof ${t} ${a} ${e}`;
  }
  return n === _t.Correct ? o : (0, Y.not)(o);
  function c(d = Y.nil) {
    return (0, Y.and)((0, Y._)`typeof ${t} == "number"`, d, r ? (0, Y._)`isFinite(${t})` : Y.nil);
  }
}
$e.checkDataType = Cr;
function Ur(e, t, r, n) {
  if (e.length === 1)
    return Cr(e[0], t, r, n);
  let a;
  const o = (0, _a.toHash)(e);
  if (o.array && o.object) {
    const c = (0, Y._)`typeof ${t} != "object"`;
    a = o.null ? c : (0, Y._)`!${t} || ${c}`, delete o.null, delete o.array, delete o.object;
  } else
    a = Y.nil;
  o.number && delete o.integer;
  for (const c in o)
    a = (0, Y.and)(a, Cr(c, t, r, n));
  return a;
}
$e.checkDataTypes = Ur;
const Ws = {
  message: ({ schema: e }) => `must be ${e}`,
  params: ({ schema: e, schemaValue: t }) => typeof e == "string" ? (0, Y._)`{type: ${e}}` : (0, Y._)`{type: ${t}}`
};
function qr(e) {
  const t = Bs(e);
  (0, qs.reportError)(t, Ws);
}
$e.reportTypeError = qr;
function Bs(e) {
  const { gen: t, data: r, schema: n } = e, a = (0, _a.schemaRefOrVal)(e, n, "type");
  return {
    gen: t,
    keyword: "type",
    data: r,
    schema: n.type,
    schemaCode: a,
    schemaValue: a,
    parentSchema: n,
    params: {},
    it: e
  };
}
var mr = {};
Object.defineProperty(mr, "__esModule", { value: !0 });
mr.assignDefaults = void 0;
const $t = X, Ys = V;
function Xs(e, t) {
  const { properties: r, items: n } = e.schema;
  if (t === "object" && r)
    for (const a in r)
      Hn(e, a, r[a].default);
  else
    t === "array" && Array.isArray(n) && n.forEach((a, o) => Hn(e, o, a.default));
}
mr.assignDefaults = Xs;
function Hn(e, t, r) {
  const { gen: n, compositeRule: a, data: o, opts: c } = e;
  if (r === void 0)
    return;
  const d = (0, $t._)`${o}${(0, $t.getProperty)(t)}`;
  if (a) {
    (0, Ys.checkStrictMode)(e, `default is ignored for: ${d}`);
    return;
  }
  let y = (0, $t._)`${d} === undefined`;
  c.useDefaults === "empty" && (y = (0, $t._)`${y} || ${d} === null || ${d} === ""`), n.if(y, (0, $t._)`${d} = ${(0, $t.stringify)(r)}`);
}
var Le = {}, Q = {};
Object.defineProperty(Q, "__esModule", { value: !0 });
Q.validateUnion = Q.validateArray = Q.usePattern = Q.callValidateCode = Q.schemaProperties = Q.allSchemaProperties = Q.noPropertyInData = Q.propertyInData = Q.isOwnProperty = Q.hasPropFunc = Q.reportMissingProp = Q.checkMissingProp = Q.checkReportMissingProp = void 0;
const ie = X, Kr = V, Ye = ke, Qs = V;
function Zs(e, t) {
  const { gen: r, data: n, it: a } = e;
  r.if(Hr(r, n, t, a.opts.ownProperties), () => {
    e.setParams({ missingProperty: (0, ie._)`${t}` }, !0), e.error();
  });
}
Q.checkReportMissingProp = Zs;
function xs({ gen: e, data: t, it: { opts: r } }, n, a) {
  return (0, ie.or)(...n.map((o) => (0, ie.and)(Hr(e, t, o, r.ownProperties), (0, ie._)`${a} = ${o}`)));
}
Q.checkMissingProp = xs;
function eo(e, t) {
  e.setParams({ missingProperty: t }, !0), e.error();
}
Q.reportMissingProp = eo;
function wa(e) {
  return e.scopeValue("func", {
    // eslint-disable-next-line @typescript-eslint/unbound-method
    ref: Object.prototype.hasOwnProperty,
    code: (0, ie._)`Object.prototype.hasOwnProperty`
  });
}
Q.hasPropFunc = wa;
function Lr(e, t, r) {
  return (0, ie._)`${wa(e)}.call(${t}, ${r})`;
}
Q.isOwnProperty = Lr;
function to(e, t, r, n) {
  const a = (0, ie._)`${t}${(0, ie.getProperty)(r)} !== undefined`;
  return n ? (0, ie._)`${a} && ${Lr(e, t, r)}` : a;
}
Q.propertyInData = to;
function Hr(e, t, r, n) {
  const a = (0, ie._)`${t}${(0, ie.getProperty)(r)} === undefined`;
  return n ? (0, ie.or)(a, (0, ie.not)(Lr(e, t, r))) : a;
}
Q.noPropertyInData = Hr;
function ba(e) {
  return e ? Object.keys(e).filter((t) => t !== "__proto__") : [];
}
Q.allSchemaProperties = ba;
function ro(e, t) {
  return ba(t).filter((r) => !(0, Kr.alwaysValidSchema)(e, t[r]));
}
Q.schemaProperties = ro;
function no({ schemaCode: e, data: t, it: { gen: r, topSchemaRef: n, schemaPath: a, errorPath: o }, it: c }, d, y, l) {
  const $ = l ? (0, ie._)`${e}, ${t}, ${n}${a}` : t, _ = [
    [Ye.default.instancePath, (0, ie.strConcat)(Ye.default.instancePath, o)],
    [Ye.default.parentData, c.parentData],
    [Ye.default.parentDataProperty, c.parentDataProperty],
    [Ye.default.rootData, Ye.default.rootData]
  ];
  c.opts.dynamicRef && _.push([Ye.default.dynamicAnchors, Ye.default.dynamicAnchors]);
  const C = (0, ie._)`${$}, ${r.object(..._)}`;
  return y !== ie.nil ? (0, ie._)`${d}.call(${y}, ${C})` : (0, ie._)`${d}(${C})`;
}
Q.callValidateCode = no;
const ao = (0, ie._)`new RegExp`;
function so({ gen: e, it: { opts: t } }, r) {
  const n = t.unicodeRegExp ? "u" : "", { regExp: a } = t.code, o = a(r, n);
  return e.scopeValue("pattern", {
    key: o.toString(),
    ref: o,
    code: (0, ie._)`${a.code === "new RegExp" ? ao : (0, Qs.useFunc)(e, a)}(${r}, ${n})`
  });
}
Q.usePattern = so;
function oo(e) {
  const { gen: t, data: r, keyword: n, it: a } = e, o = t.name("valid");
  if (a.allErrors) {
    const d = t.let("valid", !0);
    return c(() => t.assign(d, !1)), d;
  }
  return t.var(o, !0), c(() => t.break()), o;
  function c(d) {
    const y = t.const("len", (0, ie._)`${r}.length`);
    t.forRange("i", 0, y, (l) => {
      e.subschema({
        keyword: n,
        dataProp: l,
        dataPropType: Kr.Type.Num
      }, o), t.if((0, ie.not)(o), d);
    });
  }
}
Q.validateArray = oo;
function io(e) {
  const { gen: t, schema: r, keyword: n, it: a } = e;
  if (!Array.isArray(r))
    throw new Error("ajv implementation error");
  if (r.some((y) => (0, Kr.alwaysValidSchema)(a, y)) && !a.opts.unevaluated)
    return;
  const c = t.let("valid", !1), d = t.name("_valid");
  t.block(() => r.forEach((y, l) => {
    const $ = e.subschema({
      keyword: n,
      schemaProp: l,
      compositeRule: !0
    }, d);
    t.assign(c, (0, ie._)`${c} || ${d}`), e.mergeValidEvaluated($, d) || t.if((0, ie.not)(c));
  })), e.result(c, () => e.reset(), () => e.error(!0));
}
Q.validateUnion = io;
Object.defineProperty(Le, "__esModule", { value: !0 });
Le.validateKeywordUsage = Le.validSchemaType = Le.funcKeywordCode = Le.macroKeywordCode = void 0;
const ge = X, st = ke, co = Q, uo = St;
function lo(e, t) {
  const { gen: r, keyword: n, schema: a, parentSchema: o, it: c } = e, d = t.macro.call(c.self, a, o, c), y = Sa(r, n, d);
  c.opts.validateSchema !== !1 && c.self.validateSchema(d, !0);
  const l = r.name("valid");
  e.subschema({
    schema: d,
    schemaPath: ge.nil,
    errSchemaPath: `${c.errSchemaPath}/${n}`,
    topSchemaRef: y,
    compositeRule: !0
  }, l), e.pass(l, () => e.error(!0));
}
Le.macroKeywordCode = lo;
function fo(e, t) {
  var r;
  const { gen: n, keyword: a, schema: o, parentSchema: c, $data: d, it: y } = e;
  mo(y, t);
  const l = !d && t.compile ? t.compile.call(y.self, o, c, y) : t.validate, $ = Sa(n, a, l), _ = n.let("valid");
  e.block$data(_, C), e.ok((r = t.valid) !== null && r !== void 0 ? r : _);
  function C() {
    if (t.errors === !1)
      O(), t.modifying && Gn(e), g(() => e.error());
    else {
      const h = t.async ? T() : b();
      t.modifying && Gn(e), g(() => ho(e, h));
    }
  }
  function T() {
    const h = n.let("ruleErrs", null);
    return n.try(() => O((0, ge._)`await `), (m) => n.assign(_, !1).if((0, ge._)`${m} instanceof ${y.ValidationError}`, () => n.assign(h, (0, ge._)`${m}.errors`), () => n.throw(m))), h;
  }
  function b() {
    const h = (0, ge._)`${$}.errors`;
    return n.assign(h, null), O(ge.nil), h;
  }
  function O(h = t.async ? (0, ge._)`await ` : ge.nil) {
    const m = y.opts.passContext ? st.default.this : st.default.self, R = !("compile" in t && !d || t.schema === !1);
    n.assign(_, (0, ge._)`${h}${(0, co.callValidateCode)(e, $, m, R)}`, t.modifying);
  }
  function g(h) {
    var m;
    n.if((0, ge.not)((m = t.valid) !== null && m !== void 0 ? m : _), h);
  }
}
Le.funcKeywordCode = fo;
function Gn(e) {
  const { gen: t, data: r, it: n } = e;
  t.if(n.parentData, () => t.assign(r, (0, ge._)`${n.parentData}[${n.parentDataProperty}]`));
}
function ho(e, t) {
  const { gen: r } = e;
  r.if((0, ge._)`Array.isArray(${t})`, () => {
    r.assign(st.default.vErrors, (0, ge._)`${st.default.vErrors} === null ? ${t} : ${st.default.vErrors}.concat(${t})`).assign(st.default.errors, (0, ge._)`${st.default.vErrors}.length`), (0, uo.extendErrors)(e);
  }, () => e.error());
}
function mo({ schemaEnv: e }, t) {
  if (t.async && !e.$async)
    throw new Error("async keyword in sync schema");
}
function Sa(e, t, r) {
  if (r === void 0)
    throw new Error(`keyword "${t}" failed to compile`);
  return e.scopeValue("keyword", typeof r == "function" ? { ref: r } : { ref: r, code: (0, ge.stringify)(r) });
}
function po(e, t, r = !1) {
  return !t.length || t.some((n) => n === "array" ? Array.isArray(e) : n === "object" ? e && typeof e == "object" && !Array.isArray(e) : typeof e == n || r && typeof e > "u");
}
Le.validSchemaType = po;
function $o({ schema: e, opts: t, self: r, errSchemaPath: n }, a, o) {
  if (Array.isArray(a.keyword) ? !a.keyword.includes(o) : a.keyword !== o)
    throw new Error("ajv implementation error");
  const c = a.dependencies;
  if (c != null && c.some((d) => !Object.prototype.hasOwnProperty.call(e, d)))
    throw new Error(`parent schema must have dependencies of ${o}: ${c.join(",")}`);
  if (a.validateSchema && !a.validateSchema(e[o])) {
    const y = `keyword "${o}" value is invalid at path "${n}": ` + r.errorsText(a.validateSchema.errors);
    if (t.validateSchema === "log")
      r.logger.error(y);
    else
      throw new Error(y);
  }
}
Le.validateKeywordUsage = $o;
var Ze = {};
Object.defineProperty(Ze, "__esModule", { value: !0 });
Ze.extendSubschemaMode = Ze.extendSubschemaData = Ze.getSubschema = void 0;
const Ke = X, Pa = V;
function yo(e, { keyword: t, schemaProp: r, schema: n, schemaPath: a, errSchemaPath: o, topSchemaRef: c }) {
  if (t !== void 0 && n !== void 0)
    throw new Error('both "keyword" and "schema" passed, only one allowed');
  if (t !== void 0) {
    const d = e.schema[t];
    return r === void 0 ? {
      schema: d,
      schemaPath: (0, Ke._)`${e.schemaPath}${(0, Ke.getProperty)(t)}`,
      errSchemaPath: `${e.errSchemaPath}/${t}`
    } : {
      schema: d[r],
      schemaPath: (0, Ke._)`${e.schemaPath}${(0, Ke.getProperty)(t)}${(0, Ke.getProperty)(r)}`,
      errSchemaPath: `${e.errSchemaPath}/${t}/${(0, Pa.escapeFragment)(r)}`
    };
  }
  if (n !== void 0) {
    if (a === void 0 || o === void 0 || c === void 0)
      throw new Error('"schemaPath", "errSchemaPath" and "topSchemaRef" are required with "schema"');
    return {
      schema: n,
      schemaPath: a,
      topSchemaRef: c,
      errSchemaPath: o
    };
  }
  throw new Error('either "keyword" or "schema" must be passed');
}
Ze.getSubschema = yo;
function vo(e, t, { dataProp: r, dataPropType: n, data: a, dataTypes: o, propertyName: c }) {
  if (a !== void 0 && r !== void 0)
    throw new Error('both "data" and "dataProp" passed, only one allowed');
  const { gen: d } = t;
  if (r !== void 0) {
    const { errorPath: l, dataPathArr: $, opts: _ } = t, C = d.let("data", (0, Ke._)`${t.data}${(0, Ke.getProperty)(r)}`, !0);
    y(C), e.errorPath = (0, Ke.str)`${l}${(0, Pa.getErrorPath)(r, n, _.jsPropertySyntax)}`, e.parentDataProperty = (0, Ke._)`${r}`, e.dataPathArr = [...$, e.parentDataProperty];
  }
  if (a !== void 0) {
    const l = a instanceof Ke.Name ? a : d.let("data", a, !0);
    y(l), c !== void 0 && (e.propertyName = c);
  }
  o && (e.dataTypes = o);
  function y(l) {
    e.data = l, e.dataLevel = t.dataLevel + 1, e.dataTypes = [], t.definedProperties = /* @__PURE__ */ new Set(), e.parentData = t.data, e.dataNames = [...t.dataNames, l];
  }
}
Ze.extendSubschemaData = vo;
function _o(e, { jtdDiscriminator: t, jtdMetadata: r, compositeRule: n, createErrors: a, allErrors: o }) {
  n !== void 0 && (e.compositeRule = n), a !== void 0 && (e.createErrors = a), o !== void 0 && (e.allErrors = o), e.jtdDiscriminator = t, e.jtdMetadata = r;
}
Ze.extendSubschemaMode = _o;
var ve = {}, Oa = function e(t, r) {
  if (t === r)
    return !0;
  if (t && r && typeof t == "object" && typeof r == "object") {
    if (t.constructor !== r.constructor)
      return !1;
    var n, a, o;
    if (Array.isArray(t)) {
      if (n = t.length, n != r.length)
        return !1;
      for (a = n; a-- !== 0; )
        if (!e(t[a], r[a]))
          return !1;
      return !0;
    }
    if (t.constructor === RegExp)
      return t.source === r.source && t.flags === r.flags;
    if (t.valueOf !== Object.prototype.valueOf)
      return t.valueOf() === r.valueOf();
    if (t.toString !== Object.prototype.toString)
      return t.toString() === r.toString();
    if (o = Object.keys(t), n = o.length, n !== Object.keys(r).length)
      return !1;
    for (a = n; a-- !== 0; )
      if (!Object.prototype.hasOwnProperty.call(r, o[a]))
        return !1;
    for (a = n; a-- !== 0; ) {
      var c = o[a];
      if (!e(t[c], r[c]))
        return !1;
    }
    return !0;
  }
  return t !== t && r !== r;
}, Na = { exports: {} }, Qe = Na.exports = function(e, t, r) {
  typeof t == "function" && (r = t, t = {}), r = t.cb || r;
  var n = typeof r == "function" ? r : r.pre || function() {
  }, a = r.post || function() {
  };
  sr(t, n, a, e, "", e);
};
Qe.keywords = {
  additionalItems: !0,
  items: !0,
  contains: !0,
  additionalProperties: !0,
  propertyNames: !0,
  not: !0,
  if: !0,
  then: !0,
  else: !0
};
Qe.arrayKeywords = {
  items: !0,
  allOf: !0,
  anyOf: !0,
  oneOf: !0
};
Qe.propsKeywords = {
  $defs: !0,
  definitions: !0,
  properties: !0,
  patternProperties: !0,
  dependencies: !0
};
Qe.skipKeywords = {
  default: !0,
  enum: !0,
  const: !0,
  required: !0,
  maximum: !0,
  minimum: !0,
  exclusiveMaximum: !0,
  exclusiveMinimum: !0,
  multipleOf: !0,
  maxLength: !0,
  minLength: !0,
  pattern: !0,
  format: !0,
  maxItems: !0,
  minItems: !0,
  uniqueItems: !0,
  maxProperties: !0,
  minProperties: !0
};
function sr(e, t, r, n, a, o, c, d, y, l) {
  if (n && typeof n == "object" && !Array.isArray(n)) {
    t(n, a, o, c, d, y, l);
    for (var $ in n) {
      var _ = n[$];
      if (Array.isArray(_)) {
        if ($ in Qe.arrayKeywords)
          for (var C = 0; C < _.length; C++)
            sr(e, t, r, _[C], a + "/" + $ + "/" + C, o, a, $, n, C);
      } else if ($ in Qe.propsKeywords) {
        if (_ && typeof _ == "object")
          for (var T in _)
            sr(e, t, r, _[T], a + "/" + $ + "/" + go(T), o, a, $, n, T);
      } else
        ($ in Qe.keywords || e.allKeys && !($ in Qe.skipKeywords)) && sr(e, t, r, _, a + "/" + $, o, a, $, n);
    }
    r(n, a, o, c, d, y, l);
  }
}
function go(e) {
  return e.replace(/~/g, "~0").replace(/\//g, "~1");
}
var Eo = Na.exports;
Object.defineProperty(ve, "__esModule", { value: !0 });
ve.getSchemaRefs = ve.resolveUrl = ve.normalizeId = ve._getFullPath = ve.getFullPath = ve.inlineRef = void 0;
const wo = V, bo = Oa, So = Eo, Po = /* @__PURE__ */ new Set([
  "type",
  "format",
  "pattern",
  "maxLength",
  "minLength",
  "maxProperties",
  "minProperties",
  "maxItems",
  "minItems",
  "maximum",
  "minimum",
  "uniqueItems",
  "multipleOf",
  "required",
  "enum",
  "const"
]);
function Oo(e, t = !0) {
  return typeof e == "boolean" ? !0 : t === !0 ? !jr(e) : t ? Ta(e) <= t : !1;
}
ve.inlineRef = Oo;
const No = /* @__PURE__ */ new Set([
  "$ref",
  "$recursiveRef",
  "$recursiveAnchor",
  "$dynamicRef",
  "$dynamicAnchor"
]);
function jr(e) {
  for (const t in e) {
    if (No.has(t))
      return !0;
    const r = e[t];
    if (Array.isArray(r) && r.some(jr) || typeof r == "object" && jr(r))
      return !0;
  }
  return !1;
}
function Ta(e) {
  let t = 0;
  for (const r in e) {
    if (r === "$ref")
      return 1 / 0;
    if (t++, !Po.has(r) && (typeof e[r] == "object" && (0, wo.eachItem)(e[r], (n) => t += Ta(n)), t === 1 / 0))
      return 1 / 0;
  }
  return t;
}
function Ca(e, t = "", r) {
  r !== !1 && (t = gt(t));
  const n = e.parse(t);
  return ja(e, n);
}
ve.getFullPath = Ca;
function ja(e, t) {
  return e.serialize(t).split("#")[0] + "#";
}
ve._getFullPath = ja;
const To = /#\/?$/;
function gt(e) {
  return e ? e.replace(To, "") : "";
}
ve.normalizeId = gt;
function Co(e, t, r) {
  return r = gt(r), e.resolve(t, r);
}
ve.resolveUrl = Co;
const jo = /^[a-z_][-a-z0-9._]*$/i;
function Ro(e, t) {
  if (typeof e == "boolean")
    return {};
  const { schemaId: r, uriResolver: n } = this.opts, a = gt(e[r] || t), o = { "": a }, c = Ca(n, a, !1), d = {}, y = /* @__PURE__ */ new Set();
  return So(e, { allKeys: !0 }, (_, C, T, b) => {
    if (b === void 0)
      return;
    const O = c + C;
    let g = o[b];
    typeof _[r] == "string" && (g = h.call(this, _[r])), m.call(this, _.$anchor), m.call(this, _.$dynamicAnchor), o[C] = g;
    function h(R) {
      const k = this.opts.uriResolver.resolve;
      if (R = gt(g ? k(g, R) : R), y.has(R))
        throw $(R);
      y.add(R);
      let M = this.refs[R];
      return typeof M == "string" && (M = this.refs[M]), typeof M == "object" ? l(_, M.schema, R) : R !== gt(O) && (R[0] === "#" ? (l(_, d[R], R), d[R] = _) : this.refs[R] = O), R;
    }
    function m(R) {
      if (typeof R == "string") {
        if (!jo.test(R))
          throw new Error(`invalid anchor "${R}"`);
        h.call(this, `#${R}`);
      }
    }
  }), d;
  function l(_, C, T) {
    if (C !== void 0 && !bo(_, C))
      throw $(T);
  }
  function $(_) {
    return new Error(`reference "${_}" resolves to more than one schema`);
  }
}
ve.getSchemaRefs = Ro;
Object.defineProperty(Ce, "__esModule", { value: !0 });
Ce.getData = Ce.KeywordCxt = Ce.validateFunctionCode = void 0;
const Ra = Et, Jn = $e, Gr = Ge, ur = $e, Io = mr, Ut = Le, gr = Ze, z = X, J = ke, ko = ve, Je = V, Vt = St;
function Do(e) {
  if (Da(e) && (Aa(e), ka(e))) {
    Vo(e);
    return;
  }
  Ia(e, () => (0, Ra.topBoolOrEmptySchema)(e));
}
Ce.validateFunctionCode = Do;
function Ia({ gen: e, validateName: t, schema: r, schemaEnv: n, opts: a }, o) {
  a.code.es5 ? e.func(t, (0, z._)`${J.default.data}, ${J.default.valCxt}`, n.$async, () => {
    e.code((0, z._)`"use strict"; ${Wn(r, a)}`), Mo(e, a), e.code(o);
  }) : e.func(t, (0, z._)`${J.default.data}, ${Ao(a)}`, n.$async, () => e.code(Wn(r, a)).code(o));
}
function Ao(e) {
  return (0, z._)`{${J.default.instancePath}="", ${J.default.parentData}, ${J.default.parentDataProperty}, ${J.default.rootData}=${J.default.data}${e.dynamicRef ? (0, z._)`, ${J.default.dynamicAnchors}={}` : z.nil}}={}`;
}
function Mo(e, t) {
  e.if(J.default.valCxt, () => {
    e.var(J.default.instancePath, (0, z._)`${J.default.valCxt}.${J.default.instancePath}`), e.var(J.default.parentData, (0, z._)`${J.default.valCxt}.${J.default.parentData}`), e.var(J.default.parentDataProperty, (0, z._)`${J.default.valCxt}.${J.default.parentDataProperty}`), e.var(J.default.rootData, (0, z._)`${J.default.valCxt}.${J.default.rootData}`), t.dynamicRef && e.var(J.default.dynamicAnchors, (0, z._)`${J.default.valCxt}.${J.default.dynamicAnchors}`);
  }, () => {
    e.var(J.default.instancePath, (0, z._)`""`), e.var(J.default.parentData, (0, z._)`undefined`), e.var(J.default.parentDataProperty, (0, z._)`undefined`), e.var(J.default.rootData, J.default.data), t.dynamicRef && e.var(J.default.dynamicAnchors, (0, z._)`{}`);
  });
}
function Vo(e) {
  const { schema: t, opts: r, gen: n } = e;
  Ia(e, () => {
    r.$comment && t.$comment && Va(e), Ko(e), n.let(J.default.vErrors, null), n.let(J.default.errors, 0), r.unevaluated && Fo(e), Ma(e), Go(e);
  });
}
function Fo(e) {
  const { gen: t, validateName: r } = e;
  e.evaluated = t.const("evaluated", (0, z._)`${r}.evaluated`), t.if((0, z._)`${e.evaluated}.dynamicProps`, () => t.assign((0, z._)`${e.evaluated}.props`, (0, z._)`undefined`)), t.if((0, z._)`${e.evaluated}.dynamicItems`, () => t.assign((0, z._)`${e.evaluated}.items`, (0, z._)`undefined`));
}
function Wn(e, t) {
  const r = typeof e == "object" && e[t.schemaId];
  return r && (t.code.source || t.code.process) ? (0, z._)`/*# sourceURL=${r} */` : z.nil;
}
function zo(e, t) {
  if (Da(e) && (Aa(e), ka(e))) {
    Uo(e, t);
    return;
  }
  (0, Ra.boolOrEmptySchema)(e, t);
}
function ka({ schema: e, self: t }) {
  if (typeof e == "boolean")
    return !e;
  for (const r in e)
    if (t.RULES.all[r])
      return !0;
  return !1;
}
function Da(e) {
  return typeof e.schema != "boolean";
}
function Uo(e, t) {
  const { schema: r, gen: n, opts: a } = e;
  a.$comment && r.$comment && Va(e), Lo(e), Ho(e);
  const o = n.const("_errs", J.default.errors);
  Ma(e, o), n.var(t, (0, z._)`${o} === ${J.default.errors}`);
}
function Aa(e) {
  (0, Je.checkUnknownRules)(e), qo(e);
}
function Ma(e, t) {
  if (e.opts.jtd)
    return Bn(e, [], !1, t);
  const r = (0, Jn.getSchemaTypes)(e.schema), n = (0, Jn.coerceAndCheckDataType)(e, r);
  Bn(e, r, !n, t);
}
function qo(e) {
  const { schema: t, errSchemaPath: r, opts: n, self: a } = e;
  t.$ref && n.ignoreKeywordsWithRef && (0, Je.schemaHasRulesButRef)(t, a.RULES) && a.logger.warn(`$ref: keywords ignored in schema at path "${r}"`);
}
function Ko(e) {
  const { schema: t, opts: r } = e;
  t.default !== void 0 && r.useDefaults && r.strictSchema && (0, Je.checkStrictMode)(e, "default is ignored in the schema root");
}
function Lo(e) {
  const t = e.schema[e.opts.schemaId];
  t && (e.baseId = (0, ko.resolveUrl)(e.opts.uriResolver, e.baseId, t));
}
function Ho(e) {
  if (e.schema.$async && !e.schemaEnv.$async)
    throw new Error("async schema in sync schema");
}
function Va({ gen: e, schemaEnv: t, schema: r, errSchemaPath: n, opts: a }) {
  const o = r.$comment;
  if (a.$comment === !0)
    e.code((0, z._)`${J.default.self}.logger.log(${o})`);
  else if (typeof a.$comment == "function") {
    const c = (0, z.str)`${n}/$comment`, d = e.scopeValue("root", { ref: t.root });
    e.code((0, z._)`${J.default.self}.opts.$comment(${o}, ${c}, ${d}.schema)`);
  }
}
function Go(e) {
  const { gen: t, schemaEnv: r, validateName: n, ValidationError: a, opts: o } = e;
  r.$async ? t.if((0, z._)`${J.default.errors} === 0`, () => t.return(J.default.data), () => t.throw((0, z._)`new ${a}(${J.default.vErrors})`)) : (t.assign((0, z._)`${n}.errors`, J.default.vErrors), o.unevaluated && Jo(e), t.return((0, z._)`${J.default.errors} === 0`));
}
function Jo({ gen: e, evaluated: t, props: r, items: n }) {
  r instanceof z.Name && e.assign((0, z._)`${t}.props`, r), n instanceof z.Name && e.assign((0, z._)`${t}.items`, n);
}
function Bn(e, t, r, n) {
  const { gen: a, schema: o, data: c, allErrors: d, opts: y, self: l } = e, { RULES: $ } = l;
  if (o.$ref && (y.ignoreKeywordsWithRef || !(0, Je.schemaHasRulesButRef)(o, $))) {
    a.block(() => Ua(e, "$ref", $.all.$ref.definition));
    return;
  }
  y.jtd || Wo(e, t), a.block(() => {
    for (const C of $.rules)
      _(C);
    _($.post);
  });
  function _(C) {
    (0, Gr.shouldUseGroup)(o, C) && (C.type ? (a.if((0, ur.checkDataType)(C.type, c, y.strictNumbers)), Yn(e, C), t.length === 1 && t[0] === C.type && r && (a.else(), (0, ur.reportTypeError)(e)), a.endIf()) : Yn(e, C), d || a.if((0, z._)`${J.default.errors} === ${n || 0}`));
  }
}
function Yn(e, t) {
  const { gen: r, schema: n, opts: { useDefaults: a } } = e;
  a && (0, Io.assignDefaults)(e, t.type), r.block(() => {
    for (const o of t.rules)
      (0, Gr.shouldUseRule)(n, o) && Ua(e, o.keyword, o.definition, t.type);
  });
}
function Wo(e, t) {
  e.schemaEnv.meta || !e.opts.strictTypes || (Bo(e, t), e.opts.allowUnionTypes || Yo(e, t), Xo(e, e.dataTypes));
}
function Bo(e, t) {
  if (t.length) {
    if (!e.dataTypes.length) {
      e.dataTypes = t;
      return;
    }
    t.forEach((r) => {
      Fa(e.dataTypes, r) || Jr(e, `type "${r}" not allowed by context "${e.dataTypes.join(",")}"`);
    }), Zo(e, t);
  }
}
function Yo(e, t) {
  t.length > 1 && !(t.length === 2 && t.includes("null")) && Jr(e, "use allowUnionTypes to allow union type keyword");
}
function Xo(e, t) {
  const r = e.self.RULES.all;
  for (const n in r) {
    const a = r[n];
    if (typeof a == "object" && (0, Gr.shouldUseRule)(e.schema, a)) {
      const { type: o } = a.definition;
      o.length && !o.some((c) => Qo(t, c)) && Jr(e, `missing type "${o.join(",")}" for keyword "${n}"`);
    }
  }
}
function Qo(e, t) {
  return e.includes(t) || t === "number" && e.includes("integer");
}
function Fa(e, t) {
  return e.includes(t) || t === "integer" && e.includes("number");
}
function Zo(e, t) {
  const r = [];
  for (const n of e.dataTypes)
    Fa(t, n) ? r.push(n) : t.includes("integer") && n === "number" && r.push("integer");
  e.dataTypes = r;
}
function Jr(e, t) {
  const r = e.schemaEnv.baseId + e.errSchemaPath;
  t += ` at "${r}" (strictTypes)`, (0, Je.checkStrictMode)(e, t, e.opts.strictTypes);
}
class za {
  constructor(t, r, n) {
    if ((0, Ut.validateKeywordUsage)(t, r, n), this.gen = t.gen, this.allErrors = t.allErrors, this.keyword = n, this.data = t.data, this.schema = t.schema[n], this.$data = r.$data && t.opts.$data && this.schema && this.schema.$data, this.schemaValue = (0, Je.schemaRefOrVal)(t, this.schema, n, this.$data), this.schemaType = r.schemaType, this.parentSchema = t.schema, this.params = {}, this.it = t, this.def = r, this.$data)
      this.schemaCode = t.gen.const("vSchema", qa(this.$data, t));
    else if (this.schemaCode = this.schemaValue, !(0, Ut.validSchemaType)(this.schema, r.schemaType, r.allowUndefined))
      throw new Error(`${n} value must be ${JSON.stringify(r.schemaType)}`);
    ("code" in r ? r.trackErrors : r.errors !== !1) && (this.errsCount = t.gen.const("_errs", J.default.errors));
  }
  result(t, r, n) {
    this.failResult((0, z.not)(t), r, n);
  }
  failResult(t, r, n) {
    this.gen.if(t), n ? n() : this.error(), r ? (this.gen.else(), r(), this.allErrors && this.gen.endIf()) : this.allErrors ? this.gen.endIf() : this.gen.else();
  }
  pass(t, r) {
    this.failResult((0, z.not)(t), void 0, r);
  }
  fail(t) {
    if (t === void 0) {
      this.error(), this.allErrors || this.gen.if(!1);
      return;
    }
    this.gen.if(t), this.error(), this.allErrors ? this.gen.endIf() : this.gen.else();
  }
  fail$data(t) {
    if (!this.$data)
      return this.fail(t);
    const { schemaCode: r } = this;
    this.fail((0, z._)`${r} !== undefined && (${(0, z.or)(this.invalid$data(), t)})`);
  }
  error(t, r, n) {
    if (r) {
      this.setParams(r), this._error(t, n), this.setParams({});
      return;
    }
    this._error(t, n);
  }
  _error(t, r) {
    (t ? Vt.reportExtraError : Vt.reportError)(this, this.def.error, r);
  }
  $dataError() {
    (0, Vt.reportError)(this, this.def.$dataError || Vt.keyword$DataError);
  }
  reset() {
    if (this.errsCount === void 0)
      throw new Error('add "trackErrors" to keyword definition');
    (0, Vt.resetErrorsCount)(this.gen, this.errsCount);
  }
  ok(t) {
    this.allErrors || this.gen.if(t);
  }
  setParams(t, r) {
    r ? Object.assign(this.params, t) : this.params = t;
  }
  block$data(t, r, n = z.nil) {
    this.gen.block(() => {
      this.check$data(t, n), r();
    });
  }
  check$data(t = z.nil, r = z.nil) {
    if (!this.$data)
      return;
    const { gen: n, schemaCode: a, schemaType: o, def: c } = this;
    n.if((0, z.or)((0, z._)`${a} === undefined`, r)), t !== z.nil && n.assign(t, !0), (o.length || c.validateSchema) && (n.elseIf(this.invalid$data()), this.$dataError(), t !== z.nil && n.assign(t, !1)), n.else();
  }
  invalid$data() {
    const { gen: t, schemaCode: r, schemaType: n, def: a, it: o } = this;
    return (0, z.or)(c(), d());
    function c() {
      if (n.length) {
        if (!(r instanceof z.Name))
          throw new Error("ajv implementation error");
        const y = Array.isArray(n) ? n : [n];
        return (0, z._)`${(0, ur.checkDataTypes)(y, r, o.opts.strictNumbers, ur.DataType.Wrong)}`;
      }
      return z.nil;
    }
    function d() {
      if (a.validateSchema) {
        const y = t.scopeValue("validate$data", { ref: a.validateSchema });
        return (0, z._)`!${y}(${r})`;
      }
      return z.nil;
    }
  }
  subschema(t, r) {
    const n = (0, gr.getSubschema)(this.it, t);
    (0, gr.extendSubschemaData)(n, this.it, t), (0, gr.extendSubschemaMode)(n, t);
    const a = { ...this.it, ...n, items: void 0, props: void 0 };
    return zo(a, r), a;
  }
  mergeEvaluated(t, r) {
    const { it: n, gen: a } = this;
    n.opts.unevaluated && (n.props !== !0 && t.props !== void 0 && (n.props = Je.mergeEvaluated.props(a, t.props, n.props, r)), n.items !== !0 && t.items !== void 0 && (n.items = Je.mergeEvaluated.items(a, t.items, n.items, r)));
  }
  mergeValidEvaluated(t, r) {
    const { it: n, gen: a } = this;
    if (n.opts.unevaluated && (n.props !== !0 || n.items !== !0))
      return a.if(r, () => this.mergeEvaluated(t, z.Name)), !0;
  }
}
Ce.KeywordCxt = za;
function Ua(e, t, r, n) {
  const a = new za(e, r, t);
  "code" in r ? r.code(a, n) : a.$data && r.validate ? (0, Ut.funcKeywordCode)(a, r) : "macro" in r ? (0, Ut.macroKeywordCode)(a, r) : (r.compile || r.validate) && (0, Ut.funcKeywordCode)(a, r);
}
const xo = /^\/(?:[^~]|~0|~1)*$/, ei = /^([0-9]+)(#|\/(?:[^~]|~0|~1)*)?$/;
function qa(e, { dataLevel: t, dataNames: r, dataPathArr: n }) {
  let a, o;
  if (e === "")
    return J.default.rootData;
  if (e[0] === "/") {
    if (!xo.test(e))
      throw new Error(`Invalid JSON-pointer: ${e}`);
    a = e, o = J.default.rootData;
  } else {
    const l = ei.exec(e);
    if (!l)
      throw new Error(`Invalid JSON-pointer: ${e}`);
    const $ = +l[1];
    if (a = l[2], a === "#") {
      if ($ >= t)
        throw new Error(y("property/index", $));
      return n[t - $];
    }
    if ($ > t)
      throw new Error(y("data", $));
    if (o = r[t - $], !a)
      return o;
  }
  let c = o;
  const d = a.split("/");
  for (const l of d)
    l && (o = (0, z._)`${o}${(0, z.getProperty)((0, Je.unescapeJsonPointer)(l))}`, c = (0, z._)`${c} && ${o}`);
  return c;
  function y(l, $) {
    return `Cannot access ${l} ${$} levels up, current level is ${t}`;
  }
}
Ce.getData = qa;
var Gt = {};
Object.defineProperty(Gt, "__esModule", { value: !0 });
class ti extends Error {
  constructor(t) {
    super("validation failed"), this.errors = t, this.ajv = this.validation = !0;
  }
}
Gt.default = ti;
var Jt = {};
Object.defineProperty(Jt, "__esModule", { value: !0 });
const Er = ve;
class ri extends Error {
  constructor(t, r, n, a) {
    super(a || `can't resolve reference ${n} from id ${r}`), this.missingRef = (0, Er.resolveUrl)(t, r, n), this.missingSchema = (0, Er.normalizeId)((0, Er.getFullPath)(t, this.missingRef));
  }
}
Jt.default = ri;
var Se = {};
Object.defineProperty(Se, "__esModule", { value: !0 });
Se.resolveSchema = Se.getCompilingSchema = Se.resolveRef = Se.compileSchema = Se.SchemaEnv = void 0;
const je = X, ni = Gt, at = ke, Ie = ve, Xn = V, ai = Ce;
class pr {
  constructor(t) {
    var r;
    this.refs = {}, this.dynamicAnchors = {};
    let n;
    typeof t.schema == "object" && (n = t.schema), this.schema = t.schema, this.schemaId = t.schemaId, this.root = t.root || this, this.baseId = (r = t.baseId) !== null && r !== void 0 ? r : (0, Ie.normalizeId)(n == null ? void 0 : n[t.schemaId || "$id"]), this.schemaPath = t.schemaPath, this.localRefs = t.localRefs, this.meta = t.meta, this.$async = n == null ? void 0 : n.$async, this.refs = {};
  }
}
Se.SchemaEnv = pr;
function Wr(e) {
  const t = Ka.call(this, e);
  if (t)
    return t;
  const r = (0, Ie.getFullPath)(this.opts.uriResolver, e.root.baseId), { es5: n, lines: a } = this.opts.code, { ownProperties: o } = this.opts, c = new je.CodeGen(this.scope, { es5: n, lines: a, ownProperties: o });
  let d;
  e.$async && (d = c.scopeValue("Error", {
    ref: ni.default,
    code: (0, je._)`require("ajv/dist/runtime/validation_error").default`
  }));
  const y = c.scopeName("validate");
  e.validateName = y;
  const l = {
    gen: c,
    allErrors: this.opts.allErrors,
    data: at.default.data,
    parentData: at.default.parentData,
    parentDataProperty: at.default.parentDataProperty,
    dataNames: [at.default.data],
    dataPathArr: [je.nil],
    // TODO can its length be used as dataLevel if nil is removed?
    dataLevel: 0,
    dataTypes: [],
    definedProperties: /* @__PURE__ */ new Set(),
    topSchemaRef: c.scopeValue("schema", this.opts.code.source === !0 ? { ref: e.schema, code: (0, je.stringify)(e.schema) } : { ref: e.schema }),
    validateName: y,
    ValidationError: d,
    schema: e.schema,
    schemaEnv: e,
    rootId: r,
    baseId: e.baseId || r,
    schemaPath: je.nil,
    errSchemaPath: e.schemaPath || (this.opts.jtd ? "" : "#"),
    errorPath: (0, je._)`""`,
    opts: this.opts,
    self: this
  };
  let $;
  try {
    this._compilations.add(e), (0, ai.validateFunctionCode)(l), c.optimize(this.opts.code.optimize);
    const _ = c.toString();
    $ = `${c.scopeRefs(at.default.scope)}return ${_}`, this.opts.code.process && ($ = this.opts.code.process($, e));
    const T = new Function(`${at.default.self}`, `${at.default.scope}`, $)(this, this.scope.get());
    if (this.scope.value(y, { ref: T }), T.errors = null, T.schema = e.schema, T.schemaEnv = e, e.$async && (T.$async = !0), this.opts.code.source === !0 && (T.source = { validateName: y, validateCode: _, scopeValues: c._values }), this.opts.unevaluated) {
      const { props: b, items: O } = l;
      T.evaluated = {
        props: b instanceof je.Name ? void 0 : b,
        items: O instanceof je.Name ? void 0 : O,
        dynamicProps: b instanceof je.Name,
        dynamicItems: O instanceof je.Name
      }, T.source && (T.source.evaluated = (0, je.stringify)(T.evaluated));
    }
    return e.validate = T, e;
  } catch (_) {
    throw delete e.validate, delete e.validateName, $ && this.logger.error("Error compiling schema, function code:", $), _;
  } finally {
    this._compilations.delete(e);
  }
}
Se.compileSchema = Wr;
function si(e, t, r) {
  var n;
  r = (0, Ie.resolveUrl)(this.opts.uriResolver, t, r);
  const a = e.refs[r];
  if (a)
    return a;
  let o = ci.call(this, e, r);
  if (o === void 0) {
    const c = (n = e.localRefs) === null || n === void 0 ? void 0 : n[r], { schemaId: d } = this.opts;
    c && (o = new pr({ schema: c, schemaId: d, root: e, baseId: t }));
  }
  if (o !== void 0)
    return e.refs[r] = oi.call(this, o);
}
Se.resolveRef = si;
function oi(e) {
  return (0, Ie.inlineRef)(e.schema, this.opts.inlineRefs) ? e.schema : e.validate ? e : Wr.call(this, e);
}
function Ka(e) {
  for (const t of this._compilations)
    if (ii(t, e))
      return t;
}
Se.getCompilingSchema = Ka;
function ii(e, t) {
  return e.schema === t.schema && e.root === t.root && e.baseId === t.baseId;
}
function ci(e, t) {
  let r;
  for (; typeof (r = this.refs[t]) == "string"; )
    t = r;
  return r || this.schemas[t] || $r.call(this, e, t);
}
function $r(e, t) {
  const r = this.opts.uriResolver.parse(t), n = (0, Ie._getFullPath)(this.opts.uriResolver, r);
  let a = (0, Ie.getFullPath)(this.opts.uriResolver, e.baseId, void 0);
  if (Object.keys(e.schema).length > 0 && n === a)
    return wr.call(this, r, e);
  const o = (0, Ie.normalizeId)(n), c = this.refs[o] || this.schemas[o];
  if (typeof c == "string") {
    const d = $r.call(this, e, c);
    return typeof (d == null ? void 0 : d.schema) != "object" ? void 0 : wr.call(this, r, d);
  }
  if (typeof (c == null ? void 0 : c.schema) == "object") {
    if (c.validate || Wr.call(this, c), o === (0, Ie.normalizeId)(t)) {
      const { schema: d } = c, { schemaId: y } = this.opts, l = d[y];
      return l && (a = (0, Ie.resolveUrl)(this.opts.uriResolver, a, l)), new pr({ schema: d, schemaId: y, root: e, baseId: a });
    }
    return wr.call(this, r, c);
  }
}
Se.resolveSchema = $r;
const ui = /* @__PURE__ */ new Set([
  "properties",
  "patternProperties",
  "enum",
  "dependencies",
  "definitions"
]);
function wr(e, { baseId: t, schema: r, root: n }) {
  var a;
  if (((a = e.fragment) === null || a === void 0 ? void 0 : a[0]) !== "/")
    return;
  for (const d of e.fragment.slice(1).split("/")) {
    if (typeof r == "boolean")
      return;
    const y = r[(0, Xn.unescapeFragment)(d)];
    if (y === void 0)
      return;
    r = y;
    const l = typeof r == "object" && r[this.opts.schemaId];
    !ui.has(d) && l && (t = (0, Ie.resolveUrl)(this.opts.uriResolver, t, l));
  }
  let o;
  if (typeof r != "boolean" && r.$ref && !(0, Xn.schemaHasRulesButRef)(r, this.RULES)) {
    const d = (0, Ie.resolveUrl)(this.opts.uriResolver, t, r.$ref);
    o = $r.call(this, n, d);
  }
  const { schemaId: c } = this.opts;
  if (o = o || new pr({ schema: r, schemaId: c, root: n, baseId: t }), o.schema !== o.root.schema)
    return o;
}
const di = "https://raw.githubusercontent.com/ajv-validator/ajv/master/lib/refs/data.json#", li = "Meta-schema for $data reference (JSON AnySchema extension proposal)", fi = "object", hi = [
  "$data"
], mi = {
  $data: {
    type: "string",
    anyOf: [
      {
        format: "relative-json-pointer"
      },
      {
        format: "json-pointer"
      }
    ]
  }
}, pi = !1, $i = {
  $id: di,
  description: li,
  type: fi,
  required: hi,
  properties: mi,
  additionalProperties: pi
};
var Br = {}, Rr = { exports: {} };
/** @license URI.js v4.4.1 (c) 2011 Gary Court. License: http://github.com/garycourt/uri-js */
(function(e, t) {
  (function(r, n) {
    n(t);
  })($s, function(r) {
    function n() {
      for (var f = arguments.length, i = Array(f), p = 0; p < f; p++)
        i[p] = arguments[p];
      if (i.length > 1) {
        i[0] = i[0].slice(0, -1);
        for (var N = i.length - 1, P = 1; P < N; ++P)
          i[P] = i[P].slice(1, -1);
        return i[N] = i[N].slice(1), i.join("");
      } else
        return i[0];
    }
    function a(f) {
      return "(?:" + f + ")";
    }
    function o(f) {
      return f === void 0 ? "undefined" : f === null ? "null" : Object.prototype.toString.call(f).split(" ").pop().split("]").shift().toLowerCase();
    }
    function c(f) {
      return f.toUpperCase();
    }
    function d(f) {
      return f != null ? f instanceof Array ? f : typeof f.length != "number" || f.split || f.setInterval || f.call ? [f] : Array.prototype.slice.call(f) : [];
    }
    function y(f, i) {
      var p = f;
      if (i)
        for (var N in i)
          p[N] = i[N];
      return p;
    }
    function l(f) {
      var i = "[A-Za-z]", p = "[0-9]", N = n(p, "[A-Fa-f]"), P = a(a("%[EFef]" + N + "%" + N + N + "%" + N + N) + "|" + a("%[89A-Fa-f]" + N + "%" + N + N) + "|" + a("%" + N + N)), U = "[\\:\\/\\?\\#\\[\\]\\@]", K = "[\\!\\$\\&\\'\\(\\)\\*\\+\\,\\;\\=]", x = n(U, K), oe = f ? "[\\xA0-\\u200D\\u2010-\\u2029\\u202F-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFEF]" : "[]", fe = f ? "[\\uE000-\\uF8FF]" : "[]", Z = n(i, p, "[\\-\\.\\_\\~]", oe);
      a(i + n(i, p, "[\\+\\-\\.]") + "*"), a(a(P + "|" + n(Z, K, "[\\:]")) + "*");
      var se = a(a("25[0-5]") + "|" + a("2[0-4]" + p) + "|" + a("1" + p + p) + "|" + a("0?[1-9]" + p) + "|0?0?" + p), he = a(se + "\\." + se + "\\." + se + "\\." + se), W = a(N + "{1,4}"), de = a(a(W + "\\:" + W) + "|" + he), pe = a(a(W + "\\:") + "{6}" + de), le = a("\\:\\:" + a(W + "\\:") + "{5}" + de), Be = a(a(W) + "?\\:\\:" + a(W + "\\:") + "{4}" + de), ze = a(a(a(W + "\\:") + "{0,1}" + W) + "?\\:\\:" + a(W + "\\:") + "{3}" + de), Ue = a(a(a(W + "\\:") + "{0,2}" + W) + "?\\:\\:" + a(W + "\\:") + "{2}" + de), pt = a(a(a(W + "\\:") + "{0,3}" + W) + "?\\:\\:" + W + "\\:" + de), rt = a(a(a(W + "\\:") + "{0,4}" + W) + "?\\:\\:" + de), Ne = a(a(a(W + "\\:") + "{0,5}" + W) + "?\\:\\:" + W), qe = a(a(a(W + "\\:") + "{0,6}" + W) + "?\\:\\:"), nt = a([pe, le, Be, ze, Ue, pt, rt, Ne, qe].join("|")), He = a(a(Z + "|" + P) + "+");
      a("[vV]" + N + "+\\." + n(Z, K, "[\\:]") + "+"), a(a(P + "|" + n(Z, K)) + "*");
      var Dt = a(P + "|" + n(Z, K, "[\\:\\@]"));
      return a(a(P + "|" + n(Z, K, "[\\@]")) + "+"), a(a(Dt + "|" + n("[\\/\\?]", fe)) + "*"), {
        NOT_SCHEME: new RegExp(n("[^]", i, p, "[\\+\\-\\.]"), "g"),
        NOT_USERINFO: new RegExp(n("[^\\%\\:]", Z, K), "g"),
        NOT_HOST: new RegExp(n("[^\\%\\[\\]\\:]", Z, K), "g"),
        NOT_PATH: new RegExp(n("[^\\%\\/\\:\\@]", Z, K), "g"),
        NOT_PATH_NOSCHEME: new RegExp(n("[^\\%\\/\\@]", Z, K), "g"),
        NOT_QUERY: new RegExp(n("[^\\%]", Z, K, "[\\:\\@\\/\\?]", fe), "g"),
        NOT_FRAGMENT: new RegExp(n("[^\\%]", Z, K, "[\\:\\@\\/\\?]"), "g"),
        ESCAPE: new RegExp(n("[^]", Z, K), "g"),
        UNRESERVED: new RegExp(Z, "g"),
        OTHER_CHARS: new RegExp(n("[^\\%]", Z, x), "g"),
        PCT_ENCODED: new RegExp(P, "g"),
        IPV4ADDRESS: new RegExp("^(" + he + ")$"),
        IPV6ADDRESS: new RegExp("^\\[?(" + nt + ")" + a(a("\\%25|\\%(?!" + N + "{2})") + "(" + He + ")") + "?\\]?$")
        //RFC 6874, with relaxed parsing rules
      };
    }
    var $ = l(!1), _ = l(!0), C = /* @__PURE__ */ function() {
      function f(i, p) {
        var N = [], P = !0, U = !1, K = void 0;
        try {
          for (var x = i[Symbol.iterator](), oe; !(P = (oe = x.next()).done) && (N.push(oe.value), !(p && N.length === p)); P = !0)
            ;
        } catch (fe) {
          U = !0, K = fe;
        } finally {
          try {
            !P && x.return && x.return();
          } finally {
            if (U)
              throw K;
          }
        }
        return N;
      }
      return function(i, p) {
        if (Array.isArray(i))
          return i;
        if (Symbol.iterator in Object(i))
          return f(i, p);
        throw new TypeError("Invalid attempt to destructure non-iterable instance");
      };
    }(), T = function(f) {
      if (Array.isArray(f)) {
        for (var i = 0, p = Array(f.length); i < f.length; i++)
          p[i] = f[i];
        return p;
      } else
        return Array.from(f);
    }, b = 2147483647, O = 36, g = 1, h = 26, m = 38, R = 700, k = 72, M = 128, B = "-", te = /^xn--/, ce = /[^\0-\x7E]/, D = /[\x2E\u3002\uFF0E\uFF61]/g, q = {
      overflow: "Overflow: input needs wider integers to process",
      "not-basic": "Illegal input >= 0x80 (not a basic code point)",
      "invalid-input": "Invalid input"
    }, L = O - g, H = Math.floor, ne = String.fromCharCode;
    function re(f) {
      throw new RangeError(q[f]);
    }
    function Ee(f, i) {
      for (var p = [], N = f.length; N--; )
        p[N] = i(f[N]);
      return p;
    }
    function De(f, i) {
      var p = f.split("@"), N = "";
      p.length > 1 && (N = p[0] + "@", f = p[1]), f = f.replace(D, ".");
      var P = f.split("."), U = Ee(P, i).join(".");
      return N + U;
    }
    function We(f) {
      for (var i = [], p = 0, N = f.length; p < N; ) {
        var P = f.charCodeAt(p++);
        if (P >= 55296 && P <= 56319 && p < N) {
          var U = f.charCodeAt(p++);
          (U & 64512) == 56320 ? i.push(((P & 1023) << 10) + (U & 1023) + 65536) : (i.push(P), p--);
        } else
          i.push(P);
      }
      return i;
    }
    var xe = function(i) {
      return String.fromCodePoint.apply(String, T(i));
    }, Ae = function(i) {
      return i - 48 < 10 ? i - 22 : i - 65 < 26 ? i - 65 : i - 97 < 26 ? i - 97 : O;
    }, A = function(i, p) {
      return i + 22 + 75 * (i < 26) - ((p != 0) << 5);
    }, E = function(i, p, N) {
      var P = 0;
      for (
        i = N ? H(i / R) : i >> 1, i += H(i / p);
        /* no initialization */
        i > L * h >> 1;
        P += O
      )
        i = H(i / L);
      return H(P + (L + 1) * i / (i + m));
    }, w = function(i) {
      var p = [], N = i.length, P = 0, U = M, K = k, x = i.lastIndexOf(B);
      x < 0 && (x = 0);
      for (var oe = 0; oe < x; ++oe)
        i.charCodeAt(oe) >= 128 && re("not-basic"), p.push(i.charCodeAt(oe));
      for (var fe = x > 0 ? x + 1 : 0; fe < N; ) {
        for (
          var Z = P, se = 1, he = O;
          ;
          /* no condition */
          he += O
        ) {
          fe >= N && re("invalid-input");
          var W = Ae(i.charCodeAt(fe++));
          (W >= O || W > H((b - P) / se)) && re("overflow"), P += W * se;
          var de = he <= K ? g : he >= K + h ? h : he - K;
          if (W < de)
            break;
          var pe = O - de;
          se > H(b / pe) && re("overflow"), se *= pe;
        }
        var le = p.length + 1;
        K = E(P - Z, le, Z == 0), H(P / le) > b - U && re("overflow"), U += H(P / le), P %= le, p.splice(P++, 0, U);
      }
      return String.fromCodePoint.apply(String, p);
    }, v = function(i) {
      var p = [];
      i = We(i);
      var N = i.length, P = M, U = 0, K = k, x = !0, oe = !1, fe = void 0;
      try {
        for (var Z = i[Symbol.iterator](), se; !(x = (se = Z.next()).done); x = !0) {
          var he = se.value;
          he < 128 && p.push(ne(he));
        }
      } catch (At) {
        oe = !0, fe = At;
      } finally {
        try {
          !x && Z.return && Z.return();
        } finally {
          if (oe)
            throw fe;
        }
      }
      var W = p.length, de = W;
      for (W && p.push(B); de < N; ) {
        var pe = b, le = !0, Be = !1, ze = void 0;
        try {
          for (var Ue = i[Symbol.iterator](), pt; !(le = (pt = Ue.next()).done); le = !0) {
            var rt = pt.value;
            rt >= P && rt < pe && (pe = rt);
          }
        } catch (At) {
          Be = !0, ze = At;
        } finally {
          try {
            !le && Ue.return && Ue.return();
          } finally {
            if (Be)
              throw ze;
          }
        }
        var Ne = de + 1;
        pe - P > H((b - U) / Ne) && re("overflow"), U += (pe - P) * Ne, P = pe;
        var qe = !0, nt = !1, He = void 0;
        try {
          for (var Dt = i[Symbol.iterator](), Mn; !(qe = (Mn = Dt.next()).done); qe = !0) {
            var Vn = Mn.value;
            if (Vn < P && ++U > b && re("overflow"), Vn == P) {
              for (
                var Yt = U, Xt = O;
                ;
                /* no condition */
                Xt += O
              ) {
                var Qt = Xt <= K ? g : Xt >= K + h ? h : Xt - K;
                if (Yt < Qt)
                  break;
                var Fn = Yt - Qt, zn = O - Qt;
                p.push(ne(A(Qt + Fn % zn, 0))), Yt = H(Fn / zn);
              }
              p.push(ne(A(Yt, 0))), K = E(U, Ne, de == W), U = 0, ++de;
            }
          }
        } catch (At) {
          nt = !0, He = At;
        } finally {
          try {
            !qe && Dt.return && Dt.return();
          } finally {
            if (nt)
              throw He;
          }
        }
        ++U, ++P;
      }
      return p.join("");
    }, s = function(i) {
      return De(i, function(p) {
        return te.test(p) ? w(p.slice(4).toLowerCase()) : p;
      });
    }, u = function(i) {
      return De(i, function(p) {
        return ce.test(p) ? "xn--" + v(p) : p;
      });
    }, S = {
      /**
       * A string representing the current Punycode.js version number.
       * @memberOf punycode
       * @type String
       */
      version: "2.1.0",
      /**
       * An object of methods to convert from JavaScript's internal character
       * representation (UCS-2) to Unicode code points, and back.
       * @see <https://mathiasbynens.be/notes/javascript-encoding>
       * @memberOf punycode
       * @type Object
       */
      ucs2: {
        decode: We,
        encode: xe
      },
      decode: w,
      encode: v,
      toASCII: u,
      toUnicode: s
    }, I = {};
    function j(f) {
      var i = f.charCodeAt(0), p = void 0;
      return i < 16 ? p = "%0" + i.toString(16).toUpperCase() : i < 128 ? p = "%" + i.toString(16).toUpperCase() : i < 2048 ? p = "%" + (i >> 6 | 192).toString(16).toUpperCase() + "%" + (i & 63 | 128).toString(16).toUpperCase() : p = "%" + (i >> 12 | 224).toString(16).toUpperCase() + "%" + (i >> 6 & 63 | 128).toString(16).toUpperCase() + "%" + (i & 63 | 128).toString(16).toUpperCase(), p;
    }
    function F(f) {
      for (var i = "", p = 0, N = f.length; p < N; ) {
        var P = parseInt(f.substr(p + 1, 2), 16);
        if (P < 128)
          i += String.fromCharCode(P), p += 3;
        else if (P >= 194 && P < 224) {
          if (N - p >= 6) {
            var U = parseInt(f.substr(p + 4, 2), 16);
            i += String.fromCharCode((P & 31) << 6 | U & 63);
          } else
            i += f.substr(p, 6);
          p += 6;
        } else if (P >= 224) {
          if (N - p >= 9) {
            var K = parseInt(f.substr(p + 4, 2), 16), x = parseInt(f.substr(p + 7, 2), 16);
            i += String.fromCharCode((P & 15) << 12 | (K & 63) << 6 | x & 63);
          } else
            i += f.substr(p, 9);
          p += 9;
        } else
          i += f.substr(p, 3), p += 3;
      }
      return i;
    }
    function G(f, i) {
      function p(N) {
        var P = F(N);
        return P.match(i.UNRESERVED) ? P : N;
      }
      return f.scheme && (f.scheme = String(f.scheme).replace(i.PCT_ENCODED, p).toLowerCase().replace(i.NOT_SCHEME, "")), f.userinfo !== void 0 && (f.userinfo = String(f.userinfo).replace(i.PCT_ENCODED, p).replace(i.NOT_USERINFO, j).replace(i.PCT_ENCODED, c)), f.host !== void 0 && (f.host = String(f.host).replace(i.PCT_ENCODED, p).toLowerCase().replace(i.NOT_HOST, j).replace(i.PCT_ENCODED, c)), f.path !== void 0 && (f.path = String(f.path).replace(i.PCT_ENCODED, p).replace(f.scheme ? i.NOT_PATH : i.NOT_PATH_NOSCHEME, j).replace(i.PCT_ENCODED, c)), f.query !== void 0 && (f.query = String(f.query).replace(i.PCT_ENCODED, p).replace(i.NOT_QUERY, j).replace(i.PCT_ENCODED, c)), f.fragment !== void 0 && (f.fragment = String(f.fragment).replace(i.PCT_ENCODED, p).replace(i.NOT_FRAGMENT, j).replace(i.PCT_ENCODED, c)), f;
    }
    function ee(f) {
      return f.replace(/^0*(.*)/, "$1") || "0";
    }
    function ue(f, i) {
      var p = f.match(i.IPV4ADDRESS) || [], N = C(p, 2), P = N[1];
      return P ? P.split(".").map(ee).join(".") : f;
    }
    function Me(f, i) {
      var p = f.match(i.IPV6ADDRESS) || [], N = C(p, 3), P = N[1], U = N[2];
      if (P) {
        for (var K = P.toLowerCase().split("::").reverse(), x = C(K, 2), oe = x[0], fe = x[1], Z = fe ? fe.split(":").map(ee) : [], se = oe.split(":").map(ee), he = i.IPV4ADDRESS.test(se[se.length - 1]), W = he ? 7 : 8, de = se.length - W, pe = Array(W), le = 0; le < W; ++le)
          pe[le] = Z[le] || se[de + le] || "";
        he && (pe[W - 1] = ue(pe[W - 1], i));
        var Be = pe.reduce(function(Ne, qe, nt) {
          if (!qe || qe === "0") {
            var He = Ne[Ne.length - 1];
            He && He.index + He.length === nt ? He.length++ : Ne.push({ index: nt, length: 1 });
          }
          return Ne;
        }, []), ze = Be.sort(function(Ne, qe) {
          return qe.length - Ne.length;
        })[0], Ue = void 0;
        if (ze && ze.length > 1) {
          var pt = pe.slice(0, ze.index), rt = pe.slice(ze.index + ze.length);
          Ue = pt.join(":") + "::" + rt.join(":");
        } else
          Ue = pe.join(":");
        return U && (Ue += "%" + U), Ue;
      } else
        return f;
    }
    var Nt = /^(?:([^:\/?#]+):)?(?:\/\/((?:([^\/?#@]*)@)?(\[[^\/?#\]]+\]|[^\/?#:]*)(?:\:(\d*))?))?([^?#]*)(?:\?([^#]*))?(?:#((?:.|\n|\r)*))?/i, Tt = "".match(/(){0}/)[1] === void 0;
    function Pe(f) {
      var i = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, p = {}, N = i.iri !== !1 ? _ : $;
      i.reference === "suffix" && (f = (i.scheme ? i.scheme + ":" : "") + "//" + f);
      var P = f.match(Nt);
      if (P) {
        Tt ? (p.scheme = P[1], p.userinfo = P[3], p.host = P[4], p.port = parseInt(P[5], 10), p.path = P[6] || "", p.query = P[7], p.fragment = P[8], isNaN(p.port) && (p.port = P[5])) : (p.scheme = P[1] || void 0, p.userinfo = f.indexOf("@") !== -1 ? P[3] : void 0, p.host = f.indexOf("//") !== -1 ? P[4] : void 0, p.port = parseInt(P[5], 10), p.path = P[6] || "", p.query = f.indexOf("?") !== -1 ? P[7] : void 0, p.fragment = f.indexOf("#") !== -1 ? P[8] : void 0, isNaN(p.port) && (p.port = f.match(/\/\/(?:.|\n)*\:(?:\/|\?|\#|$)/) ? P[4] : void 0)), p.host && (p.host = Me(ue(p.host, N), N)), p.scheme === void 0 && p.userinfo === void 0 && p.host === void 0 && p.port === void 0 && !p.path && p.query === void 0 ? p.reference = "same-document" : p.scheme === void 0 ? p.reference = "relative" : p.fragment === void 0 ? p.reference = "absolute" : p.reference = "uri", i.reference && i.reference !== "suffix" && i.reference !== p.reference && (p.error = p.error || "URI is not a " + i.reference + " reference.");
        var U = I[(i.scheme || p.scheme || "").toLowerCase()];
        if (!i.unicodeSupport && (!U || !U.unicodeSupport)) {
          if (p.host && (i.domainHost || U && U.domainHost))
            try {
              p.host = S.toASCII(p.host.replace(N.PCT_ENCODED, F).toLowerCase());
            } catch (K) {
              p.error = p.error || "Host's domain name can not be converted to ASCII via punycode: " + K;
            }
          G(p, $);
        } else
          G(p, N);
        U && U.parse && U.parse(p, i);
      } else
        p.error = p.error || "URI can not be parsed.";
      return p;
    }
    function Ct(f, i) {
      var p = i.iri !== !1 ? _ : $, N = [];
      return f.userinfo !== void 0 && (N.push(f.userinfo), N.push("@")), f.host !== void 0 && N.push(Me(ue(String(f.host), p), p).replace(p.IPV6ADDRESS, function(P, U, K) {
        return "[" + U + (K ? "%25" + K : "") + "]";
      })), (typeof f.port == "number" || typeof f.port == "string") && (N.push(":"), N.push(String(f.port))), N.length ? N.join("") : void 0;
    }
    var dt = /^\.\.?\//, lt = /^\/\.(\/|$)/, ft = /^\/\.\.(\/|$)/, jt = /^\/?(?:.|\n)*?(?=\/|$)/;
    function Ve(f) {
      for (var i = []; f.length; )
        if (f.match(dt))
          f = f.replace(dt, "");
        else if (f.match(lt))
          f = f.replace(lt, "/");
        else if (f.match(ft))
          f = f.replace(ft, "/"), i.pop();
        else if (f === "." || f === "..")
          f = "";
        else {
          var p = f.match(jt);
          if (p) {
            var N = p[0];
            f = f.slice(N.length), i.push(N);
          } else
            throw new Error("Unexpected dot segment condition");
        }
      return i.join("");
    }
    function we(f) {
      var i = arguments.length > 1 && arguments[1] !== void 0 ? arguments[1] : {}, p = i.iri ? _ : $, N = [], P = I[(i.scheme || f.scheme || "").toLowerCase()];
      if (P && P.serialize && P.serialize(f, i), f.host && !p.IPV6ADDRESS.test(f.host)) {
        if (i.domainHost || P && P.domainHost)
          try {
            f.host = i.iri ? S.toUnicode(f.host) : S.toASCII(f.host.replace(p.PCT_ENCODED, F).toLowerCase());
          } catch (x) {
            f.error = f.error || "Host's domain name can not be converted to " + (i.iri ? "Unicode" : "ASCII") + " via punycode: " + x;
          }
      }
      G(f, p), i.reference !== "suffix" && f.scheme && (N.push(f.scheme), N.push(":"));
      var U = Ct(f, i);
      if (U !== void 0 && (i.reference !== "suffix" && N.push("//"), N.push(U), f.path && f.path.charAt(0) !== "/" && N.push("/")), f.path !== void 0) {
        var K = f.path;
        !i.absolutePath && (!P || !P.absolutePath) && (K = Ve(K)), U === void 0 && (K = K.replace(/^\/\//, "/%2F")), N.push(K);
      }
      return f.query !== void 0 && (N.push("?"), N.push(f.query)), f.fragment !== void 0 && (N.push("#"), N.push(f.fragment)), N.join("");
    }
    function ht(f, i) {
      var p = arguments.length > 2 && arguments[2] !== void 0 ? arguments[2] : {}, N = arguments[3], P = {};
      return N || (f = Pe(we(f, p), p), i = Pe(we(i, p), p)), p = p || {}, !p.tolerant && i.scheme ? (P.scheme = i.scheme, P.userinfo = i.userinfo, P.host = i.host, P.port = i.port, P.path = Ve(i.path || ""), P.query = i.query) : (i.userinfo !== void 0 || i.host !== void 0 || i.port !== void 0 ? (P.userinfo = i.userinfo, P.host = i.host, P.port = i.port, P.path = Ve(i.path || ""), P.query = i.query) : (i.path ? (i.path.charAt(0) === "/" ? P.path = Ve(i.path) : ((f.userinfo !== void 0 || f.host !== void 0 || f.port !== void 0) && !f.path ? P.path = "/" + i.path : f.path ? P.path = f.path.slice(0, f.path.lastIndexOf("/") + 1) + i.path : P.path = i.path, P.path = Ve(P.path)), P.query = i.query) : (P.path = f.path, i.query !== void 0 ? P.query = i.query : P.query = f.query), P.userinfo = f.userinfo, P.host = f.host, P.port = f.port), P.scheme = f.scheme), P.fragment = i.fragment, P;
    }
    function Rt(f, i, p) {
      var N = y({ scheme: "null" }, p);
      return we(ht(Pe(f, N), Pe(i, N), N, !0), N);
    }
    function et(f, i) {
      return typeof f == "string" ? f = we(Pe(f, i), i) : o(f) === "object" && (f = Pe(we(f, i), i)), f;
    }
    function It(f, i, p) {
      return typeof f == "string" ? f = we(Pe(f, p), p) : o(f) === "object" && (f = we(f, p)), typeof i == "string" ? i = we(Pe(i, p), p) : o(i) === "object" && (i = we(i, p)), f === i;
    }
    function Bt(f, i) {
      return f && f.toString().replace(!i || !i.iri ? $.ESCAPE : _.ESCAPE, j);
    }
    function Oe(f, i) {
      return f && f.toString().replace(!i || !i.iri ? $.PCT_ENCODED : _.PCT_ENCODED, F);
    }
    var tt = {
      scheme: "http",
      domainHost: !0,
      parse: function(i, p) {
        return i.host || (i.error = i.error || "HTTP URIs must have a host."), i;
      },
      serialize: function(i, p) {
        var N = String(i.scheme).toLowerCase() === "https";
        return (i.port === (N ? 443 : 80) || i.port === "") && (i.port = void 0), i.path || (i.path = "/"), i;
      }
    }, Tn = {
      scheme: "https",
      domainHost: tt.domainHost,
      parse: tt.parse,
      serialize: tt.serialize
    };
    function Cn(f) {
      return typeof f.secure == "boolean" ? f.secure : String(f.scheme).toLowerCase() === "wss";
    }
    var kt = {
      scheme: "ws",
      domainHost: !0,
      parse: function(i, p) {
        var N = i;
        return N.secure = Cn(N), N.resourceName = (N.path || "/") + (N.query ? "?" + N.query : ""), N.path = void 0, N.query = void 0, N;
      },
      serialize: function(i, p) {
        if ((i.port === (Cn(i) ? 443 : 80) || i.port === "") && (i.port = void 0), typeof i.secure == "boolean" && (i.scheme = i.secure ? "wss" : "ws", i.secure = void 0), i.resourceName) {
          var N = i.resourceName.split("?"), P = C(N, 2), U = P[0], K = P[1];
          i.path = U && U !== "/" ? U : void 0, i.query = K, i.resourceName = void 0;
        }
        return i.fragment = void 0, i;
      }
    }, jn = {
      scheme: "wss",
      domainHost: kt.domainHost,
      parse: kt.parse,
      serialize: kt.serialize
    }, es = {}, Rn = "[A-Za-z0-9\\-\\.\\_\\~\\xA0-\\u200D\\u2010-\\u2029\\u202F-\\uD7FF\\uF900-\\uFDCF\\uFDF0-\\uFFEF]", Fe = "[0-9A-Fa-f]", ts = a(a("%[EFef]" + Fe + "%" + Fe + Fe + "%" + Fe + Fe) + "|" + a("%[89A-Fa-f]" + Fe + "%" + Fe + Fe) + "|" + a("%" + Fe + Fe)), rs = "[A-Za-z0-9\\!\\$\\%\\'\\*\\+\\-\\^\\_\\`\\{\\|\\}\\~]", ns = "[\\!\\$\\%\\'\\(\\)\\*\\+\\,\\-\\.0-9\\<\\>A-Z\\x5E-\\x7E]", as = n(ns, '[\\"\\\\]'), ss = "[\\!\\$\\'\\(\\)\\*\\+\\,\\;\\:\\@]", os = new RegExp(Rn, "g"), mt = new RegExp(ts, "g"), is = new RegExp(n("[^]", rs, "[\\.]", '[\\"]', as), "g"), In = new RegExp(n("[^]", Rn, ss), "g"), cs = In;
    function _r(f) {
      var i = F(f);
      return i.match(os) ? i : f;
    }
    var kn = {
      scheme: "mailto",
      parse: function(i, p) {
        var N = i, P = N.to = N.path ? N.path.split(",") : [];
        if (N.path = void 0, N.query) {
          for (var U = !1, K = {}, x = N.query.split("&"), oe = 0, fe = x.length; oe < fe; ++oe) {
            var Z = x[oe].split("=");
            switch (Z[0]) {
              case "to":
                for (var se = Z[1].split(","), he = 0, W = se.length; he < W; ++he)
                  P.push(se[he]);
                break;
              case "subject":
                N.subject = Oe(Z[1], p);
                break;
              case "body":
                N.body = Oe(Z[1], p);
                break;
              default:
                U = !0, K[Oe(Z[0], p)] = Oe(Z[1], p);
                break;
            }
          }
          U && (N.headers = K);
        }
        N.query = void 0;
        for (var de = 0, pe = P.length; de < pe; ++de) {
          var le = P[de].split("@");
          if (le[0] = Oe(le[0]), p.unicodeSupport)
            le[1] = Oe(le[1], p).toLowerCase();
          else
            try {
              le[1] = S.toASCII(Oe(le[1], p).toLowerCase());
            } catch (Be) {
              N.error = N.error || "Email address's domain name can not be converted to ASCII via punycode: " + Be;
            }
          P[de] = le.join("@");
        }
        return N;
      },
      serialize: function(i, p) {
        var N = i, P = d(i.to);
        if (P) {
          for (var U = 0, K = P.length; U < K; ++U) {
            var x = String(P[U]), oe = x.lastIndexOf("@"), fe = x.slice(0, oe).replace(mt, _r).replace(mt, c).replace(is, j), Z = x.slice(oe + 1);
            try {
              Z = p.iri ? S.toUnicode(Z) : S.toASCII(Oe(Z, p).toLowerCase());
            } catch (de) {
              N.error = N.error || "Email address's domain name can not be converted to " + (p.iri ? "Unicode" : "ASCII") + " via punycode: " + de;
            }
            P[U] = fe + "@" + Z;
          }
          N.path = P.join(",");
        }
        var se = i.headers = i.headers || {};
        i.subject && (se.subject = i.subject), i.body && (se.body = i.body);
        var he = [];
        for (var W in se)
          se[W] !== es[W] && he.push(W.replace(mt, _r).replace(mt, c).replace(In, j) + "=" + se[W].replace(mt, _r).replace(mt, c).replace(cs, j));
        return he.length && (N.query = he.join("&")), N;
      }
    }, us = /^([^\:]+)\:(.*)/, Dn = {
      scheme: "urn",
      parse: function(i, p) {
        var N = i.path && i.path.match(us), P = i;
        if (N) {
          var U = p.scheme || P.scheme || "urn", K = N[1].toLowerCase(), x = N[2], oe = U + ":" + (p.nid || K), fe = I[oe];
          P.nid = K, P.nss = x, P.path = void 0, fe && (P = fe.parse(P, p));
        } else
          P.error = P.error || "URN can not be parsed.";
        return P;
      },
      serialize: function(i, p) {
        var N = p.scheme || i.scheme || "urn", P = i.nid, U = N + ":" + (p.nid || P), K = I[U];
        K && (i = K.serialize(i, p));
        var x = i, oe = i.nss;
        return x.path = (P || p.nid) + ":" + oe, x;
      }
    }, ds = /^[0-9A-Fa-f]{8}(?:\-[0-9A-Fa-f]{4}){3}\-[0-9A-Fa-f]{12}$/, An = {
      scheme: "urn:uuid",
      parse: function(i, p) {
        var N = i;
        return N.uuid = N.nss, N.nss = void 0, !p.tolerant && (!N.uuid || !N.uuid.match(ds)) && (N.error = N.error || "UUID is not valid."), N;
      },
      serialize: function(i, p) {
        var N = i;
        return N.nss = (i.uuid || "").toLowerCase(), N;
      }
    };
    I[tt.scheme] = tt, I[Tn.scheme] = Tn, I[kt.scheme] = kt, I[jn.scheme] = jn, I[kn.scheme] = kn, I[Dn.scheme] = Dn, I[An.scheme] = An, r.SCHEMES = I, r.pctEncChar = j, r.pctDecChars = F, r.parse = Pe, r.removeDotSegments = Ve, r.serialize = we, r.resolveComponents = ht, r.resolve = Rt, r.normalize = et, r.equal = It, r.escapeComponent = Bt, r.unescapeComponent = Oe, Object.defineProperty(r, "__esModule", { value: !0 });
  });
})(Rr, Rr.exports);
var yi = Rr.exports;
Object.defineProperty(Br, "__esModule", { value: !0 });
const La = yi;
La.code = 'require("ajv/dist/runtime/uri").default';
Br.default = La;
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.CodeGen = e.Name = e.nil = e.stringify = e.str = e._ = e.KeywordCxt = void 0;
  var t = Ce;
  Object.defineProperty(e, "KeywordCxt", { enumerable: !0, get: function() {
    return t.KeywordCxt;
  } });
  var r = X;
  Object.defineProperty(e, "_", { enumerable: !0, get: function() {
    return r._;
  } }), Object.defineProperty(e, "str", { enumerable: !0, get: function() {
    return r.str;
  } }), Object.defineProperty(e, "stringify", { enumerable: !0, get: function() {
    return r.stringify;
  } }), Object.defineProperty(e, "nil", { enumerable: !0, get: function() {
    return r.nil;
  } }), Object.defineProperty(e, "Name", { enumerable: !0, get: function() {
    return r.Name;
  } }), Object.defineProperty(e, "CodeGen", { enumerable: !0, get: function() {
    return r.CodeGen;
  } });
  const n = Gt, a = Jt, o = ct, c = Se, d = X, y = ve, l = $e, $ = V, _ = $i, C = Br, T = (A, E) => new RegExp(A, E);
  T.code = "new RegExp";
  const b = ["removeAdditional", "useDefaults", "coerceTypes"], O = /* @__PURE__ */ new Set([
    "validate",
    "serialize",
    "parse",
    "wrapper",
    "root",
    "schema",
    "keyword",
    "pattern",
    "formats",
    "validate$data",
    "func",
    "obj",
    "Error"
  ]), g = {
    errorDataPath: "",
    format: "`validateFormats: false` can be used instead.",
    nullable: '"nullable" keyword is supported by default.',
    jsonPointers: "Deprecated jsPropertySyntax can be used instead.",
    extendRefs: "Deprecated ignoreKeywordsWithRef can be used instead.",
    missingRefs: "Pass empty schema with $id that should be ignored to ajv.addSchema.",
    processCode: "Use option `code: {process: (code, schemaEnv: object) => string}`",
    sourceCode: "Use option `code: {source: true}`",
    strictDefaults: "It is default now, see option `strict`.",
    strictKeywords: "It is default now, see option `strict`.",
    uniqueItems: '"uniqueItems" keyword is always validated.',
    unknownFormats: "Disable strict mode or pass `true` to `ajv.addFormat` (or `formats` option).",
    cache: "Map is used as cache, schema object as key.",
    serialize: "Map is used as cache, schema object as key.",
    ajvErrors: "It is default now."
  }, h = {
    ignoreKeywordsWithRef: "",
    jsPropertySyntax: "",
    unicode: '"minLength"/"maxLength" account for unicode characters by default.'
  }, m = 200;
  function R(A) {
    var E, w, v, s, u, S, I, j, F, G, ee, ue, Me, Nt, Tt, Pe, Ct, dt, lt, ft, jt, Ve, we, ht, Rt;
    const et = A.strict, It = (E = A.code) === null || E === void 0 ? void 0 : E.optimize, Bt = It === !0 || It === void 0 ? 1 : It || 0, Oe = (v = (w = A.code) === null || w === void 0 ? void 0 : w.regExp) !== null && v !== void 0 ? v : T, tt = (s = A.uriResolver) !== null && s !== void 0 ? s : C.default;
    return {
      strictSchema: (S = (u = A.strictSchema) !== null && u !== void 0 ? u : et) !== null && S !== void 0 ? S : !0,
      strictNumbers: (j = (I = A.strictNumbers) !== null && I !== void 0 ? I : et) !== null && j !== void 0 ? j : !0,
      strictTypes: (G = (F = A.strictTypes) !== null && F !== void 0 ? F : et) !== null && G !== void 0 ? G : "log",
      strictTuples: (ue = (ee = A.strictTuples) !== null && ee !== void 0 ? ee : et) !== null && ue !== void 0 ? ue : "log",
      strictRequired: (Nt = (Me = A.strictRequired) !== null && Me !== void 0 ? Me : et) !== null && Nt !== void 0 ? Nt : !1,
      code: A.code ? { ...A.code, optimize: Bt, regExp: Oe } : { optimize: Bt, regExp: Oe },
      loopRequired: (Tt = A.loopRequired) !== null && Tt !== void 0 ? Tt : m,
      loopEnum: (Pe = A.loopEnum) !== null && Pe !== void 0 ? Pe : m,
      meta: (Ct = A.meta) !== null && Ct !== void 0 ? Ct : !0,
      messages: (dt = A.messages) !== null && dt !== void 0 ? dt : !0,
      inlineRefs: (lt = A.inlineRefs) !== null && lt !== void 0 ? lt : !0,
      schemaId: (ft = A.schemaId) !== null && ft !== void 0 ? ft : "$id",
      addUsedSchema: (jt = A.addUsedSchema) !== null && jt !== void 0 ? jt : !0,
      validateSchema: (Ve = A.validateSchema) !== null && Ve !== void 0 ? Ve : !0,
      validateFormats: (we = A.validateFormats) !== null && we !== void 0 ? we : !0,
      unicodeRegExp: (ht = A.unicodeRegExp) !== null && ht !== void 0 ? ht : !0,
      int32range: (Rt = A.int32range) !== null && Rt !== void 0 ? Rt : !0,
      uriResolver: tt
    };
  }
  class k {
    constructor(E = {}) {
      this.schemas = {}, this.refs = {}, this.formats = {}, this._compilations = /* @__PURE__ */ new Set(), this._loading = {}, this._cache = /* @__PURE__ */ new Map(), E = this.opts = { ...E, ...R(E) };
      const { es5: w, lines: v } = this.opts.code;
      this.scope = new d.ValueScope({ scope: {}, prefixes: O, es5: w, lines: v }), this.logger = H(E.logger);
      const s = E.validateFormats;
      E.validateFormats = !1, this.RULES = (0, o.getRules)(), M.call(this, g, E, "NOT SUPPORTED"), M.call(this, h, E, "DEPRECATED", "warn"), this._metaOpts = q.call(this), E.formats && ce.call(this), this._addVocabularies(), this._addDefaultMetaSchema(), E.keywords && D.call(this, E.keywords), typeof E.meta == "object" && this.addMetaSchema(E.meta), te.call(this), E.validateFormats = s;
    }
    _addVocabularies() {
      this.addKeyword("$async");
    }
    _addDefaultMetaSchema() {
      const { $data: E, meta: w, schemaId: v } = this.opts;
      let s = _;
      v === "id" && (s = { ..._ }, s.id = s.$id, delete s.$id), w && E && this.addMetaSchema(s, s[v], !1);
    }
    defaultMeta() {
      const { meta: E, schemaId: w } = this.opts;
      return this.opts.defaultMeta = typeof E == "object" ? E[w] || E : void 0;
    }
    validate(E, w) {
      let v;
      if (typeof E == "string") {
        if (v = this.getSchema(E), !v)
          throw new Error(`no schema with key or ref "${E}"`);
      } else
        v = this.compile(E);
      const s = v(w);
      return "$async" in v || (this.errors = v.errors), s;
    }
    compile(E, w) {
      const v = this._addSchema(E, w);
      return v.validate || this._compileSchemaEnv(v);
    }
    compileAsync(E, w) {
      if (typeof this.opts.loadSchema != "function")
        throw new Error("options.loadSchema should be a function");
      const { loadSchema: v } = this.opts;
      return s.call(this, E, w);
      async function s(G, ee) {
        await u.call(this, G.$schema);
        const ue = this._addSchema(G, ee);
        return ue.validate || S.call(this, ue);
      }
      async function u(G) {
        G && !this.getSchema(G) && await s.call(this, { $ref: G }, !0);
      }
      async function S(G) {
        try {
          return this._compileSchemaEnv(G);
        } catch (ee) {
          if (!(ee instanceof a.default))
            throw ee;
          return I.call(this, ee), await j.call(this, ee.missingSchema), S.call(this, G);
        }
      }
      function I({ missingSchema: G, missingRef: ee }) {
        if (this.refs[G])
          throw new Error(`AnySchema ${G} is loaded but ${ee} cannot be resolved`);
      }
      async function j(G) {
        const ee = await F.call(this, G);
        this.refs[G] || await u.call(this, ee.$schema), this.refs[G] || this.addSchema(ee, G, w);
      }
      async function F(G) {
        const ee = this._loading[G];
        if (ee)
          return ee;
        try {
          return await (this._loading[G] = v(G));
        } finally {
          delete this._loading[G];
        }
      }
    }
    // Adds schema to the instance
    addSchema(E, w, v, s = this.opts.validateSchema) {
      if (Array.isArray(E)) {
        for (const S of E)
          this.addSchema(S, void 0, v, s);
        return this;
      }
      let u;
      if (typeof E == "object") {
        const { schemaId: S } = this.opts;
        if (u = E[S], u !== void 0 && typeof u != "string")
          throw new Error(`schema ${S} must be string`);
      }
      return w = (0, y.normalizeId)(w || u), this._checkUnique(w), this.schemas[w] = this._addSchema(E, v, w, s, !0), this;
    }
    // Add schema that will be used to validate other schemas
    // options in META_IGNORE_OPTIONS are alway set to false
    addMetaSchema(E, w, v = this.opts.validateSchema) {
      return this.addSchema(E, w, !0, v), this;
    }
    //  Validate schema against its meta-schema
    validateSchema(E, w) {
      if (typeof E == "boolean")
        return !0;
      let v;
      if (v = E.$schema, v !== void 0 && typeof v != "string")
        throw new Error("$schema must be a string");
      if (v = v || this.opts.defaultMeta || this.defaultMeta(), !v)
        return this.logger.warn("meta-schema not available"), this.errors = null, !0;
      const s = this.validate(v, E);
      if (!s && w) {
        const u = "schema is invalid: " + this.errorsText();
        if (this.opts.validateSchema === "log")
          this.logger.error(u);
        else
          throw new Error(u);
      }
      return s;
    }
    // Get compiled schema by `key` or `ref`.
    // (`key` that was passed to `addSchema` or full schema reference - `schema.$id` or resolved id)
    getSchema(E) {
      let w;
      for (; typeof (w = B.call(this, E)) == "string"; )
        E = w;
      if (w === void 0) {
        const { schemaId: v } = this.opts, s = new c.SchemaEnv({ schema: {}, schemaId: v });
        if (w = c.resolveSchema.call(this, s, E), !w)
          return;
        this.refs[E] = w;
      }
      return w.validate || this._compileSchemaEnv(w);
    }
    // Remove cached schema(s).
    // If no parameter is passed all schemas but meta-schemas are removed.
    // If RegExp is passed all schemas with key/id matching pattern but meta-schemas are removed.
    // Even if schema is referenced by other schemas it still can be removed as other schemas have local references.
    removeSchema(E) {
      if (E instanceof RegExp)
        return this._removeAllSchemas(this.schemas, E), this._removeAllSchemas(this.refs, E), this;
      switch (typeof E) {
        case "undefined":
          return this._removeAllSchemas(this.schemas), this._removeAllSchemas(this.refs), this._cache.clear(), this;
        case "string": {
          const w = B.call(this, E);
          return typeof w == "object" && this._cache.delete(w.schema), delete this.schemas[E], delete this.refs[E], this;
        }
        case "object": {
          const w = E;
          this._cache.delete(w);
          let v = E[this.opts.schemaId];
          return v && (v = (0, y.normalizeId)(v), delete this.schemas[v], delete this.refs[v]), this;
        }
        default:
          throw new Error("ajv.removeSchema: invalid parameter");
      }
    }
    // add "vocabulary" - a collection of keywords
    addVocabulary(E) {
      for (const w of E)
        this.addKeyword(w);
      return this;
    }
    addKeyword(E, w) {
      let v;
      if (typeof E == "string")
        v = E, typeof w == "object" && (this.logger.warn("these parameters are deprecated, see docs for addKeyword"), w.keyword = v);
      else if (typeof E == "object" && w === void 0) {
        if (w = E, v = w.keyword, Array.isArray(v) && !v.length)
          throw new Error("addKeywords: keyword must be string or non-empty array");
      } else
        throw new Error("invalid addKeywords parameters");
      if (re.call(this, v, w), !w)
        return (0, $.eachItem)(v, (u) => Ee.call(this, u)), this;
      We.call(this, w);
      const s = {
        ...w,
        type: (0, l.getJSONTypes)(w.type),
        schemaType: (0, l.getJSONTypes)(w.schemaType)
      };
      return (0, $.eachItem)(v, s.type.length === 0 ? (u) => Ee.call(this, u, s) : (u) => s.type.forEach((S) => Ee.call(this, u, s, S))), this;
    }
    getKeyword(E) {
      const w = this.RULES.all[E];
      return typeof w == "object" ? w.definition : !!w;
    }
    // Remove keyword
    removeKeyword(E) {
      const { RULES: w } = this;
      delete w.keywords[E], delete w.all[E];
      for (const v of w.rules) {
        const s = v.rules.findIndex((u) => u.keyword === E);
        s >= 0 && v.rules.splice(s, 1);
      }
      return this;
    }
    // Add format
    addFormat(E, w) {
      return typeof w == "string" && (w = new RegExp(w)), this.formats[E] = w, this;
    }
    errorsText(E = this.errors, { separator: w = ", ", dataVar: v = "data" } = {}) {
      return !E || E.length === 0 ? "No errors" : E.map((s) => `${v}${s.instancePath} ${s.message}`).reduce((s, u) => s + w + u);
    }
    $dataMetaSchema(E, w) {
      const v = this.RULES.all;
      E = JSON.parse(JSON.stringify(E));
      for (const s of w) {
        const u = s.split("/").slice(1);
        let S = E;
        for (const I of u)
          S = S[I];
        for (const I in v) {
          const j = v[I];
          if (typeof j != "object")
            continue;
          const { $data: F } = j.definition, G = S[I];
          F && G && (S[I] = Ae(G));
        }
      }
      return E;
    }
    _removeAllSchemas(E, w) {
      for (const v in E) {
        const s = E[v];
        (!w || w.test(v)) && (typeof s == "string" ? delete E[v] : s && !s.meta && (this._cache.delete(s.schema), delete E[v]));
      }
    }
    _addSchema(E, w, v, s = this.opts.validateSchema, u = this.opts.addUsedSchema) {
      let S;
      const { schemaId: I } = this.opts;
      if (typeof E == "object")
        S = E[I];
      else {
        if (this.opts.jtd)
          throw new Error("schema must be object");
        if (typeof E != "boolean")
          throw new Error("schema must be object or boolean");
      }
      let j = this._cache.get(E);
      if (j !== void 0)
        return j;
      v = (0, y.normalizeId)(S || v);
      const F = y.getSchemaRefs.call(this, E, v);
      return j = new c.SchemaEnv({ schema: E, schemaId: I, meta: w, baseId: v, localRefs: F }), this._cache.set(j.schema, j), u && !v.startsWith("#") && (v && this._checkUnique(v), this.refs[v] = j), s && this.validateSchema(E, !0), j;
    }
    _checkUnique(E) {
      if (this.schemas[E] || this.refs[E])
        throw new Error(`schema with key or id "${E}" already exists`);
    }
    _compileSchemaEnv(E) {
      if (E.meta ? this._compileMetaSchema(E) : c.compileSchema.call(this, E), !E.validate)
        throw new Error("ajv implementation error");
      return E.validate;
    }
    _compileMetaSchema(E) {
      const w = this.opts;
      this.opts = this._metaOpts;
      try {
        c.compileSchema.call(this, E);
      } finally {
        this.opts = w;
      }
    }
  }
  k.ValidationError = n.default, k.MissingRefError = a.default, e.default = k;
  function M(A, E, w, v = "error") {
    for (const s in A) {
      const u = s;
      u in E && this.logger[v](`${w}: option ${s}. ${A[u]}`);
    }
  }
  function B(A) {
    return A = (0, y.normalizeId)(A), this.schemas[A] || this.refs[A];
  }
  function te() {
    const A = this.opts.schemas;
    if (A)
      if (Array.isArray(A))
        this.addSchema(A);
      else
        for (const E in A)
          this.addSchema(A[E], E);
  }
  function ce() {
    for (const A in this.opts.formats) {
      const E = this.opts.formats[A];
      E && this.addFormat(A, E);
    }
  }
  function D(A) {
    if (Array.isArray(A)) {
      this.addVocabulary(A);
      return;
    }
    this.logger.warn("keywords option as map is deprecated, pass array");
    for (const E in A) {
      const w = A[E];
      w.keyword || (w.keyword = E), this.addKeyword(w);
    }
  }
  function q() {
    const A = { ...this.opts };
    for (const E of b)
      delete A[E];
    return A;
  }
  const L = { log() {
  }, warn() {
  }, error() {
  } };
  function H(A) {
    if (A === !1)
      return L;
    if (A === void 0)
      return console;
    if (A.log && A.warn && A.error)
      return A;
    throw new Error("logger must implement log, warn and error methods");
  }
  const ne = /^[a-z_$][a-z0-9_$:-]*$/i;
  function re(A, E) {
    const { RULES: w } = this;
    if ((0, $.eachItem)(A, (v) => {
      if (w.keywords[v])
        throw new Error(`Keyword ${v} is already defined`);
      if (!ne.test(v))
        throw new Error(`Keyword ${v} has invalid name`);
    }), !!E && E.$data && !("code" in E || "validate" in E))
      throw new Error('$data keyword must have "code" or "validate" function');
  }
  function Ee(A, E, w) {
    var v;
    const s = E == null ? void 0 : E.post;
    if (w && s)
      throw new Error('keyword with "post" flag cannot have "type"');
    const { RULES: u } = this;
    let S = s ? u.post : u.rules.find(({ type: j }) => j === w);
    if (S || (S = { type: w, rules: [] }, u.rules.push(S)), u.keywords[A] = !0, !E)
      return;
    const I = {
      keyword: A,
      definition: {
        ...E,
        type: (0, l.getJSONTypes)(E.type),
        schemaType: (0, l.getJSONTypes)(E.schemaType)
      }
    };
    E.before ? De.call(this, S, I, E.before) : S.rules.push(I), u.all[A] = I, (v = E.implements) === null || v === void 0 || v.forEach((j) => this.addKeyword(j));
  }
  function De(A, E, w) {
    const v = A.rules.findIndex((s) => s.keyword === w);
    v >= 0 ? A.rules.splice(v, 0, E) : (A.rules.push(E), this.logger.warn(`rule ${w} is not defined`));
  }
  function We(A) {
    let { metaSchema: E } = A;
    E !== void 0 && (A.$data && this.opts.$data && (E = Ae(E)), A.validateSchema = this.compile(E, !0));
  }
  const xe = {
    $ref: "https://raw.githubusercontent.com/ajv-validator/ajv/master/lib/refs/data.json#"
  };
  function Ae(A) {
    return { anyOf: [A, xe] };
  }
})(da);
var Yr = {}, Xr = {}, Qr = {};
Object.defineProperty(Qr, "__esModule", { value: !0 });
const vi = {
  keyword: "id",
  code() {
    throw new Error('NOT SUPPORTED: keyword "id", use "$id" for schema ID');
  }
};
Qr.default = vi;
var ut = {};
Object.defineProperty(ut, "__esModule", { value: !0 });
ut.callRef = ut.getValidate = void 0;
const _i = Jt, Qn = Q, be = X, yt = ke, Zn = Se, xt = V, gi = {
  keyword: "$ref",
  schemaType: "string",
  code(e) {
    const { gen: t, schema: r, it: n } = e, { baseId: a, schemaEnv: o, validateName: c, opts: d, self: y } = n, { root: l } = o;
    if ((r === "#" || r === "#/") && a === l.baseId)
      return _();
    const $ = Zn.resolveRef.call(y, l, a, r);
    if ($ === void 0)
      throw new _i.default(n.opts.uriResolver, a, r);
    if ($ instanceof Zn.SchemaEnv)
      return C($);
    return T($);
    function _() {
      if (o === l)
        return or(e, c, o, o.$async);
      const b = t.scopeValue("root", { ref: l });
      return or(e, (0, be._)`${b}.validate`, l, l.$async);
    }
    function C(b) {
      const O = Ha(e, b);
      or(e, O, b, b.$async);
    }
    function T(b) {
      const O = t.scopeValue("schema", d.code.source === !0 ? { ref: b, code: (0, be.stringify)(b) } : { ref: b }), g = t.name("valid"), h = e.subschema({
        schema: b,
        dataTypes: [],
        schemaPath: be.nil,
        topSchemaRef: O,
        errSchemaPath: r
      }, g);
      e.mergeEvaluated(h), e.ok(g);
    }
  }
};
function Ha(e, t) {
  const { gen: r } = e;
  return t.validate ? r.scopeValue("validate", { ref: t.validate }) : (0, be._)`${r.scopeValue("wrapper", { ref: t })}.validate`;
}
ut.getValidate = Ha;
function or(e, t, r, n) {
  const { gen: a, it: o } = e, { allErrors: c, schemaEnv: d, opts: y } = o, l = y.passContext ? yt.default.this : be.nil;
  n ? $() : _();
  function $() {
    if (!d.$async)
      throw new Error("async schema referenced by sync schema");
    const b = a.let("valid");
    a.try(() => {
      a.code((0, be._)`await ${(0, Qn.callValidateCode)(e, t, l)}`), T(t), c || a.assign(b, !0);
    }, (O) => {
      a.if((0, be._)`!(${O} instanceof ${o.ValidationError})`, () => a.throw(O)), C(O), c || a.assign(b, !1);
    }), e.ok(b);
  }
  function _() {
    e.result((0, Qn.callValidateCode)(e, t, l), () => T(t), () => C(t));
  }
  function C(b) {
    const O = (0, be._)`${b}.errors`;
    a.assign(yt.default.vErrors, (0, be._)`${yt.default.vErrors} === null ? ${O} : ${yt.default.vErrors}.concat(${O})`), a.assign(yt.default.errors, (0, be._)`${yt.default.vErrors}.length`);
  }
  function T(b) {
    var O;
    if (!o.opts.unevaluated)
      return;
    const g = (O = r == null ? void 0 : r.validate) === null || O === void 0 ? void 0 : O.evaluated;
    if (o.props !== !0)
      if (g && !g.dynamicProps)
        g.props !== void 0 && (o.props = xt.mergeEvaluated.props(a, g.props, o.props));
      else {
        const h = a.var("props", (0, be._)`${b}.evaluated.props`);
        o.props = xt.mergeEvaluated.props(a, h, o.props, be.Name);
      }
    if (o.items !== !0)
      if (g && !g.dynamicItems)
        g.items !== void 0 && (o.items = xt.mergeEvaluated.items(a, g.items, o.items));
      else {
        const h = a.var("items", (0, be._)`${b}.evaluated.items`);
        o.items = xt.mergeEvaluated.items(a, h, o.items, be.Name);
      }
  }
}
ut.callRef = or;
ut.default = gi;
Object.defineProperty(Xr, "__esModule", { value: !0 });
const Ei = Qr, wi = ut, bi = [
  "$schema",
  "$id",
  "$defs",
  "$vocabulary",
  { keyword: "$comment" },
  "definitions",
  Ei.default,
  wi.default
];
Xr.default = bi;
var Zr = {}, xr = {};
Object.defineProperty(xr, "__esModule", { value: !0 });
const dr = X, Xe = dr.operators, lr = {
  maximum: { okStr: "<=", ok: Xe.LTE, fail: Xe.GT },
  minimum: { okStr: ">=", ok: Xe.GTE, fail: Xe.LT },
  exclusiveMaximum: { okStr: "<", ok: Xe.LT, fail: Xe.GTE },
  exclusiveMinimum: { okStr: ">", ok: Xe.GT, fail: Xe.LTE }
}, Si = {
  message: ({ keyword: e, schemaCode: t }) => (0, dr.str)`must be ${lr[e].okStr} ${t}`,
  params: ({ keyword: e, schemaCode: t }) => (0, dr._)`{comparison: ${lr[e].okStr}, limit: ${t}}`
}, Pi = {
  keyword: Object.keys(lr),
  type: "number",
  schemaType: "number",
  $data: !0,
  error: Si,
  code(e) {
    const { keyword: t, data: r, schemaCode: n } = e;
    e.fail$data((0, dr._)`${r} ${lr[t].fail} ${n} || isNaN(${r})`);
  }
};
xr.default = Pi;
var en = {};
Object.defineProperty(en, "__esModule", { value: !0 });
const qt = X, Oi = {
  message: ({ schemaCode: e }) => (0, qt.str)`must be multiple of ${e}`,
  params: ({ schemaCode: e }) => (0, qt._)`{multipleOf: ${e}}`
}, Ni = {
  keyword: "multipleOf",
  type: "number",
  schemaType: "number",
  $data: !0,
  error: Oi,
  code(e) {
    const { gen: t, data: r, schemaCode: n, it: a } = e, o = a.opts.multipleOfPrecision, c = t.let("res"), d = o ? (0, qt._)`Math.abs(Math.round(${c}) - ${c}) > 1e-${o}` : (0, qt._)`${c} !== parseInt(${c})`;
    e.fail$data((0, qt._)`(${n} === 0 || (${c} = ${r}/${n}, ${d}))`);
  }
};
en.default = Ni;
var tn = {}, rn = {};
Object.defineProperty(rn, "__esModule", { value: !0 });
function Ga(e) {
  const t = e.length;
  let r = 0, n = 0, a;
  for (; n < t; )
    r++, a = e.charCodeAt(n++), a >= 55296 && a <= 56319 && n < t && (a = e.charCodeAt(n), (a & 64512) === 56320 && n++);
  return r;
}
rn.default = Ga;
Ga.code = 'require("ajv/dist/runtime/ucs2length").default';
Object.defineProperty(tn, "__esModule", { value: !0 });
const ot = X, Ti = V, Ci = rn, ji = {
  message({ keyword: e, schemaCode: t }) {
    const r = e === "maxLength" ? "more" : "fewer";
    return (0, ot.str)`must NOT have ${r} than ${t} characters`;
  },
  params: ({ schemaCode: e }) => (0, ot._)`{limit: ${e}}`
}, Ri = {
  keyword: ["maxLength", "minLength"],
  type: "string",
  schemaType: "number",
  $data: !0,
  error: ji,
  code(e) {
    const { keyword: t, data: r, schemaCode: n, it: a } = e, o = t === "maxLength" ? ot.operators.GT : ot.operators.LT, c = a.opts.unicode === !1 ? (0, ot._)`${r}.length` : (0, ot._)`${(0, Ti.useFunc)(e.gen, Ci.default)}(${r})`;
    e.fail$data((0, ot._)`${c} ${o} ${n}`);
  }
};
tn.default = Ri;
var nn = {};
Object.defineProperty(nn, "__esModule", { value: !0 });
const Ii = Q, fr = X, ki = {
  message: ({ schemaCode: e }) => (0, fr.str)`must match pattern "${e}"`,
  params: ({ schemaCode: e }) => (0, fr._)`{pattern: ${e}}`
}, Di = {
  keyword: "pattern",
  type: "string",
  schemaType: "string",
  $data: !0,
  error: ki,
  code(e) {
    const { data: t, $data: r, schema: n, schemaCode: a, it: o } = e, c = o.opts.unicodeRegExp ? "u" : "", d = r ? (0, fr._)`(new RegExp(${a}, ${c}))` : (0, Ii.usePattern)(e, n);
    e.fail$data((0, fr._)`!${d}.test(${t})`);
  }
};
nn.default = Di;
var an = {};
Object.defineProperty(an, "__esModule", { value: !0 });
const Kt = X, Ai = {
  message({ keyword: e, schemaCode: t }) {
    const r = e === "maxProperties" ? "more" : "fewer";
    return (0, Kt.str)`must NOT have ${r} than ${t} properties`;
  },
  params: ({ schemaCode: e }) => (0, Kt._)`{limit: ${e}}`
}, Mi = {
  keyword: ["maxProperties", "minProperties"],
  type: "object",
  schemaType: "number",
  $data: !0,
  error: Ai,
  code(e) {
    const { keyword: t, data: r, schemaCode: n } = e, a = t === "maxProperties" ? Kt.operators.GT : Kt.operators.LT;
    e.fail$data((0, Kt._)`Object.keys(${r}).length ${a} ${n}`);
  }
};
an.default = Mi;
var sn = {};
Object.defineProperty(sn, "__esModule", { value: !0 });
const Ft = Q, Lt = X, Vi = V, Fi = {
  message: ({ params: { missingProperty: e } }) => (0, Lt.str)`must have required property '${e}'`,
  params: ({ params: { missingProperty: e } }) => (0, Lt._)`{missingProperty: ${e}}`
}, zi = {
  keyword: "required",
  type: "object",
  schemaType: "array",
  $data: !0,
  error: Fi,
  code(e) {
    const { gen: t, schema: r, schemaCode: n, data: a, $data: o, it: c } = e, { opts: d } = c;
    if (!o && r.length === 0)
      return;
    const y = r.length >= d.loopRequired;
    if (c.allErrors ? l() : $(), d.strictRequired) {
      const T = e.parentSchema.properties, { definedProperties: b } = e.it;
      for (const O of r)
        if ((T == null ? void 0 : T[O]) === void 0 && !b.has(O)) {
          const g = c.schemaEnv.baseId + c.errSchemaPath, h = `required property "${O}" is not defined at "${g}" (strictRequired)`;
          (0, Vi.checkStrictMode)(c, h, c.opts.strictRequired);
        }
    }
    function l() {
      if (y || o)
        e.block$data(Lt.nil, _);
      else
        for (const T of r)
          (0, Ft.checkReportMissingProp)(e, T);
    }
    function $() {
      const T = t.let("missing");
      if (y || o) {
        const b = t.let("valid", !0);
        e.block$data(b, () => C(T, b)), e.ok(b);
      } else
        t.if((0, Ft.checkMissingProp)(e, r, T)), (0, Ft.reportMissingProp)(e, T), t.else();
    }
    function _() {
      t.forOf("prop", n, (T) => {
        e.setParams({ missingProperty: T }), t.if((0, Ft.noPropertyInData)(t, a, T, d.ownProperties), () => e.error());
      });
    }
    function C(T, b) {
      e.setParams({ missingProperty: T }), t.forOf(T, n, () => {
        t.assign(b, (0, Ft.propertyInData)(t, a, T, d.ownProperties)), t.if((0, Lt.not)(b), () => {
          e.error(), t.break();
        });
      }, Lt.nil);
    }
  }
};
sn.default = zi;
var on = {};
Object.defineProperty(on, "__esModule", { value: !0 });
const Ht = X, Ui = {
  message({ keyword: e, schemaCode: t }) {
    const r = e === "maxItems" ? "more" : "fewer";
    return (0, Ht.str)`must NOT have ${r} than ${t} items`;
  },
  params: ({ schemaCode: e }) => (0, Ht._)`{limit: ${e}}`
}, qi = {
  keyword: ["maxItems", "minItems"],
  type: "array",
  schemaType: "number",
  $data: !0,
  error: Ui,
  code(e) {
    const { keyword: t, data: r, schemaCode: n } = e, a = t === "maxItems" ? Ht.operators.GT : Ht.operators.LT;
    e.fail$data((0, Ht._)`${r}.length ${a} ${n}`);
  }
};
on.default = qi;
var cn = {}, Wt = {};
Object.defineProperty(Wt, "__esModule", { value: !0 });
const Ja = Oa;
Ja.code = 'require("ajv/dist/runtime/equal").default';
Wt.default = Ja;
Object.defineProperty(cn, "__esModule", { value: !0 });
const br = $e, ye = X, Ki = V, Li = Wt, Hi = {
  message: ({ params: { i: e, j: t } }) => (0, ye.str)`must NOT have duplicate items (items ## ${t} and ${e} are identical)`,
  params: ({ params: { i: e, j: t } }) => (0, ye._)`{i: ${e}, j: ${t}}`
}, Gi = {
  keyword: "uniqueItems",
  type: "array",
  schemaType: "boolean",
  $data: !0,
  error: Hi,
  code(e) {
    const { gen: t, data: r, $data: n, schema: a, parentSchema: o, schemaCode: c, it: d } = e;
    if (!n && !a)
      return;
    const y = t.let("valid"), l = o.items ? (0, br.getSchemaTypes)(o.items) : [];
    e.block$data(y, $, (0, ye._)`${c} === false`), e.ok(y);
    function $() {
      const b = t.let("i", (0, ye._)`${r}.length`), O = t.let("j");
      e.setParams({ i: b, j: O }), t.assign(y, !0), t.if((0, ye._)`${b} > 1`, () => (_() ? C : T)(b, O));
    }
    function _() {
      return l.length > 0 && !l.some((b) => b === "object" || b === "array");
    }
    function C(b, O) {
      const g = t.name("item"), h = (0, br.checkDataTypes)(l, g, d.opts.strictNumbers, br.DataType.Wrong), m = t.const("indices", (0, ye._)`{}`);
      t.for((0, ye._)`;${b}--;`, () => {
        t.let(g, (0, ye._)`${r}[${b}]`), t.if(h, (0, ye._)`continue`), l.length > 1 && t.if((0, ye._)`typeof ${g} == "string"`, (0, ye._)`${g} += "_"`), t.if((0, ye._)`typeof ${m}[${g}] == "number"`, () => {
          t.assign(O, (0, ye._)`${m}[${g}]`), e.error(), t.assign(y, !1).break();
        }).code((0, ye._)`${m}[${g}] = ${b}`);
      });
    }
    function T(b, O) {
      const g = (0, Ki.useFunc)(t, Li.default), h = t.name("outer");
      t.label(h).for((0, ye._)`;${b}--;`, () => t.for((0, ye._)`${O} = ${b}; ${O}--;`, () => t.if((0, ye._)`${g}(${r}[${b}], ${r}[${O}])`, () => {
        e.error(), t.assign(y, !1).break(h);
      })));
    }
  }
};
cn.default = Gi;
var un = {};
Object.defineProperty(un, "__esModule", { value: !0 });
const Ir = X, Ji = V, Wi = Wt, Bi = {
  message: "must be equal to constant",
  params: ({ schemaCode: e }) => (0, Ir._)`{allowedValue: ${e}}`
}, Yi = {
  keyword: "const",
  $data: !0,
  error: Bi,
  code(e) {
    const { gen: t, data: r, $data: n, schemaCode: a, schema: o } = e;
    n || o && typeof o == "object" ? e.fail$data((0, Ir._)`!${(0, Ji.useFunc)(t, Wi.default)}(${r}, ${a})`) : e.fail((0, Ir._)`${o} !== ${r}`);
  }
};
un.default = Yi;
var dn = {};
Object.defineProperty(dn, "__esModule", { value: !0 });
const zt = X, Xi = V, Qi = Wt, Zi = {
  message: "must be equal to one of the allowed values",
  params: ({ schemaCode: e }) => (0, zt._)`{allowedValues: ${e}}`
}, xi = {
  keyword: "enum",
  schemaType: "array",
  $data: !0,
  error: Zi,
  code(e) {
    const { gen: t, data: r, $data: n, schema: a, schemaCode: o, it: c } = e;
    if (!n && a.length === 0)
      throw new Error("enum must have non-empty array");
    const d = a.length >= c.opts.loopEnum;
    let y;
    const l = () => y ?? (y = (0, Xi.useFunc)(t, Qi.default));
    let $;
    if (d || n)
      $ = t.let("valid"), e.block$data($, _);
    else {
      if (!Array.isArray(a))
        throw new Error("ajv implementation error");
      const T = t.const("vSchema", o);
      $ = (0, zt.or)(...a.map((b, O) => C(T, O)));
    }
    e.pass($);
    function _() {
      t.assign($, !1), t.forOf("v", o, (T) => t.if((0, zt._)`${l()}(${r}, ${T})`, () => t.assign($, !0).break()));
    }
    function C(T, b) {
      const O = a[b];
      return typeof O == "object" && O !== null ? (0, zt._)`${l()}(${r}, ${T}[${b}])` : (0, zt._)`${r} === ${O}`;
    }
  }
};
dn.default = xi;
Object.defineProperty(Zr, "__esModule", { value: !0 });
const ec = xr, tc = en, rc = tn, nc = nn, ac = an, sc = sn, oc = on, ic = cn, cc = un, uc = dn, dc = [
  // number
  ec.default,
  tc.default,
  // string
  rc.default,
  nc.default,
  // object
  ac.default,
  sc.default,
  // array
  oc.default,
  ic.default,
  // any
  { keyword: "type", schemaType: ["string", "array"] },
  { keyword: "nullable", schemaType: "boolean" },
  cc.default,
  uc.default
];
Zr.default = dc;
var ln = {}, Pt = {};
Object.defineProperty(Pt, "__esModule", { value: !0 });
Pt.validateAdditionalItems = void 0;
const it = X, kr = V, lc = {
  message: ({ params: { len: e } }) => (0, it.str)`must NOT have more than ${e} items`,
  params: ({ params: { len: e } }) => (0, it._)`{limit: ${e}}`
}, fc = {
  keyword: "additionalItems",
  type: "array",
  schemaType: ["boolean", "object"],
  before: "uniqueItems",
  error: lc,
  code(e) {
    const { parentSchema: t, it: r } = e, { items: n } = t;
    if (!Array.isArray(n)) {
      (0, kr.checkStrictMode)(r, '"additionalItems" is ignored when "items" is not an array of schemas');
      return;
    }
    Wa(e, n);
  }
};
function Wa(e, t) {
  const { gen: r, schema: n, data: a, keyword: o, it: c } = e;
  c.items = !0;
  const d = r.const("len", (0, it._)`${a}.length`);
  if (n === !1)
    e.setParams({ len: t.length }), e.pass((0, it._)`${d} <= ${t.length}`);
  else if (typeof n == "object" && !(0, kr.alwaysValidSchema)(c, n)) {
    const l = r.var("valid", (0, it._)`${d} <= ${t.length}`);
    r.if((0, it.not)(l), () => y(l)), e.ok(l);
  }
  function y(l) {
    r.forRange("i", t.length, d, ($) => {
      e.subschema({ keyword: o, dataProp: $, dataPropType: kr.Type.Num }, l), c.allErrors || r.if((0, it.not)(l), () => r.break());
    });
  }
}
Pt.validateAdditionalItems = Wa;
Pt.default = fc;
var fn = {}, Ot = {};
Object.defineProperty(Ot, "__esModule", { value: !0 });
Ot.validateTuple = void 0;
const xn = X, ir = V, hc = Q, mc = {
  keyword: "items",
  type: "array",
  schemaType: ["object", "array", "boolean"],
  before: "uniqueItems",
  code(e) {
    const { schema: t, it: r } = e;
    if (Array.isArray(t))
      return Ba(e, "additionalItems", t);
    r.items = !0, !(0, ir.alwaysValidSchema)(r, t) && e.ok((0, hc.validateArray)(e));
  }
};
function Ba(e, t, r = e.schema) {
  const { gen: n, parentSchema: a, data: o, keyword: c, it: d } = e;
  $(a), d.opts.unevaluated && r.length && d.items !== !0 && (d.items = ir.mergeEvaluated.items(n, r.length, d.items));
  const y = n.name("valid"), l = n.const("len", (0, xn._)`${o}.length`);
  r.forEach((_, C) => {
    (0, ir.alwaysValidSchema)(d, _) || (n.if((0, xn._)`${l} > ${C}`, () => e.subschema({
      keyword: c,
      schemaProp: C,
      dataProp: C
    }, y)), e.ok(y));
  });
  function $(_) {
    const { opts: C, errSchemaPath: T } = d, b = r.length, O = b === _.minItems && (b === _.maxItems || _[t] === !1);
    if (C.strictTuples && !O) {
      const g = `"${c}" is ${b}-tuple, but minItems or maxItems/${t} are not specified or different at path "${T}"`;
      (0, ir.checkStrictMode)(d, g, C.strictTuples);
    }
  }
}
Ot.validateTuple = Ba;
Ot.default = mc;
Object.defineProperty(fn, "__esModule", { value: !0 });
const pc = Ot, $c = {
  keyword: "prefixItems",
  type: "array",
  schemaType: ["array"],
  before: "uniqueItems",
  code: (e) => (0, pc.validateTuple)(e, "items")
};
fn.default = $c;
var hn = {};
Object.defineProperty(hn, "__esModule", { value: !0 });
const ea = X, yc = V, vc = Q, _c = Pt, gc = {
  message: ({ params: { len: e } }) => (0, ea.str)`must NOT have more than ${e} items`,
  params: ({ params: { len: e } }) => (0, ea._)`{limit: ${e}}`
}, Ec = {
  keyword: "items",
  type: "array",
  schemaType: ["object", "boolean"],
  before: "uniqueItems",
  error: gc,
  code(e) {
    const { schema: t, parentSchema: r, it: n } = e, { prefixItems: a } = r;
    n.items = !0, !(0, yc.alwaysValidSchema)(n, t) && (a ? (0, _c.validateAdditionalItems)(e, a) : e.ok((0, vc.validateArray)(e)));
  }
};
hn.default = Ec;
var mn = {};
Object.defineProperty(mn, "__esModule", { value: !0 });
const Te = X, er = V, wc = {
  message: ({ params: { min: e, max: t } }) => t === void 0 ? (0, Te.str)`must contain at least ${e} valid item(s)` : (0, Te.str)`must contain at least ${e} and no more than ${t} valid item(s)`,
  params: ({ params: { min: e, max: t } }) => t === void 0 ? (0, Te._)`{minContains: ${e}}` : (0, Te._)`{minContains: ${e}, maxContains: ${t}}`
}, bc = {
  keyword: "contains",
  type: "array",
  schemaType: ["object", "boolean"],
  before: "uniqueItems",
  trackErrors: !0,
  error: wc,
  code(e) {
    const { gen: t, schema: r, parentSchema: n, data: a, it: o } = e;
    let c, d;
    const { minContains: y, maxContains: l } = n;
    o.opts.next ? (c = y === void 0 ? 1 : y, d = l) : c = 1;
    const $ = t.const("len", (0, Te._)`${a}.length`);
    if (e.setParams({ min: c, max: d }), d === void 0 && c === 0) {
      (0, er.checkStrictMode)(o, '"minContains" == 0 without "maxContains": "contains" keyword ignored');
      return;
    }
    if (d !== void 0 && c > d) {
      (0, er.checkStrictMode)(o, '"minContains" > "maxContains" is always invalid'), e.fail();
      return;
    }
    if ((0, er.alwaysValidSchema)(o, r)) {
      let O = (0, Te._)`${$} >= ${c}`;
      d !== void 0 && (O = (0, Te._)`${O} && ${$} <= ${d}`), e.pass(O);
      return;
    }
    o.items = !0;
    const _ = t.name("valid");
    d === void 0 && c === 1 ? T(_, () => t.if(_, () => t.break())) : c === 0 ? (t.let(_, !0), d !== void 0 && t.if((0, Te._)`${a}.length > 0`, C)) : (t.let(_, !1), C()), e.result(_, () => e.reset());
    function C() {
      const O = t.name("_valid"), g = t.let("count", 0);
      T(O, () => t.if(O, () => b(g)));
    }
    function T(O, g) {
      t.forRange("i", 0, $, (h) => {
        e.subschema({
          keyword: "contains",
          dataProp: h,
          dataPropType: er.Type.Num,
          compositeRule: !0
        }, O), g();
      });
    }
    function b(O) {
      t.code((0, Te._)`${O}++`), d === void 0 ? t.if((0, Te._)`${O} >= ${c}`, () => t.assign(_, !0).break()) : (t.if((0, Te._)`${O} > ${d}`, () => t.assign(_, !1).break()), c === 1 ? t.assign(_, !0) : t.if((0, Te._)`${O} >= ${c}`, () => t.assign(_, !0)));
    }
  }
};
mn.default = bc;
var Ya = {};
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.validateSchemaDeps = e.validatePropertyDeps = e.error = void 0;
  const t = X, r = V, n = Q;
  e.error = {
    message: ({ params: { property: y, depsCount: l, deps: $ } }) => {
      const _ = l === 1 ? "property" : "properties";
      return (0, t.str)`must have ${_} ${$} when property ${y} is present`;
    },
    params: ({ params: { property: y, depsCount: l, deps: $, missingProperty: _ } }) => (0, t._)`{property: ${y},
    missingProperty: ${_},
    depsCount: ${l},
    deps: ${$}}`
    // TODO change to reference
  };
  const a = {
    keyword: "dependencies",
    type: "object",
    schemaType: "object",
    error: e.error,
    code(y) {
      const [l, $] = o(y);
      c(y, l), d(y, $);
    }
  };
  function o({ schema: y }) {
    const l = {}, $ = {};
    for (const _ in y) {
      if (_ === "__proto__")
        continue;
      const C = Array.isArray(y[_]) ? l : $;
      C[_] = y[_];
    }
    return [l, $];
  }
  function c(y, l = y.schema) {
    const { gen: $, data: _, it: C } = y;
    if (Object.keys(l).length === 0)
      return;
    const T = $.let("missing");
    for (const b in l) {
      const O = l[b];
      if (O.length === 0)
        continue;
      const g = (0, n.propertyInData)($, _, b, C.opts.ownProperties);
      y.setParams({
        property: b,
        depsCount: O.length,
        deps: O.join(", ")
      }), C.allErrors ? $.if(g, () => {
        for (const h of O)
          (0, n.checkReportMissingProp)(y, h);
      }) : ($.if((0, t._)`${g} && (${(0, n.checkMissingProp)(y, O, T)})`), (0, n.reportMissingProp)(y, T), $.else());
    }
  }
  e.validatePropertyDeps = c;
  function d(y, l = y.schema) {
    const { gen: $, data: _, keyword: C, it: T } = y, b = $.name("valid");
    for (const O in l)
      (0, r.alwaysValidSchema)(T, l[O]) || ($.if(
        (0, n.propertyInData)($, _, O, T.opts.ownProperties),
        () => {
          const g = y.subschema({ keyword: C, schemaProp: O }, b);
          y.mergeValidEvaluated(g, b);
        },
        () => $.var(b, !0)
        // TODO var
      ), y.ok(b));
  }
  e.validateSchemaDeps = d, e.default = a;
})(Ya);
var pn = {};
Object.defineProperty(pn, "__esModule", { value: !0 });
const Xa = X, Sc = V, Pc = {
  message: "property name must be valid",
  params: ({ params: e }) => (0, Xa._)`{propertyName: ${e.propertyName}}`
}, Oc = {
  keyword: "propertyNames",
  type: "object",
  schemaType: ["object", "boolean"],
  error: Pc,
  code(e) {
    const { gen: t, schema: r, data: n, it: a } = e;
    if ((0, Sc.alwaysValidSchema)(a, r))
      return;
    const o = t.name("valid");
    t.forIn("key", n, (c) => {
      e.setParams({ propertyName: c }), e.subschema({
        keyword: "propertyNames",
        data: c,
        dataTypes: ["string"],
        propertyName: c,
        compositeRule: !0
      }, o), t.if((0, Xa.not)(o), () => {
        e.error(!0), a.allErrors || t.break();
      });
    }), e.ok(o);
  }
};
pn.default = Oc;
var yr = {};
Object.defineProperty(yr, "__esModule", { value: !0 });
const tr = Q, Re = X, Nc = ke, rr = V, Tc = {
  message: "must NOT have additional properties",
  params: ({ params: e }) => (0, Re._)`{additionalProperty: ${e.additionalProperty}}`
}, Cc = {
  keyword: "additionalProperties",
  type: ["object"],
  schemaType: ["boolean", "object"],
  allowUndefined: !0,
  trackErrors: !0,
  error: Tc,
  code(e) {
    const { gen: t, schema: r, parentSchema: n, data: a, errsCount: o, it: c } = e;
    if (!o)
      throw new Error("ajv implementation error");
    const { allErrors: d, opts: y } = c;
    if (c.props = !0, y.removeAdditional !== "all" && (0, rr.alwaysValidSchema)(c, r))
      return;
    const l = (0, tr.allSchemaProperties)(n.properties), $ = (0, tr.allSchemaProperties)(n.patternProperties);
    _(), e.ok((0, Re._)`${o} === ${Nc.default.errors}`);
    function _() {
      t.forIn("key", a, (g) => {
        !l.length && !$.length ? b(g) : t.if(C(g), () => b(g));
      });
    }
    function C(g) {
      let h;
      if (l.length > 8) {
        const m = (0, rr.schemaRefOrVal)(c, n.properties, "properties");
        h = (0, tr.isOwnProperty)(t, m, g);
      } else
        l.length ? h = (0, Re.or)(...l.map((m) => (0, Re._)`${g} === ${m}`)) : h = Re.nil;
      return $.length && (h = (0, Re.or)(h, ...$.map((m) => (0, Re._)`${(0, tr.usePattern)(e, m)}.test(${g})`))), (0, Re.not)(h);
    }
    function T(g) {
      t.code((0, Re._)`delete ${a}[${g}]`);
    }
    function b(g) {
      if (y.removeAdditional === "all" || y.removeAdditional && r === !1) {
        T(g);
        return;
      }
      if (r === !1) {
        e.setParams({ additionalProperty: g }), e.error(), d || t.break();
        return;
      }
      if (typeof r == "object" && !(0, rr.alwaysValidSchema)(c, r)) {
        const h = t.name("valid");
        y.removeAdditional === "failing" ? (O(g, h, !1), t.if((0, Re.not)(h), () => {
          e.reset(), T(g);
        })) : (O(g, h), d || t.if((0, Re.not)(h), () => t.break()));
      }
    }
    function O(g, h, m) {
      const R = {
        keyword: "additionalProperties",
        dataProp: g,
        dataPropType: rr.Type.Str
      };
      m === !1 && Object.assign(R, {
        compositeRule: !0,
        createErrors: !1,
        allErrors: !1
      }), e.subschema(R, h);
    }
  }
};
yr.default = Cc;
var $n = {};
Object.defineProperty($n, "__esModule", { value: !0 });
const jc = Ce, ta = Q, Sr = V, ra = yr, Rc = {
  keyword: "properties",
  type: "object",
  schemaType: "object",
  code(e) {
    const { gen: t, schema: r, parentSchema: n, data: a, it: o } = e;
    o.opts.removeAdditional === "all" && n.additionalProperties === void 0 && ra.default.code(new jc.KeywordCxt(o, ra.default, "additionalProperties"));
    const c = (0, ta.allSchemaProperties)(r);
    for (const _ of c)
      o.definedProperties.add(_);
    o.opts.unevaluated && c.length && o.props !== !0 && (o.props = Sr.mergeEvaluated.props(t, (0, Sr.toHash)(c), o.props));
    const d = c.filter((_) => !(0, Sr.alwaysValidSchema)(o, r[_]));
    if (d.length === 0)
      return;
    const y = t.name("valid");
    for (const _ of d)
      l(_) ? $(_) : (t.if((0, ta.propertyInData)(t, a, _, o.opts.ownProperties)), $(_), o.allErrors || t.else().var(y, !0), t.endIf()), e.it.definedProperties.add(_), e.ok(y);
    function l(_) {
      return o.opts.useDefaults && !o.compositeRule && r[_].default !== void 0;
    }
    function $(_) {
      e.subschema({
        keyword: "properties",
        schemaProp: _,
        dataProp: _
      }, y);
    }
  }
};
$n.default = Rc;
var yn = {};
Object.defineProperty(yn, "__esModule", { value: !0 });
const na = Q, nr = X, aa = V, sa = V, Ic = {
  keyword: "patternProperties",
  type: "object",
  schemaType: "object",
  code(e) {
    const { gen: t, schema: r, data: n, parentSchema: a, it: o } = e, { opts: c } = o, d = (0, na.allSchemaProperties)(r), y = d.filter((O) => (0, aa.alwaysValidSchema)(o, r[O]));
    if (d.length === 0 || y.length === d.length && (!o.opts.unevaluated || o.props === !0))
      return;
    const l = c.strictSchema && !c.allowMatchingProperties && a.properties, $ = t.name("valid");
    o.props !== !0 && !(o.props instanceof nr.Name) && (o.props = (0, sa.evaluatedPropsToName)(t, o.props));
    const { props: _ } = o;
    C();
    function C() {
      for (const O of d)
        l && T(O), o.allErrors ? b(O) : (t.var($, !0), b(O), t.if($));
    }
    function T(O) {
      for (const g in l)
        new RegExp(O).test(g) && (0, aa.checkStrictMode)(o, `property ${g} matches pattern ${O} (use allowMatchingProperties)`);
    }
    function b(O) {
      t.forIn("key", n, (g) => {
        t.if((0, nr._)`${(0, na.usePattern)(e, O)}.test(${g})`, () => {
          const h = y.includes(O);
          h || e.subschema({
            keyword: "patternProperties",
            schemaProp: O,
            dataProp: g,
            dataPropType: sa.Type.Str
          }, $), o.opts.unevaluated && _ !== !0 ? t.assign((0, nr._)`${_}[${g}]`, !0) : !h && !o.allErrors && t.if((0, nr.not)($), () => t.break());
        });
      });
    }
  }
};
yn.default = Ic;
var vn = {};
Object.defineProperty(vn, "__esModule", { value: !0 });
const kc = V, Dc = {
  keyword: "not",
  schemaType: ["object", "boolean"],
  trackErrors: !0,
  code(e) {
    const { gen: t, schema: r, it: n } = e;
    if ((0, kc.alwaysValidSchema)(n, r)) {
      e.fail();
      return;
    }
    const a = t.name("valid");
    e.subschema({
      keyword: "not",
      compositeRule: !0,
      createErrors: !1,
      allErrors: !1
    }, a), e.failResult(a, () => e.reset(), () => e.error());
  },
  error: { message: "must NOT be valid" }
};
vn.default = Dc;
var _n = {};
Object.defineProperty(_n, "__esModule", { value: !0 });
const Ac = Q, Mc = {
  keyword: "anyOf",
  schemaType: "array",
  trackErrors: !0,
  code: Ac.validateUnion,
  error: { message: "must match a schema in anyOf" }
};
_n.default = Mc;
var gn = {};
Object.defineProperty(gn, "__esModule", { value: !0 });
const cr = X, Vc = V, Fc = {
  message: "must match exactly one schema in oneOf",
  params: ({ params: e }) => (0, cr._)`{passingSchemas: ${e.passing}}`
}, zc = {
  keyword: "oneOf",
  schemaType: "array",
  trackErrors: !0,
  error: Fc,
  code(e) {
    const { gen: t, schema: r, parentSchema: n, it: a } = e;
    if (!Array.isArray(r))
      throw new Error("ajv implementation error");
    if (a.opts.discriminator && n.discriminator)
      return;
    const o = r, c = t.let("valid", !1), d = t.let("passing", null), y = t.name("_valid");
    e.setParams({ passing: d }), t.block(l), e.result(c, () => e.reset(), () => e.error(!0));
    function l() {
      o.forEach(($, _) => {
        let C;
        (0, Vc.alwaysValidSchema)(a, $) ? t.var(y, !0) : C = e.subschema({
          keyword: "oneOf",
          schemaProp: _,
          compositeRule: !0
        }, y), _ > 0 && t.if((0, cr._)`${y} && ${c}`).assign(c, !1).assign(d, (0, cr._)`[${d}, ${_}]`).else(), t.if(y, () => {
          t.assign(c, !0), t.assign(d, _), C && e.mergeEvaluated(C, cr.Name);
        });
      });
    }
  }
};
gn.default = zc;
var En = {};
Object.defineProperty(En, "__esModule", { value: !0 });
const Uc = V, qc = {
  keyword: "allOf",
  schemaType: "array",
  code(e) {
    const { gen: t, schema: r, it: n } = e;
    if (!Array.isArray(r))
      throw new Error("ajv implementation error");
    const a = t.name("valid");
    r.forEach((o, c) => {
      if ((0, Uc.alwaysValidSchema)(n, o))
        return;
      const d = e.subschema({ keyword: "allOf", schemaProp: c }, a);
      e.ok(a), e.mergeEvaluated(d);
    });
  }
};
En.default = qc;
var wn = {};
Object.defineProperty(wn, "__esModule", { value: !0 });
const hr = X, Qa = V, Kc = {
  message: ({ params: e }) => (0, hr.str)`must match "${e.ifClause}" schema`,
  params: ({ params: e }) => (0, hr._)`{failingKeyword: ${e.ifClause}}`
}, Lc = {
  keyword: "if",
  schemaType: ["object", "boolean"],
  trackErrors: !0,
  error: Kc,
  code(e) {
    const { gen: t, parentSchema: r, it: n } = e;
    r.then === void 0 && r.else === void 0 && (0, Qa.checkStrictMode)(n, '"if" without "then" and "else" is ignored');
    const a = oa(n, "then"), o = oa(n, "else");
    if (!a && !o)
      return;
    const c = t.let("valid", !0), d = t.name("_valid");
    if (y(), e.reset(), a && o) {
      const $ = t.let("ifClause");
      e.setParams({ ifClause: $ }), t.if(d, l("then", $), l("else", $));
    } else
      a ? t.if(d, l("then")) : t.if((0, hr.not)(d), l("else"));
    e.pass(c, () => e.error(!0));
    function y() {
      const $ = e.subschema({
        keyword: "if",
        compositeRule: !0,
        createErrors: !1,
        allErrors: !1
      }, d);
      e.mergeEvaluated($);
    }
    function l($, _) {
      return () => {
        const C = e.subschema({ keyword: $ }, d);
        t.assign(c, d), e.mergeValidEvaluated(C, c), _ ? t.assign(_, (0, hr._)`${$}`) : e.setParams({ ifClause: $ });
      };
    }
  }
};
function oa(e, t) {
  const r = e.schema[t];
  return r !== void 0 && !(0, Qa.alwaysValidSchema)(e, r);
}
wn.default = Lc;
var bn = {};
Object.defineProperty(bn, "__esModule", { value: !0 });
const Hc = V, Gc = {
  keyword: ["then", "else"],
  schemaType: ["object", "boolean"],
  code({ keyword: e, parentSchema: t, it: r }) {
    t.if === void 0 && (0, Hc.checkStrictMode)(r, `"${e}" without "if" is ignored`);
  }
};
bn.default = Gc;
Object.defineProperty(ln, "__esModule", { value: !0 });
const Jc = Pt, Wc = fn, Bc = Ot, Yc = hn, Xc = mn, Qc = Ya, Zc = pn, xc = yr, eu = $n, tu = yn, ru = vn, nu = _n, au = gn, su = En, ou = wn, iu = bn;
function cu(e = !1) {
  const t = [
    // any
    ru.default,
    nu.default,
    au.default,
    su.default,
    ou.default,
    iu.default,
    // object
    Zc.default,
    xc.default,
    Qc.default,
    eu.default,
    tu.default
  ];
  return e ? t.push(Wc.default, Yc.default) : t.push(Jc.default, Bc.default), t.push(Xc.default), t;
}
ln.default = cu;
var Sn = {}, Pn = {};
Object.defineProperty(Pn, "__esModule", { value: !0 });
const me = X, uu = {
  message: ({ schemaCode: e }) => (0, me.str)`must match format "${e}"`,
  params: ({ schemaCode: e }) => (0, me._)`{format: ${e}}`
}, du = {
  keyword: "format",
  type: ["number", "string"],
  schemaType: "string",
  $data: !0,
  error: uu,
  code(e, t) {
    const { gen: r, data: n, $data: a, schema: o, schemaCode: c, it: d } = e, { opts: y, errSchemaPath: l, schemaEnv: $, self: _ } = d;
    if (!y.validateFormats)
      return;
    a ? C() : T();
    function C() {
      const b = r.scopeValue("formats", {
        ref: _.formats,
        code: y.code.formats
      }), O = r.const("fDef", (0, me._)`${b}[${c}]`), g = r.let("fType"), h = r.let("format");
      r.if((0, me._)`typeof ${O} == "object" && !(${O} instanceof RegExp)`, () => r.assign(g, (0, me._)`${O}.type || "string"`).assign(h, (0, me._)`${O}.validate`), () => r.assign(g, (0, me._)`"string"`).assign(h, O)), e.fail$data((0, me.or)(m(), R()));
      function m() {
        return y.strictSchema === !1 ? me.nil : (0, me._)`${c} && !${h}`;
      }
      function R() {
        const k = $.$async ? (0, me._)`(${O}.async ? await ${h}(${n}) : ${h}(${n}))` : (0, me._)`${h}(${n})`, M = (0, me._)`(typeof ${h} == "function" ? ${k} : ${h}.test(${n}))`;
        return (0, me._)`${h} && ${h} !== true && ${g} === ${t} && !${M}`;
      }
    }
    function T() {
      const b = _.formats[o];
      if (!b) {
        m();
        return;
      }
      if (b === !0)
        return;
      const [O, g, h] = R(b);
      O === t && e.pass(k());
      function m() {
        if (y.strictSchema === !1) {
          _.logger.warn(M());
          return;
        }
        throw new Error(M());
        function M() {
          return `unknown format "${o}" ignored in schema at path "${l}"`;
        }
      }
      function R(M) {
        const B = M instanceof RegExp ? (0, me.regexpCode)(M) : y.code.formats ? (0, me._)`${y.code.formats}${(0, me.getProperty)(o)}` : void 0, te = r.scopeValue("formats", { key: o, ref: M, code: B });
        return typeof M == "object" && !(M instanceof RegExp) ? [M.type || "string", M.validate, (0, me._)`${te}.validate`] : ["string", M, te];
      }
      function k() {
        if (typeof b == "object" && !(b instanceof RegExp) && b.async) {
          if (!$.$async)
            throw new Error("async format in sync schema");
          return (0, me._)`await ${h}(${n})`;
        }
        return typeof g == "function" ? (0, me._)`${h}(${n})` : (0, me._)`${h}.test(${n})`;
      }
    }
  }
};
Pn.default = du;
Object.defineProperty(Sn, "__esModule", { value: !0 });
const lu = Pn, fu = [lu.default];
Sn.default = fu;
var bt = {};
Object.defineProperty(bt, "__esModule", { value: !0 });
bt.contentVocabulary = bt.metadataVocabulary = void 0;
bt.metadataVocabulary = [
  "title",
  "description",
  "default",
  "deprecated",
  "readOnly",
  "writeOnly",
  "examples"
];
bt.contentVocabulary = [
  "contentMediaType",
  "contentEncoding",
  "contentSchema"
];
Object.defineProperty(Yr, "__esModule", { value: !0 });
const hu = Xr, mu = Zr, pu = ln, $u = Sn, ia = bt, yu = [
  hu.default,
  mu.default,
  (0, pu.default)(),
  $u.default,
  ia.metadataVocabulary,
  ia.contentVocabulary
];
Yr.default = yu;
var On = {}, vr = {};
Object.defineProperty(vr, "__esModule", { value: !0 });
vr.DiscrError = void 0;
var ca;
(function(e) {
  e.Tag = "tag", e.Mapping = "mapping";
})(ca || (vr.DiscrError = ca = {}));
Object.defineProperty(On, "__esModule", { value: !0 });
const vt = X, Dr = vr, ua = Se, vu = V, _u = {
  message: ({ params: { discrError: e, tagName: t } }) => e === Dr.DiscrError.Tag ? `tag "${t}" must be string` : `value of tag "${t}" must be in oneOf`,
  params: ({ params: { discrError: e, tag: t, tagName: r } }) => (0, vt._)`{error: ${e}, tag: ${r}, tagValue: ${t}}`
}, gu = {
  keyword: "discriminator",
  type: "object",
  schemaType: "object",
  error: _u,
  code(e) {
    const { gen: t, data: r, schema: n, parentSchema: a, it: o } = e, { oneOf: c } = a;
    if (!o.opts.discriminator)
      throw new Error("discriminator: requires discriminator option");
    const d = n.propertyName;
    if (typeof d != "string")
      throw new Error("discriminator: requires propertyName");
    if (n.mapping)
      throw new Error("discriminator: mapping is not supported");
    if (!c)
      throw new Error("discriminator: requires oneOf keyword");
    const y = t.let("valid", !1), l = t.const("tag", (0, vt._)`${r}${(0, vt.getProperty)(d)}`);
    t.if((0, vt._)`typeof ${l} == "string"`, () => $(), () => e.error(!1, { discrError: Dr.DiscrError.Tag, tag: l, tagName: d })), e.ok(y);
    function $() {
      const T = C();
      t.if(!1);
      for (const b in T)
        t.elseIf((0, vt._)`${l} === ${b}`), t.assign(y, _(T[b]));
      t.else(), e.error(!1, { discrError: Dr.DiscrError.Mapping, tag: l, tagName: d }), t.endIf();
    }
    function _(T) {
      const b = t.name("valid"), O = e.subschema({ keyword: "oneOf", schemaProp: T }, b);
      return e.mergeEvaluated(O, vt.Name), b;
    }
    function C() {
      var T;
      const b = {}, O = h(a);
      let g = !0;
      for (let k = 0; k < c.length; k++) {
        let M = c[k];
        M != null && M.$ref && !(0, vu.schemaHasRulesButRef)(M, o.self.RULES) && (M = ua.resolveRef.call(o.self, o.schemaEnv.root, o.baseId, M == null ? void 0 : M.$ref), M instanceof ua.SchemaEnv && (M = M.schema));
        const B = (T = M == null ? void 0 : M.properties) === null || T === void 0 ? void 0 : T[d];
        if (typeof B != "object")
          throw new Error(`discriminator: oneOf subschemas (or referenced schemas) must have "properties/${d}"`);
        g = g && (O || h(M)), m(B, k);
      }
      if (!g)
        throw new Error(`discriminator: "${d}" must be required`);
      return b;
      function h({ required: k }) {
        return Array.isArray(k) && k.includes(d);
      }
      function m(k, M) {
        if (k.const)
          R(k.const, M);
        else if (k.enum)
          for (const B of k.enum)
            R(B, M);
        else
          throw new Error(`discriminator: "properties/${d}" must have "const" or "enum"`);
      }
      function R(k, M) {
        if (typeof k != "string" || k in b)
          throw new Error(`discriminator: "${d}" values must be unique strings`);
        b[k] = M;
      }
    }
  }
};
On.default = gu;
const Eu = "http://json-schema.org/draft-07/schema#", wu = "http://json-schema.org/draft-07/schema#", bu = "Core schema meta-schema", Su = {
  schemaArray: {
    type: "array",
    minItems: 1,
    items: {
      $ref: "#"
    }
  },
  nonNegativeInteger: {
    type: "integer",
    minimum: 0
  },
  nonNegativeIntegerDefault0: {
    allOf: [
      {
        $ref: "#/definitions/nonNegativeInteger"
      },
      {
        default: 0
      }
    ]
  },
  simpleTypes: {
    enum: [
      "array",
      "boolean",
      "integer",
      "null",
      "number",
      "object",
      "string"
    ]
  },
  stringArray: {
    type: "array",
    items: {
      type: "string"
    },
    uniqueItems: !0,
    default: []
  }
}, Pu = [
  "object",
  "boolean"
], Ou = {
  $id: {
    type: "string",
    format: "uri-reference"
  },
  $schema: {
    type: "string",
    format: "uri"
  },
  $ref: {
    type: "string",
    format: "uri-reference"
  },
  $comment: {
    type: "string"
  },
  title: {
    type: "string"
  },
  description: {
    type: "string"
  },
  default: !0,
  readOnly: {
    type: "boolean",
    default: !1
  },
  examples: {
    type: "array",
    items: !0
  },
  multipleOf: {
    type: "number",
    exclusiveMinimum: 0
  },
  maximum: {
    type: "number"
  },
  exclusiveMaximum: {
    type: "number"
  },
  minimum: {
    type: "number"
  },
  exclusiveMinimum: {
    type: "number"
  },
  maxLength: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minLength: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  pattern: {
    type: "string",
    format: "regex"
  },
  additionalItems: {
    $ref: "#"
  },
  items: {
    anyOf: [
      {
        $ref: "#"
      },
      {
        $ref: "#/definitions/schemaArray"
      }
    ],
    default: !0
  },
  maxItems: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minItems: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  uniqueItems: {
    type: "boolean",
    default: !1
  },
  contains: {
    $ref: "#"
  },
  maxProperties: {
    $ref: "#/definitions/nonNegativeInteger"
  },
  minProperties: {
    $ref: "#/definitions/nonNegativeIntegerDefault0"
  },
  required: {
    $ref: "#/definitions/stringArray"
  },
  additionalProperties: {
    $ref: "#"
  },
  definitions: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    default: {}
  },
  properties: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    default: {}
  },
  patternProperties: {
    type: "object",
    additionalProperties: {
      $ref: "#"
    },
    propertyNames: {
      format: "regex"
    },
    default: {}
  },
  dependencies: {
    type: "object",
    additionalProperties: {
      anyOf: [
        {
          $ref: "#"
        },
        {
          $ref: "#/definitions/stringArray"
        }
      ]
    }
  },
  propertyNames: {
    $ref: "#"
  },
  const: !0,
  enum: {
    type: "array",
    items: !0,
    minItems: 1,
    uniqueItems: !0
  },
  type: {
    anyOf: [
      {
        $ref: "#/definitions/simpleTypes"
      },
      {
        type: "array",
        items: {
          $ref: "#/definitions/simpleTypes"
        },
        minItems: 1,
        uniqueItems: !0
      }
    ]
  },
  format: {
    type: "string"
  },
  contentMediaType: {
    type: "string"
  },
  contentEncoding: {
    type: "string"
  },
  if: {
    $ref: "#"
  },
  then: {
    $ref: "#"
  },
  else: {
    $ref: "#"
  },
  allOf: {
    $ref: "#/definitions/schemaArray"
  },
  anyOf: {
    $ref: "#/definitions/schemaArray"
  },
  oneOf: {
    $ref: "#/definitions/schemaArray"
  },
  not: {
    $ref: "#"
  }
}, Nu = {
  $schema: Eu,
  $id: wu,
  title: bu,
  definitions: Su,
  type: Pu,
  properties: Ou,
  default: !0
};
(function(e, t) {
  Object.defineProperty(t, "__esModule", { value: !0 }), t.MissingRefError = t.ValidationError = t.CodeGen = t.Name = t.nil = t.stringify = t.str = t._ = t.KeywordCxt = t.Ajv = void 0;
  const r = da, n = Yr, a = On, o = Nu, c = ["/properties"], d = "http://json-schema.org/draft-07/schema";
  class y extends r.default {
    _addVocabularies() {
      super._addVocabularies(), n.default.forEach((b) => this.addVocabulary(b)), this.opts.discriminator && this.addKeyword(a.default);
    }
    _addDefaultMetaSchema() {
      if (super._addDefaultMetaSchema(), !this.opts.meta)
        return;
      const b = this.opts.$data ? this.$dataMetaSchema(o, c) : o;
      this.addMetaSchema(b, d, !1), this.refs["http://json-schema.org/schema"] = d;
    }
    defaultMeta() {
      return this.opts.defaultMeta = super.defaultMeta() || (this.getSchema(d) ? d : void 0);
    }
  }
  t.Ajv = y, e.exports = t = y, e.exports.Ajv = y, Object.defineProperty(t, "__esModule", { value: !0 }), t.default = y;
  var l = Ce;
  Object.defineProperty(t, "KeywordCxt", { enumerable: !0, get: function() {
    return l.KeywordCxt;
  } });
  var $ = X;
  Object.defineProperty(t, "_", { enumerable: !0, get: function() {
    return $._;
  } }), Object.defineProperty(t, "str", { enumerable: !0, get: function() {
    return $.str;
  } }), Object.defineProperty(t, "stringify", { enumerable: !0, get: function() {
    return $.stringify;
  } }), Object.defineProperty(t, "nil", { enumerable: !0, get: function() {
    return $.nil;
  } }), Object.defineProperty(t, "Name", { enumerable: !0, get: function() {
    return $.Name;
  } }), Object.defineProperty(t, "CodeGen", { enumerable: !0, get: function() {
    return $.CodeGen;
  } });
  var _ = Gt;
  Object.defineProperty(t, "ValidationError", { enumerable: !0, get: function() {
    return _.default;
  } });
  var C = Jt;
  Object.defineProperty(t, "MissingRefError", { enumerable: !0, get: function() {
    return C.default;
  } });
})(Or, Or.exports);
var Nn = Or.exports;
const Tu = /* @__PURE__ */ Vr(Nn);
var Ar = { exports: {} };
(function(e, t) {
  Object.defineProperty(t, "__esModule", { value: !0 });
  const r = Nn, n = X, a = wt, o = Ce, c = St, d = ke, y = "errorMessage", l = new r.Name("emUsed"), $ = {
    required: "missingProperty",
    dependencies: "property",
    dependentRequired: "property"
  }, _ = /\$\{[^}]+\}/, C = /\$\{([^}]+)\}/g, T = /^""\s*\+\s*|\s*\+\s*""$/g;
  function b(g) {
    return {
      keyword: y,
      schemaType: ["string", "object"],
      post: !0,
      code(h) {
        const { gen: m, data: R, schema: k, schemaValue: M, it: B } = h;
        if (B.createErrors === !1)
          return;
        const te = k, ce = n.strConcat(d.default.instancePath, B.errorPath);
        m.if(r._`${d.default.errors} > 0`, () => {
          if (typeof te == "object") {
            const [v, s] = q(te);
            s && L(s), v && H(v), ne(D(te));
          }
          const w = typeof te == "string" ? te : te._;
          w && re(w), g.keepErrors || Ee();
        });
        function D({ properties: w, items: v }) {
          const s = {};
          if (w) {
            s.props = {};
            for (const u in w)
              s.props[u] = [];
          }
          if (v) {
            s.items = {};
            for (let u = 0; u < v.length; u++)
              s.items[u] = [];
          }
          return s;
        }
        function q(w) {
          let v, s;
          for (const u in w) {
            if (u === "properties" || u === "items")
              continue;
            const S = w[u];
            if (typeof S == "object") {
              v || (v = {});
              const I = v[u] = {};
              for (const j in S)
                I[j] = [];
            } else
              s || (s = {}), s[u] = [];
          }
          return [v, s];
        }
        function L(w) {
          const v = m.const("emErrors", r.stringify(w)), s = m.const("templates", Ae(w, k));
          m.forOf("err", d.default.vErrors, (j) => m.if(De(j, v), () => m.code(r._`${v}[${j}.keyword].push(${j})`).assign(r._`${j}.${l}`, !0)));
          const { singleError: u } = g;
          if (u) {
            const j = m.let("message", r._`""`), F = m.let("paramsErrors", r._`[]`);
            S((G) => {
              m.if(j, () => m.code(r._`${j} += ${typeof u == "string" ? u : ";"}`)), m.code(r._`${j} += ${I(G)}`), m.assign(F, r._`${F}.concat(${v}[${G}])`);
            }), c.reportError(h, { message: j, params: r._`{errors: ${F}}` });
          } else
            S((j) => c.reportError(h, {
              message: I(j),
              params: r._`{errors: ${v}[${j}]}`
            }));
          function S(j) {
            m.forIn("key", v, (F) => m.if(r._`${v}[${F}].length`, () => j(F)));
          }
          function I(j) {
            return r._`${j} in ${s} ? ${s}[${j}]() : ${M}[${j}]`;
          }
        }
        function H(w) {
          const v = m.const("emErrors", r.stringify(w)), s = [];
          for (const F in w)
            s.push([
              F,
              Ae(w[F], k[F])
            ]);
          const u = m.const("templates", m.object(...s)), S = m.scopeValue("obj", {
            ref: $,
            code: r.stringify($)
          }), I = m.let("emPropParams"), j = m.let("emParamsErrors");
          m.forOf("err", d.default.vErrors, (F) => m.if(De(F, v), () => {
            m.assign(I, r._`${S}[${F}.keyword]`), m.assign(j, r._`${v}[${F}.keyword][${F}.params[${I}]]`), m.if(j, () => m.code(r._`${j}.push(${F})`).assign(r._`${F}.${l}`, !0));
          })), m.forIn("key", v, (F) => m.forIn("keyProp", r._`${v}[${F}]`, (G) => {
            m.assign(j, r._`${v}[${F}][${G}]`), m.if(r._`${j}.length`, () => {
              const ee = m.const("tmpl", r._`${u}[${F}] && ${u}[${F}][${G}]`);
              c.reportError(h, {
                message: r._`${ee} ? ${ee}() : ${M}[${F}][${G}]`,
                params: r._`{errors: ${j}}`
              });
            });
          }));
        }
        function ne(w) {
          const { props: v, items: s } = w;
          if (!v && !s)
            return;
          const u = r._`typeof ${R} == "object"`, S = r._`Array.isArray(${R})`, I = m.let("emErrors");
          let j, F;
          const G = m.let("templates");
          v && s ? (j = m.let("emChildKwd"), m.if(u), m.if(S, () => {
            ee(s, k.items), m.assign(j, r.str`items`);
          }, () => {
            ee(v, k.properties), m.assign(j, r.str`properties`);
          }), F = r._`[${j}]`) : s ? (m.if(S), ee(s, k.items), F = r._`.items`) : v && (m.if(n.and(u, n.not(S))), ee(v, k.properties), F = r._`.properties`), m.forOf("err", d.default.vErrors, (ue) => We(ue, I, (Me) => m.code(r._`${I}[${Me}].push(${ue})`).assign(r._`${ue}.${l}`, !0))), m.forIn("key", I, (ue) => m.if(r._`${I}[${ue}].length`, () => {
            c.reportError(h, {
              message: r._`${ue} in ${G} ? ${G}[${ue}]() : ${M}${F}[${ue}]`,
              params: r._`{errors: ${I}[${ue}]}`
            }), m.assign(r._`${d.default.vErrors}[${d.default.errors}-1].instancePath`, r._`${ce} + "/" + ${ue}.replace(/~/g, "~0").replace(/\\//g, "~1")`);
          })), m.endIf();
          function ee(ue, Me) {
            m.assign(I, r.stringify(ue)), m.assign(G, Ae(ue, Me));
          }
        }
        function re(w) {
          const v = m.const("emErrs", r._`[]`);
          m.forOf("err", d.default.vErrors, (s) => m.if(xe(s), () => m.code(r._`${v}.push(${s})`).assign(r._`${s}.${l}`, !0))), m.if(r._`${v}.length`, () => c.reportError(h, {
            message: A(w),
            params: r._`{errors: ${v}}`
          }));
        }
        function Ee() {
          const w = m.const("emErrs", r._`[]`);
          m.forOf("err", d.default.vErrors, (v) => m.if(r._`!${v}.${l}`, () => m.code(r._`${w}.push(${v})`))), m.assign(d.default.vErrors, w).assign(d.default.errors, r._`${w}.length`);
        }
        function De(w, v) {
          return n.and(
            r._`${w}.keyword !== ${y}`,
            r._`!${w}.${l}`,
            r._`${w}.instancePath === ${ce}`,
            r._`${w}.keyword in ${v}`,
            // TODO match the end of the string?
            r._`${w}.schemaPath.indexOf(${B.errSchemaPath}) === 0`,
            r._`/^\\/[^\\/]*$/.test(${w}.schemaPath.slice(${B.errSchemaPath.length}))`
          );
        }
        function We(w, v, s) {
          m.if(n.and(r._`${w}.keyword !== ${y}`, r._`!${w}.${l}`, r._`${w}.instancePath.indexOf(${ce}) === 0`), () => {
            const u = m.scopeValue("pattern", {
              ref: /^\/([^/]*)(?:\/|$)/,
              code: r._`new RegExp("^\\\/([^/]*)(?:\\\/|$)")`
            }), S = m.const("emMatches", r._`${u}.exec(${w}.instancePath.slice(${ce}.length))`), I = m.const("emChild", r._`${S} && ${S}[1].replace(/~1/g, "/").replace(/~0/g, "~")`);
            m.if(r._`${I} !== undefined && ${I} in ${v}`, () => s(I));
          });
        }
        function xe(w) {
          return n.and(r._`${w}.keyword !== ${y}`, r._`!${w}.${l}`, n.or(r._`${w}.instancePath === ${ce}`, n.and(r._`${w}.instancePath.indexOf(${ce}) === 0`, r._`${w}.instancePath[${ce}.length] === "/"`)), r._`${w}.schemaPath.indexOf(${B.errSchemaPath}) === 0`, r._`${w}.schemaPath[${B.errSchemaPath}.length] === "/"`);
        }
        function Ae(w, v) {
          const s = [];
          for (const u in w) {
            const S = v[u];
            _.test(S) && s.push([u, E(S)]);
          }
          return m.object(...s);
        }
        function A(w) {
          return _.test(w) ? new a._Code(a.safeStringify(w).replace(C, (v, s) => `" + JSON.stringify(${o.getData(s, B)}) + "`).replace(T, "")) : r.stringify(w);
        }
        function E(w) {
          return r._`function(){return ${A(w)}}`;
        }
      },
      metaSchema: {
        anyOf: [
          { type: "string" },
          {
            type: "object",
            properties: {
              properties: { $ref: "#/$defs/stringMap" },
              items: { $ref: "#/$defs/stringList" },
              required: { $ref: "#/$defs/stringOrMap" },
              dependencies: { $ref: "#/$defs/stringOrMap" }
            },
            additionalProperties: { type: "string" }
          }
        ],
        $defs: {
          stringMap: {
            type: "object",
            additionalProperties: { type: "string" }
          },
          stringOrMap: {
            anyOf: [{ type: "string" }, { $ref: "#/$defs/stringMap" }]
          },
          stringList: { type: "array", items: { type: "string" } }
        }
      }
    };
  }
  const O = (g, h = {}) => {
    if (!g.opts.allErrors)
      throw new Error("ajv-errors: Ajv option allErrors must be true");
    if (g.opts.jsPropertySyntax)
      throw new Error("ajv-errors: ajv option jsPropertySyntax is not supported");
    return g.addKeyword(b(h));
  };
  t.default = O, e.exports = O, e.exports.default = O;
})(Ar, Ar.exports);
var Cu = Ar.exports;
const ju = /* @__PURE__ */ Vr(Cu);
var Mr = { exports: {} }, Za = {};
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.formatNames = e.fastFormats = e.fullFormats = void 0;
  function t(D, q) {
    return { validate: D, compare: q };
  }
  e.fullFormats = {
    // date: http://tools.ietf.org/html/rfc3339#section-5.6
    date: t(o, c),
    // date-time: http://tools.ietf.org/html/rfc3339#section-5.6
    time: t(y, l),
    "date-time": t(_, C),
    // duration: https://tools.ietf.org/html/rfc3339#appendix-A
    duration: /^P(?!$)((\d+Y)?(\d+M)?(\d+D)?(T(?=\d)(\d+H)?(\d+M)?(\d+S)?)?|(\d+W)?)$/,
    uri: O,
    "uri-reference": /^(?:[a-z][a-z0-9+\-.]*:)?(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'"()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'"()*+,;=:@]|%[0-9a-f]{2})*)*)?(?:\?(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'"()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i,
    // uri-template: https://tools.ietf.org/html/rfc6570
    "uri-template": /^(?:(?:[^\x00-\x20"'<>%\\^`{|}]|%[0-9a-f]{2})|\{[+#./;?&=,!@|]?(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?(?:,(?:[a-z0-9_]|%[0-9a-f]{2})+(?::[1-9][0-9]{0,3}|\*)?)*\})*$/i,
    // For the source: https://gist.github.com/dperini/729294
    // For test cases: https://mathiasbynens.be/demo/url-regex
    url: /^(?:https?|ftp):\/\/(?:\S+(?::\S*)?@)?(?:(?!(?:10|127)(?:\.\d{1,3}){3})(?!(?:169\.254|192\.168)(?:\.\d{1,3}){2})(?!172\.(?:1[6-9]|2\d|3[0-1])(?:\.\d{1,3}){2})(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z0-9\u{00a1}-\u{ffff}]+-)*[a-z0-9\u{00a1}-\u{ffff}]+)(?:\.(?:[a-z0-9\u{00a1}-\u{ffff}]+-)*[a-z0-9\u{00a1}-\u{ffff}]+)*(?:\.(?:[a-z\u{00a1}-\u{ffff}]{2,})))(?::\d{2,5})?(?:\/[^\s]*)?$/iu,
    email: /^[a-z0-9!#$%&'*+/=?^_`{|}~-]+(?:\.[a-z0-9!#$%&'*+/=?^_`{|}~-]+)*@(?:[a-z0-9](?:[a-z0-9-]*[a-z0-9])?\.)+[a-z0-9](?:[a-z0-9-]*[a-z0-9])?$/i,
    hostname: /^(?=.{1,253}\.?$)[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[-0-9a-z]{0,61}[0-9a-z])?)*\.?$/i,
    // optimized https://www.safaribooksonline.com/library/view/regular-expressions-cookbook/9780596802837/ch07s16.html
    ipv4: /^(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)$/,
    ipv6: /^((([0-9a-f]{1,4}:){7}([0-9a-f]{1,4}|:))|(([0-9a-f]{1,4}:){6}(:[0-9a-f]{1,4}|((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){5}(((:[0-9a-f]{1,4}){1,2})|:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3})|:))|(([0-9a-f]{1,4}:){4}(((:[0-9a-f]{1,4}){1,3})|((:[0-9a-f]{1,4})?:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){3}(((:[0-9a-f]{1,4}){1,4})|((:[0-9a-f]{1,4}){0,2}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){2}(((:[0-9a-f]{1,4}){1,5})|((:[0-9a-f]{1,4}){0,3}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(([0-9a-f]{1,4}:){1}(((:[0-9a-f]{1,4}){1,6})|((:[0-9a-f]{1,4}){0,4}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:))|(:(((:[0-9a-f]{1,4}){1,7})|((:[0-9a-f]{1,4}){0,5}:((25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)(\.(25[0-5]|2[0-4]\d|1\d\d|[1-9]?\d)){3}))|:)))$/i,
    regex: ce,
    // uuid: http://tools.ietf.org/html/rfc4122
    uuid: /^(?:urn:uuid:)?[0-9a-f]{8}-(?:[0-9a-f]{4}-){3}[0-9a-f]{12}$/i,
    // JSON-pointer: https://tools.ietf.org/html/rfc6901
    // uri fragment: https://tools.ietf.org/html/rfc3986#appendix-A
    "json-pointer": /^(?:\/(?:[^~/]|~0|~1)*)*$/,
    "json-pointer-uri-fragment": /^#(?:\/(?:[a-z0-9_\-.!$&'()*+,;:=@]|%[0-9a-f]{2}|~0|~1)*)*$/i,
    // relative JSON-pointer: http://tools.ietf.org/html/draft-luff-relative-json-pointer-00
    "relative-json-pointer": /^(?:0|[1-9][0-9]*)(?:#|(?:\/(?:[^~/]|~0|~1)*)*)$/,
    // the following formats are used by the openapi specification: https://spec.openapis.org/oas/v3.0.0#data-types
    // byte: https://github.com/miguelmota/is-base64
    byte: h,
    // signed 32 bit integer
    int32: { type: "number", validate: k },
    // signed 64 bit integer
    int64: { type: "number", validate: M },
    // C-type float
    float: { type: "number", validate: B },
    // C-type double
    double: { type: "number", validate: B },
    // hint to the UI to hide input strings
    password: !0,
    // unchecked string payload
    binary: !0
  }, e.fastFormats = {
    ...e.fullFormats,
    date: t(/^\d\d\d\d-[0-1]\d-[0-3]\d$/, c),
    time: t(/^(?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)?$/i, l),
    "date-time": t(/^\d\d\d\d-[0-1]\d-[0-3]\d[t\s](?:[0-2]\d:[0-5]\d:[0-5]\d|23:59:60)(?:\.\d+)?(?:z|[+-]\d\d(?::?\d\d)?)$/i, C),
    // uri: https://github.com/mafintosh/is-my-json-valid/blob/master/formats.js
    uri: /^(?:[a-z][a-z0-9+\-.]*:)(?:\/?\/)?[^\s]*$/i,
    "uri-reference": /^(?:(?:[a-z][a-z0-9+\-.]*:)?\/?\/)?(?:[^\\\s#][^\s#]*)?(?:#[^\\\s]*)?$/i,
    // email (sources from jsen validator):
    // http://stackoverflow.com/questions/201323/using-a-regular-expression-to-validate-an-email-address#answer-8829363
    // http://www.w3.org/TR/html5/forms.html#valid-e-mail-address (search for 'wilful violation')
    email: /^[a-z0-9.!#$%&'*+/=?^_`{|}~-]+@[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?(?:\.[a-z0-9](?:[a-z0-9-]{0,61}[a-z0-9])?)*$/i
  }, e.formatNames = Object.keys(e.fullFormats);
  function r(D) {
    return D % 4 === 0 && (D % 100 !== 0 || D % 400 === 0);
  }
  const n = /^(\d\d\d\d)-(\d\d)-(\d\d)$/, a = [0, 31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31];
  function o(D) {
    const q = n.exec(D);
    if (!q)
      return !1;
    const L = +q[1], H = +q[2], ne = +q[3];
    return H >= 1 && H <= 12 && ne >= 1 && ne <= (H === 2 && r(L) ? 29 : a[H]);
  }
  function c(D, q) {
    if (D && q)
      return D > q ? 1 : D < q ? -1 : 0;
  }
  const d = /^(\d\d):(\d\d):(\d\d)(\.\d+)?(z|[+-]\d\d(?::?\d\d)?)?$/i;
  function y(D, q) {
    const L = d.exec(D);
    if (!L)
      return !1;
    const H = +L[1], ne = +L[2], re = +L[3], Ee = L[5];
    return (H <= 23 && ne <= 59 && re <= 59 || H === 23 && ne === 59 && re === 60) && (!q || Ee !== "");
  }
  function l(D, q) {
    if (!(D && q))
      return;
    const L = d.exec(D), H = d.exec(q);
    if (L && H)
      return D = L[1] + L[2] + L[3] + (L[4] || ""), q = H[1] + H[2] + H[3] + (H[4] || ""), D > q ? 1 : D < q ? -1 : 0;
  }
  const $ = /t|\s/i;
  function _(D) {
    const q = D.split($);
    return q.length === 2 && o(q[0]) && y(q[1], !0);
  }
  function C(D, q) {
    if (!(D && q))
      return;
    const [L, H] = D.split($), [ne, re] = q.split($), Ee = c(L, ne);
    if (Ee !== void 0)
      return Ee || l(H, re);
  }
  const T = /\/|:/, b = /^(?:[a-z][a-z0-9+\-.]*:)(?:\/?\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:]|%[0-9a-f]{2})*@)?(?:\[(?:(?:(?:(?:[0-9a-f]{1,4}:){6}|::(?:[0-9a-f]{1,4}:){5}|(?:[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){4}|(?:(?:[0-9a-f]{1,4}:){0,1}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){3}|(?:(?:[0-9a-f]{1,4}:){0,2}[0-9a-f]{1,4})?::(?:[0-9a-f]{1,4}:){2}|(?:(?:[0-9a-f]{1,4}:){0,3}[0-9a-f]{1,4})?::[0-9a-f]{1,4}:|(?:(?:[0-9a-f]{1,4}:){0,4}[0-9a-f]{1,4})?::)(?:[0-9a-f]{1,4}:[0-9a-f]{1,4}|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?))|(?:(?:[0-9a-f]{1,4}:){0,5}[0-9a-f]{1,4})?::[0-9a-f]{1,4}|(?:(?:[0-9a-f]{1,4}:){0,6}[0-9a-f]{1,4})?::)|[Vv][0-9a-f]+\.[a-z0-9\-._~!$&'()*+,;=:]+)\]|(?:(?:25[0-5]|2[0-4]\d|[01]?\d\d?)\.){3}(?:25[0-5]|2[0-4]\d|[01]?\d\d?)|(?:[a-z0-9\-._~!$&'()*+,;=]|%[0-9a-f]{2})*)(?::\d*)?(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*|\/(?:(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)?|(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})+(?:\/(?:[a-z0-9\-._~!$&'()*+,;=:@]|%[0-9a-f]{2})*)*)(?:\?(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?(?:#(?:[a-z0-9\-._~!$&'()*+,;=:@/?]|%[0-9a-f]{2})*)?$/i;
  function O(D) {
    return T.test(D) && b.test(D);
  }
  const g = /^(?:[A-Za-z0-9+/]{4})*(?:[A-Za-z0-9+/]{2}==|[A-Za-z0-9+/]{3}=)?$/gm;
  function h(D) {
    return g.lastIndex = 0, g.test(D);
  }
  const m = -(2 ** 31), R = 2 ** 31 - 1;
  function k(D) {
    return Number.isInteger(D) && D <= R && D >= m;
  }
  function M(D) {
    return Number.isInteger(D);
  }
  function B() {
    return !0;
  }
  const te = /[^\\]\\Z/;
  function ce(D) {
    if (te.test(D))
      return !1;
    try {
      return new RegExp(D), !0;
    } catch {
      return !1;
    }
  }
})(Za);
var xa = {};
(function(e) {
  Object.defineProperty(e, "__esModule", { value: !0 }), e.formatLimitDefinition = void 0;
  const t = Nn, r = X, n = r.operators, a = {
    formatMaximum: { okStr: "<=", ok: n.LTE, fail: n.GT },
    formatMinimum: { okStr: ">=", ok: n.GTE, fail: n.LT },
    formatExclusiveMaximum: { okStr: "<", ok: n.LT, fail: n.GTE },
    formatExclusiveMinimum: { okStr: ">", ok: n.GT, fail: n.LTE }
  }, o = {
    message: ({ keyword: d, schemaCode: y }) => r.str`should be ${a[d].okStr} ${y}`,
    params: ({ keyword: d, schemaCode: y }) => r._`{comparison: ${a[d].okStr}, limit: ${y}}`
  };
  e.formatLimitDefinition = {
    keyword: Object.keys(a),
    type: "string",
    schemaType: "string",
    $data: !0,
    error: o,
    code(d) {
      const { gen: y, data: l, schemaCode: $, keyword: _, it: C } = d, { opts: T, self: b } = C;
      if (!T.validateFormats)
        return;
      const O = new t.KeywordCxt(C, b.RULES.all.format.definition, "format");
      O.$data ? g() : h();
      function g() {
        const R = y.scopeValue("formats", {
          ref: b.formats,
          code: T.code.formats
        }), k = y.const("fmt", r._`${R}[${O.schemaCode}]`);
        d.fail$data(r.or(r._`typeof ${k} != "object"`, r._`${k} instanceof RegExp`, r._`typeof ${k}.compare != "function"`, m(k)));
      }
      function h() {
        const R = O.schema, k = b.formats[R];
        if (!k || k === !0)
          return;
        if (typeof k != "object" || k instanceof RegExp || typeof k.compare != "function")
          throw new Error(`"${_}": format "${R}" does not define "compare" function`);
        const M = y.scopeValue("formats", {
          key: R,
          ref: k,
          code: T.code.formats ? r._`${T.code.formats}${r.getProperty(R)}` : void 0
        });
        d.fail$data(m(M));
      }
      function m(R) {
        return r._`${R}.compare(${l}, ${$}) ${a[_].fail} 0`;
      }
    },
    dependencies: ["format"]
  };
  const c = (d) => (d.addKeyword(e.formatLimitDefinition), d);
  e.default = c;
})(xa);
(function(e, t) {
  Object.defineProperty(t, "__esModule", { value: !0 });
  const r = Za, n = xa, a = X, o = new a.Name("fullFormats"), c = new a.Name("fastFormats"), d = (l, $ = { keywords: !0 }) => {
    if (Array.isArray($))
      return y(l, $, r.fullFormats, o), l;
    const [_, C] = $.mode === "fast" ? [r.fastFormats, c] : [r.fullFormats, o], T = $.formats || r.formatNames;
    return y(l, T, _, C), $.keywords && n.default(l), l;
  };
  d.get = (l, $ = "full") => {
    const C = ($ === "fast" ? r.fastFormats : r.fullFormats)[l];
    if (!C)
      throw new Error(`Unknown format "${l}"`);
    return C;
  };
  function y(l, $, _, C) {
    var T, b;
    (T = (b = l.opts.code).formats) !== null && T !== void 0 || (b.formats = a._`require("ajv-formats/dist/formats").${C}`);
    for (const O of $)
      l.addFormat(O, _[O]);
  }
  e.exports = t = d, Object.defineProperty(t, "__esModule", { value: !0 }), t.default = d;
})(Mr, Mr.exports);
var Ru = Mr.exports;
const Iu = /* @__PURE__ */ Vr(Ru), ku = Iu(
  ju(
    new Tu({
      allErrors: !0,
      $data: !0,
      strict: !0,
      strictTypes: !0,
      strictSchema: !0,
      strictRequired: !0,
      strictNumbers: !0,
      strictTuples: !0,
      coerceTypes: !0,
      removeAdditional: !0,
      useDefaults: !0
    })
  )
);
function Du(e, t = 250) {
  const [r, n] = ar(e);
  return Pr(() => {
    const a = setTimeout(() => {
      n(e);
    }, t);
    return () => {
      clearTimeout(a);
    };
  }, [e, t]), r;
}
const Mu = (e, t, r) => {
  var ce;
  const n = (r == null ? void 0 : r.ajv) || ku, a = ls(qn(e)), [o, c] = ar(qn(e)), [d, y] = ar(null), [l, $] = ar(0), _ = Du(d, (r == null ? void 0 : r.debounceTime) || 500);
  (ce = r == null ? void 0 : r.customKeywords) != null && ce.length && ps(n, r.customKeywords);
  const C = n.compile(t), T = () => {
    c(a.current);
  }, b = (D) => {
    const q = C({ [D]: o[D].value }), L = C.errors || [], H = q ? {} : Zt(L, r == null ? void 0 : r.userDefinedMessages), ne = B && H[D] || "";
    c((re) => ({
      ...re,
      [D]: {
        ...re[D],
        error: ne
      }
    }));
  }, O = (D) => {
    b(D);
  }, g = (D) => {
    c((q) => {
      const L = { ...q };
      return Object.keys(D).forEach((H) => {
        var re;
        const ne = H;
        L[ne] = {
          ...L[ne],
          value: Mt(D[ne]),
          error: ((re = L[ne]) == null ? void 0 : re.error) || ""
        };
      }), y({
        name: Object.keys(D)[0],
        editId: l
      }), $(l + 1), L;
    });
  }, h = (D) => Object.keys(D).reduce(
    (q, L) => {
      const H = L;
      return {
        ...q,
        [L]: {
          value: Mt(o[H].value),
          error: D[L] || ""
        }
      };
    },
    { ...o }
  ), m = () => {
    try {
      const D = Object.keys(o).reduce((q, L) => ({
        ...q,
        [L]: Mt(o[L].value)
      }), {});
      if (!C(D) && C.errors) {
        const q = Zt(
          C.errors,
          r == null ? void 0 : r.userDefinedMessages
        );
        return c(
          h(
            Object.keys(q).reduce((L, H) => ({
              ...L,
              [H]: Mt(q[H])
            }), {})
          )
        ), { isValid: !1, data: null };
      }
      return k(o) ? { isValid: !0, data: D } : { isValid: !1, data: null };
    } catch {
      return { isValid: !1, data: null };
    }
  }, R = (D, q) => Object.keys(D).some(
    (L) => D[L].value !== q[L].value
  ), k = (D) => !Object.keys(D).some(
    (L) => D[L].error !== ""
  ), M = Un(() => k(o), [o]), B = Un(
    () => R(o, a.current),
    [o]
  ), te = (D) => {
    c(h(Zt(D, r == null ? void 0 : r.userDefinedMessages)));
  };
  return Pr(() => {
    (r == null ? void 0 : r.shouldDebounceAndValidate) === !1 || !_ || b(_.name);
  }, [_]), Pr(() => {
    var D;
    (D = r == null ? void 0 : r.errors) != null && D.length && c(h(Zt(r == null ? void 0 : r.errors, r == null ? void 0 : r.userDefinedMessages)));
  }, [r == null ? void 0 : r.errors]), {
    reset: T,
    set: g,
    setErrors: te,
    validate: m,
    onBlur: O,
    isValid: M,
    isDirty: B,
    data: Object.keys(o).reduce((D, q) => ({
      ...D,
      [q]: Mt(o[q].value)
    }), {}),
    state: o
  };
};
export {
  Mu as default
};
